package cn.cecep.talroad.data.analyse.task.entity;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/***
 *
 * @Title:
 * @Author: xuxin
 * @CreateTime: 2023-07-03 14:06
 * @Description
 *
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ConcentrationEntity {

    @ApiModelProperty("企业id")
    private String factoryId;

    @ApiModelProperty("站点id")
    private String stationId;

    @ApiModelProperty("检测时间")
    private Date date;

    @ApiModelProperty("污染物Code")
    private String pollCode;

    @ApiModelProperty("污染物浓度")
    private BigDecimal concentration;
}
