package cn.cecep.talroad.data.anomaly.task.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 预警比例表单类
 */
@Data
@ApiModel(value = "预警比例dto")
public class ProblemRatioDTO {

    @ApiModelProperty(value = "企业id")
    private String factoryId;

    @ApiModelProperty(value = "监测点id")
    private String stationId;

    @ApiModelProperty(value = "污染物id")
    private String pollId;

    @ApiModelProperty(value = "预警比例")
    private String problemRatio;

    @ApiModelProperty("预警条数")
    private Integer  warnNumber;

    @ApiModelProperty("报警条数")
    private Integer  alarmNumber;

}
