package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@ApiModel(value = "系统使用反馈")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_sys_feedback")
public class BMainSysFeedback extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;

    @ApiModelProperty(value = "反馈类型 1:系统问题, 2:功能建议")
    private String type;

    @ApiModelProperty(value = "反馈内容")
    private String content;

    @ApiModelProperty(value = "反馈人")
    private String feedbackUser;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "反馈状态 1:未读, 2:已读")
    private String status;

    private String createBy;
    private String createByName;
    private Date createTime;

}
