package cn.cecep.talroad.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
    * 门禁监控
    */
@ApiModel(value="门禁监控")
@Data
public class MAmDoorMonitorAccountFi{
    /**
    * 主键id

    */
    @ApiModelProperty(value="主键id,")
    private String id;

    /**
    * 企业id

    */
    @ApiModelProperty(value="企业id,")
    private String factoryId;

    /**
    * 车牌号码

    */
    @ApiModelProperty(value="车牌号码,")
    private String lpnCode;

    /**
    * 出入类型

    */
    @ApiModelProperty(value="出入类型,")
    private String entryType;

    /**
    * 出入时间

    */
    @ApiModelProperty(value="出入时间,")
    private String entryTime;

    /**
    * 车队名称

    */
    @ApiModelProperty(value="车队名称,")
    private String carTeam;

    /**
    * 排放阶段（国一: I，国二: II，国三: III，国四: IV，国五: V，国六: VI，新能源: NE）
    */
    @ApiModelProperty(value="排放阶段（国一: I，国二: II，国三: III，国四: IV，国五: V，国六: VI，新能源: NE）")
    private String dischargeStage;

    /**
    * 发动机号码

    */
    @ApiModelProperty(value="发动机号码,")
    private String ngineCode;

    /**
    * 货物名称

    */
    @ApiModelProperty(value="货物名称,")
    private String ioType;

    /**
    * 货物净重

    */
    @ApiModelProperty(value="货物净重,")
    private String cargoQuantity;

    /**
    * 行驶证照片

    */
    @ApiModelProperty(value="行驶证照片,")
    private String drivingLicenseImage;

    /**
    * 随车清单

    */
    @ApiModelProperty(value="随车清单,")
    private String accessoryListImage;

    /**
     * 门禁编码
     */
    @ApiModelProperty(value = "门禁编码")
    private String accessControlCode;
}