package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author ccc
 * @since 2023-07-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class OdsAirRegionAqiHourI implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 数据接入时间
     */
    private String datatime;

    /**
     * 数据上传时间
     */
    private String uploadtime;

    /**
     * 监测项值--湿度
     */
    @TableField("value_2473")
    private String value2473;

    /**
     * 监测项值--监测项值--温度
     */
    @TableField("value_2481")
    private String value2481;

    /**
     * 监测项值--风速
     */
    @TableField("value_2483")
    private String value2483;

    /**
     * 监测项值--风向
     */
    @TableField("value_2484")
    private String value2484;

    /**
     * 监测项值--SO2
     */
    @TableField("value_4402")
    private String value4402;

    /**
     * 监测项值--CO
     */
    @TableField("value_4404")
    private String value4404;

    /**
     * 监测项值--NO
     */
    @TableField("value_4405")
    private String value4405;

    /**
     * 监测项值--总碳氢
     */
    @TableField("value_4406")
    private String value4406;

    /**
     * 监测项值--挥发性有机物
     */
    @TableField("value_4407")
    private String value4407;

    /**
     * 监测项值--NO2
     */
    @TableField("value_4467")
    private String value4467;

    /**
     * 监测项值--NOx
     */
    @TableField("value_4468")
    private String value4468;

    /**
     * 监测项值--O3-1H
     */
    @TableField("value_4471")
    private String value4471;

    /**
     * 监测项值--O3-8H
     */
    @TableField("\"value_4D71\"")
    private String value4d71;

    /**
     * 监测项值--降尘
     */
    @TableField("value_4472")
    private String value4472;

    /**
     * 监测项值--能见度
     */
    @TableField("value_4474")
    private String value4474;

    /**
     * 监测项值--大气压
     */
    @TableField("value_4482")
    private String value4482;

    /**
     * 监测项值--TSP
     */
    @TableField("value_4485")
    private String value4485;

    /**
     * 监测项值--PM10
     */
    @TableField("value_4486")
    private String value4486;

    /**
     * 监测项值--CH4
     */
    @TableField("value_4487")
    private String value4487;

    /**
     * 监测项值--非甲烷总烃
     */
    @TableField("value_4488")
    private String value4488;

    /**
     * 监测项值--CO2
     */
    @TableField("value_4489")
    private String value4489;

    /**
     * 监测项值--PM2.5
     */
    @TableField("\"value_448A\"")
    private String value448a;

    /**
     * 监测项值--PM10
     */
    @TableField("\"value_448B\"")
    private String value448b;

    /**
     * 监测项状态--湿度
     */
    @TableField("value_2473")
    private String status2473;

    /**
     * 监测项状态--温度
     */
    @TableField("status_2481")
    private String status2481;

    /**
     * 监测项状态--风速
     */
    @TableField("status_2483")
    private String status2483;

    /**
     * 监测项状态--风向
     */
    @TableField("status_2484")
    private String status2484;

    /**
     * 监测项状态--SO2
     */
    @TableField("status_4402")
    private String status4402;

    /**
     * 监测项状态--CO
     */
    @TableField("status_4404")
    private String status4404;

    /**
     * 监测项状态--NO
     */
    @TableField("status_4405")
    private String status4405;

    /**
     * 监测项状态--总碳氢
     */
    @TableField("status_4406")
    private String status4406;

    /**
     * 监测项状态--挥发性有机物
     */
    @TableField("status_4407")
    private String status4407;

    /**
     * 监测项状态--NO2
     */
    @TableField("status_4467")
    private String status4467;

    /**
     * 监测项状态--NOx
     */
    @TableField("status_4468")
    private String status4468;

    /**
     * 监测项状态--O3-1H
     */
    @TableField("status_4471")
    private String status4471;

    /**
     * 监测项状态--O3-8H
     */
    @TableField("\"status_4D71\"")
    private String status4d71;

    /**
     * 监测项状态--降尘
     */
    @TableField("status_4472")
    private String status4472;

    /**
     * 监测项状态--能见度
     */
    @TableField("status_4474")
    private String status4474;

    /**
     * 监测项状态--大气压
     */
    @TableField("status_4482")
    private String status4482;

    /**
     * 监测项状态--TSP
     */
    @TableField("status_4485")
    private String status4485;

    /**
     * 监测项状态--PM10
     */
    @TableField("status_4486")
    private String status4486;

    /**
     * 监测项状态--CH4
     */
    @TableField("status_4487")
    private String status4487;

    /**
     * 监测项状态--非甲烷总烃
     */
    @TableField("status_4488")
    private String status4488;

    /**
     * 监测项状态--CO2
     */
    @TableField("status_4489")
    private String status4489;

    /**
     * 监测项状态--PM2.5
     */
    @TableField("\"status_448A\"")
    private String status448a;

    /**
     * 监测项状态--PM10
     */
    @TableField("\"status_448B\"")
    private String status448b;

    /**
     * 污染等级
     */
    private String level;

    /**
     * 污染等级文字描述
     */
    @TableField("\"levelName\"")
    private String levelName;

    /**
     * 等级类型
     */
    @TableField("\"typeName\"")
    private String typeName;

    /**
     * 首要污染物
     */
    @TableField("\"primaryPollutant\"")
    private String primaryPollutant;

    /**
     * 超限污染物
     */
    @TableField("\"overlimitPollutant\"")
    private String overlimitPollutant;

    /**
     * 单项监测项--SO2
     */
    @TableField("iaqi_4402")
    private String iaqi4402;

    /**
     * 单项监测项--CO
     */
    @TableField("iaqi_4404")
    private String iaqi4404;

    /**
     * 单项监测项--NO2
     */
    @TableField("iaqi_4467")
    private String iaqi4467;

    /**
     * 单项监测项--O3-1H
     */
    @TableField("iaqi_4471")
    private String iaqi4471;

    /**
     * 单项监测项--O3-8H
     */
    @TableField("\"iaqi_4D71\"")
    private String iaqi4d71;

    /**
     * 单项监测项--PM10
     */
    @TableField("iaqi_4486")
    private String iaqi4486;

    /**
     * 单项监测项--PM2.5
     */
    @TableField("\"iaqi_448A\"")
    private String iaqi448a;

    /**
     * 空气质量指数
     */
    private String aqi;

    /**
     * 区域编码
     */
    private String code;

    /**
     * 区域名
     */
    private String name;

    /**
     * 城市名
     */
    private String cityname;

    /**
     * 省份名
     */
    @TableField("\"provinceName\"")
    private String provinceName;


}
