package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 白名单信息对象 ods_online_ol_ps_whitelist_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "白名单信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ods_online_ol_ps_whitelist_a")
public class OdsOnlineOlPsWhitelistA extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String regionId;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String factoryId;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String portNum;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String portName;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String pollutantCode;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String startTime;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String endTime;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String operator;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String userId;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String reason;






    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String deleteTime;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String enable;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String remarks;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String verifyStatusId;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String verifyRemarks;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String verifierId;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String verifierName;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String verifyTime;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String verifierMobile;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String startTime2;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String endTime2;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String createTime2;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String receiveTime;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String infoType;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("regionId", getRegionId())
            .append("factoryId", getFactoryId())
            .append("portNum", getPortNum())
            .append("portName", getPortName())
            .append("pollutantCode", getPollutantCode())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("operator", getOperator())
            .append("userId", getUserId())
            .append("reason", getReason())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("deleteTime", getDeleteTime())
            .append("enable", getEnable())
            .append("remarks", getRemarks())
            .append("verifyStatusId", getVerifyStatusId())
            .append("verifyRemarks", getVerifyRemarks())
            .append("verifierId", getVerifierId())
            .append("verifierName", getVerifierName())
            .append("verifyTime", getVerifyTime())
            .append("verifierMobile", getVerifierMobile())
            .append("startTime2", getStartTime2())
            .append("endTime2", getEndTime2())
            .append("createTime2", getCreateTime2())
            .append("receiveTime", getReceiveTime())
            .append("infoType", getInfoType())
            .toString();
    }
}
