package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ccc
 * @since 2023-07-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SRaRealTimeAnalysicComsitSt implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "data_id", type = IdType.AUTO)
    private Long dataId;

    /**
     * 参数名称
     */
    private String paramName;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 站点id
     */
    private String stationId;

    /**
     * 企业id
     */
    private String factroyId;

    /**
     * 数据分析时间
     */
    private Date analysisTime;

    /**
     * 最小值--正常运行低限
     */
    private Double minValue;

    /**
     * 最大值--正常运行高限
     */
    private Double maxValue;

    /**
     * Q1(下四分位)值 用于异常值判断
     */
    private Double q1Value;

    /**
     * Q2(上四分位)值 用于异常值判断
     */
    private Double q2Value;

    /**
     * 平均值
     */
    private Double acgValue;


}
