package cn.cecep.talroad.domain.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zhangshiji
 * @date 2022/9/15
 */
@Data
@ApiModel(value = "达标管控参数")
public class BasTargetDto {
    @ApiModelProperty(value = "pm25目标值")
    private BigDecimal pm25Target;
    @ApiModelProperty(value = "pm10目标值")
    private BigDecimal pm10Target;
    @ApiModelProperty(value = "so2目标住")
    private BigDecimal so2Target;
    @ApiModelProperty(value = "no2目标值")
    private BigDecimal no2Target;
    @ApiModelProperty(value = "co目标值")
    private BigDecimal coTarget;
    @ApiModelProperty(value = "o38h目标值")
    private BigDecimal o38hTarget;
    @ApiModelProperty(value = "优良天目标值")
    private BigDecimal goodDaysTarget;
    @ApiModelProperty(value = "重污染天目标值")
    private BigDecimal heavyDaysTarget;

    //用户区域编号
    @TableField(exist = false)
    private String  userRegionCode;




}
