package cn.cecep.talroad.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain.dto
 * @ClassName: PollutionSourceDto
 * @Author: wyg
 * @Description: 污染源管理查询
 * @Date: 2023/6/13 14:57
 * @Version: 1.0
 */

@ApiModel(value = "污染源管理查询")
@Data
public class PollutionSourceDto {
    @ApiModelProperty(value = "企业类别集合")
    private List<Integer> companyTypeList;
    @ApiModelProperty(value = "企业类别")
    private Integer companyType;
    @ApiModelProperty(value = "行业类别")
    private Integer companyIndustry;
    @ApiModelProperty(value = "行业类别code")
    private String industryCode;
    @ApiModelProperty(value = "企业标签")
    private Integer companyTag;
    @ApiModelProperty(value = "企业名称")
    private String companyName;
    @ApiModelProperty(value = "用户区域code")
    private String areaCode;
    private Integer pageNum;
    private Integer pageSize;
}
