package cn.cecep.talroad.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: he yun long
 * @create: 2022-09-19 16:21
 */
@Data
@ApiModel(value="ReachabilityDto", description="ReachabilityDto")
public class ReachabilityDto {

    @ApiModelProperty(value = "区域code")
    private String userRegionCode;

    @ApiModelProperty(value = "2 本月累计 3 本年累计 5冬防阶段目标 6 秋冬防总目标")
    private   Integer timeType ;

    @ApiModelProperty(value = "因子")
    private  String factorCode;

    @ApiModelProperty(value = "因子")
    private  Integer factorCodeInt;

    @ApiModelProperty(value = "开始时间")
    private   String     startTime;
    @ApiModelProperty(value = "结束时间")
    private   String     endTime;

    @ApiModelProperty(value = "时间")
    private   String    monitorTime;

    @ApiModelProperty(value = "1 去年同期 2今年")
    private   String    period;

    @ApiModelProperty(value = "污染物因子字段")
    private   String    field;

}
