package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "Aqi预报展示类")
public class AirForecastDataVO {
    @ApiModelProperty(value = "预报日期")
    private String forecastDate;
    @ApiModelProperty(value = "aqi最小值")
    private String aqiMin;
    @ApiModelProperty(value = "aqi最大值")
    private String aqiMax;
    @ApiModelProperty(value = "空气质量最小值")
    private String levelNameMin;
    @ApiModelProperty(value = "空气质量最大值")
    private String levelNameMax;
    @ApiModelProperty(value = "首要污染物")
    private String primaryPollutant;
}
