package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "空气质量状况")
public class AirQualityDataVO {
    @ApiModelProperty(value = "首要污染物")
    private String maxPollution;
    @ApiModelProperty(value = "Aqi指数")
    private String aqi;
    @ApiModelProperty(value = "Pm2.5指数")
    private String pm25;
    @ApiModelProperty(value = "Pm10指数")
    private String pm10;
    @ApiModelProperty(value = "二氧化硫指数")
    private String so2;
    @ApiModelProperty(value = "一氧化碳指数")
    private String co;
    @ApiModelProperty(value = "二氧化氮指数")
    private String no2;
    @ApiModelProperty(value = "臭氧指数")
    private String o3;
    @ApiModelProperty(value = "全国337个城市排名")
    private String index337;
    @ApiModelProperty(value = "全国168个城市排名")
    private String index168;
    @ApiModelProperty(value = "省内城市排名")
    private String indexProvinceCity;
}
