package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "设备数量展示类")
public class DeviceCountVO {

    @ApiModelProperty(value = "设施总数量")
    private Integer totalCount;
    @ApiModelProperty(value = "生产设施数量")
    private Integer productTotalCount;
    @ApiModelProperty(value = "生产设施排污许可数量")
    private Integer productPermitCount;
    @ApiModelProperty(value = "生产设施分表计电数量")
    private Integer productElecCount;
    @ApiModelProperty(value = "生产设施DCS数量")
    private Integer productDcsCount;
    @ApiModelProperty(value = "治理设施数量")
    private Integer governTotalCount;
    @ApiModelProperty(value = "治理设施排污许可数量")
    private Integer governPermitCount;
    @ApiModelProperty(value = "治理设施分表计电数量")
    private Integer governtElecCount;


}
