package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "融合数据数量展示返回类")
public class FusionCountDataVO {

    @ApiModelProperty(value = "数据库总条数")
    private Long databaseDataCount;

    @ApiModelProperty(value = "企业管理级别统计")
    private ManTypeVO factoryManTypeCount;

    @ApiModelProperty(value = "企业数据接入类型数量统计 ")
    private List<DataTypeVO> factoryDataTypeCount;

    @ApiModelProperty(value = "设备数量统计")
    private DeviceCountVO deviceCount;

    @ApiModelProperty(value = "排口数量统计")
    private OutletCountVO outletCount;
}
