package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel(value = "任务统计")
@AllArgsConstructor
@NoArgsConstructor
public class MonitorTaskCountVO {
    @ApiModelProperty(value = "任务数量")
    private Integer missionCount;
    @ApiModelProperty(value = "非现场任务数量")
    private Integer nonSceneMissionCount;
    @ApiModelProperty(value = "随机任务数量")
    private Integer randomMissionCount;
    @ApiModelProperty(value = "三监联动任务数量")
    private Integer threeMonitorMissionCount;
}
