package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "污染管控执行统计展示类")
public class PolluteControlDataVO {

    @ApiModelProperty(value = "年度应急管控次数")
    private Integer yearEmergencyControlCount;
    @ApiModelProperty(value = "发现企业问题数量")
    private Integer detectFactoryQuestionCount;
    @ApiModelProperty(value = "问题企业TOP3排名，0下标为第一名")
    private List<DetectFactoryQuestionVO> questionList;
}
