package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel(value = "问题总体展示类")
@NoArgsConstructor
@AllArgsConstructor
public class QuestionCountVO {

    @ApiModelProperty(value = "确认问题数量")
    private Integer confirmQuestionCount;
    @ApiModelProperty(value = "确认问题率")
    private String confirmQuestionRate;
    @ApiModelProperty(value = "处罚企业数量")
    private Integer punishFactoryCount;
    @ApiModelProperty(value = "处罚企业率")
    private String punishFactoryRate;
}
