package cn.cecep.talroad.domain.vo;

import cn.cecep.talroad.vo.effective.AirQualityConverter;
import lombok.Data;


@Data
public class AirQualityLevelVo {
    private Integer[][] aqiLevel;
    private Integer[][] pm25Level;
    private Integer[][] pm10Level;
    private Integer[][] coLevel;
    private Integer[][] no2Level;
    private Integer[][] so2Level;
    private Integer[][] o3Level;
    private Integer[][] tspLevel;
    private Integer[][] tvocLevel;
    private Integer[][] noxLevel;
    private Integer[][] o38hLevel;
    private Integer[][] pmiLevel;
    private Integer[][] so2Level24;
    private Integer[][] no2Level24;
    private Integer[][] coLevel24;

    public AirQualityLevelVo(){
        this.aqiLevel = AirQualityConverter.aqiLevel;
        this.pm25Level = AirQualityConverter.pm25Level;
        this.pm10Level = AirQualityConverter.pm10Level;
        this.coLevel = AirQualityConverter.coLevel;
        this.no2Level = AirQualityConverter.no2Level;
        this.so2Level = AirQualityConverter.so2Level;
        this.o3Level = AirQualityConverter.o3Level;
        this.tspLevel = AirQualityConverter.tspLevel;
        this.tvocLevel = AirQualityConverter.tvocLevel;
        this.noxLevel = AirQualityConverter.noxLevel;
        this.o38hLevel = AirQualityConverter.o38hLevel;
        this.pmiLevel = AirQualityConverter.pmiLevel;
        this.so2Level24 = AirQualityConverter.so2Level_24;
        this.no2Level24 = AirQualityConverter.no2level_24;
        this.coLevel24 = AirQualityConverter.coLevel_24;
    }
}
