package cn.cecep.talroad.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain.vo
 * @ClassName: ControlVo
 * @Author: wyg
 * @Description: 1
 * @Date: 2023/6/13 10:07
 * @Version: 1.0
 */
@Data
public class ControlVo {

    private String regionCode;

    private String controlLevelId;

    @ApiModelProperty(value = "编码")
    @TableField("level_code")
    private String levelCode;

    @ApiModelProperty(value = "名称")
    @TableField("level_name")
    private String levelName;

    @ApiModelProperty(value = "控制类型，1：站点   2：污染源")
    @TableField("control_type")
    private String controlType;

    @ApiModelProperty(value = "将汉字转换为全拼")
    private String pinyin;

    @ApiModelProperty(value = "值")
    private String value;

    @ApiModelProperty(value = "名称")
    private String label;

    private List<PCodeStationVo> children;

}
