package cn.cecep.talroad.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain.vo
 * @ClassName: PCodAreaRegionRelationVo
 * @Author: wyg
 * @Description: PCodAreaRegionRelationVo
 * @Date: 2023/6/13 10:20
 * @Version: 1.0
 */
@Data
public class PCodAreaRegionRelationVo {

    @ApiModelProperty(value = "主键")
    private Long pkId;

    @ApiModelProperty(value = "全国区域划分id")
    @TableField("area_info_id")
    private Integer areaInfoId;

    @ApiModelProperty(value = "行政区域code  只绑定level为3的code")
    @TableField("region_code")
    private Integer regionCode;

    @ApiModelProperty(value = "是否在首页展示  0：是在首页展示  1：其他  ")
    @TableField("show_type")
    private Boolean showType;


    @ApiModelProperty(value = "区域编码")
    private Integer areaCode;

    @ApiModelProperty(value = "区域名称")
    @TableField("area_name")
    private String areaName;

    @ApiModelProperty(value = "经度")
    @TableField("longitude")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private String latitude;

    @ApiModelProperty(value = "0-使用 1-未使用")
    @TableField("is_used")
    private Integer isUsed;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private boolean show;
}
