package cn.cecep.talroad.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain.vo
 * @ClassName: SEnvgasPollutionControlVo
 * @Author: wyg
 * @Description: SEnvgasPollutionControlVo
 * @Date: 2023/6/13 11:18
 * @Version: 1.0
 */
@Data
public class SEnvgasPollutionControlVo {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "控制级别id")
    @TableField("control_level_id")
    private Integer controlLevelId;

    @ApiModelProperty(value = "污染因子id")
    @TableField("pollution_id")
    private Integer pollutionId;

    @ApiModelProperty(value = "1:因子类型 2：气象类型")
    @TableField("type")
    private String type;

    private String pollutantCode;

    private String pollutantName;


}
