package cn.cecep.talroad.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(value = "站点信息管理查询Vo")
public class SiteOperationParamVo {
    @ApiModelProperty(value = "省code")
    private String provinceCode;
    @ApiModelProperty(value = "市code")
    private String cityCode;
    @ApiModelProperty(value = "站点级别")
    private Integer stationLevel;
    @ApiModelProperty(value = "区县code")
    private String countyCode;
    @ApiModelProperty(value = "乡镇code")
    private String townShipCode;
    @ApiModelProperty(value = "站点名称")
    private String stationName;
    @ApiModelProperty(value = "站点编码")
    private String stationCode;
    @ApiModelProperty(value = "站点id集合")
    private List<String> stationIdList;
    @ApiModelProperty(value = "区县code")
    private String districtCode;

    Integer pageNum;
    Integer pageSize;
}
