package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.AmDoorMonitorAccountFi;
import cn.cecep.talroad.vo.AmDoorMonitorAccountFiVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 门禁监控Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface AmDoorMonitorAccountFiMapper extends BaseMapper<AmDoorMonitorAccountFi>
{
    /**
     * 查询门禁监控列表
     *
     * @param amDoorMonitorAccountFi 门禁监控
     * @return 门禁监控集合
     */
    public List<AmDoorMonitorAccountFi> selectAmDoorMonitorAccountFiList(AmDoorMonitorAccountFi amDoorMonitorAccountFi);

    List<AmDoorMonitorAccountFiVo> selectLabelAccount(@Param("startTime") String startTime, @Param("endTime") String endTime);
    List<AmDoorMonitorAccountFiVo> selectLabel(@Param("startTime") String startTime, @Param("endTime") String endTime);

    List<AmDoorMonitorAccountFiVo> selectCarEntryCount(@Param("controlStartTime") String controlStartTime, @Param("controlEndTime")String controlEndTime, @Param("lastHourBegin")String lastHourBegin, @Param("lastHourEnd")String lastHourEnd);
}
