package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BEnterpriseIrBusinessAlerts;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 通知提醒-业务提醒Mapper接口
 *
 * @author szhpt
 * @date 2023-03-14*/
@Mapper
public interface BEnterpriseIrBusinessAlertsMapper extends BaseMapper<BEnterpriseIrBusinessAlerts>
{
    /**
     * 查询通知提醒-业务提醒列表
     *
     * @param bEnterpriseIrBusinessAlerts 通知提醒-业务提醒
     * @return 通知提醒-业务提醒集合
     */
    public List<BEnterpriseIrBusinessAlerts> selectBEnterpriseIrBusinessAlertsList(BEnterpriseIrBusinessAlerts bEnterpriseIrBusinessAlerts);

    List<Map<String, String>> selectOptions(String factoryId);

    void insertBatch(@Param("addList") List<BEnterpriseIrBusinessAlerts> addList);
}
