package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BEnterpriseIrEesType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 知识库-生态环境标准-分类Mapper接口
 *
 * @author szhpt
 * @date 2023-03-14*/
@Mapper
public interface BEnterpriseIrEesTypeMapper extends BaseMapper<BEnterpriseIrEesType>
{
    /**
     * 查询知识库-生态环境标准-分类列表
     *
     * @param bEnterpriseIrEesType 知识库-生态环境标准-分类
     * @return 知识库-生态环境标准-分类集合
     */
    public List<BEnterpriseIrEesType> selectBEnterpriseIrEesTypeList(BEnterpriseIrEesType bEnterpriseIrEesType);

}
