package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BEnterpriseIrLegal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 知识库-法律法规Mapper接口
 *
 * @author szhpt
 * @date 2023-03-14*/
@Mapper
public interface BEnterpriseIrLegalMapper extends BaseMapper<BEnterpriseIrLegal>
{
    /**
     * 查询知识库-法律法规列表
     *
     * @param bEnterpriseIrLegal 知识库-法律法规
     * @return 知识库-法律法规集合
     */
    public List<BEnterpriseIrLegal> selectBEnterpriseIrLegalList(BEnterpriseIrLegal bEnterpriseIrLegal);

}
