package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainEmissionOnlineMonAir;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 企业排放信息-在线监测排放趋势-废气Mapper接口
 *
 * @author szhpt
 * @date 2023-01-31*/
@Mapper
public interface BMainEmissionOnlineMonAirMapper extends BaseMapper<BMainEmissionOnlineMonAir>
{
    /**
     * 查询企业排放信息-在线监测排放趋势-废气列表
     *
     * @param bMainEmissionOnlineMonAir 企业排放信息-在线监测排放趋势-废气
     * @return 企业排放信息-在线监测排放趋势-废气集合
     */
    public List<BMainEmissionOnlineMonAir> selectBMainEmissionOnlineMonAirList(BMainEmissionOnlineMonAir bMainEmissionOnlineMonAir);

}
