package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainEmissionOnlineMonWater;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 企业排放信息-在线监测排放趋势-废水Mapper接口
 *
 * @author szhpt
 * @date 2023-01-31*/
@Mapper
public interface BMainEmissionOnlineMonWaterMapper extends BaseMapper<BMainEmissionOnlineMonWater>
{
    /**
     * 查询企业排放信息-在线监测排放趋势-废水列表
     *
     * @param bMainEmissionOnlineMonWater 企业排放信息-在线监测排放趋势-废水
     * @return 企业排放信息-在线监测排放趋势-废水集合
     */
    public List<BMainEmissionOnlineMonWater> selectBMainEmissionOnlineMonWaterList(BMainEmissionOnlineMonWater bMainEmissionOnlineMonWater);

}
