package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainEmissionPollutionSolidWaste;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 企业排放信息-不同污染物年度排放趋势-固废Mapper接口
 *
 * @author szhpt
 * @date 2023-01-31*/
@Mapper
public interface BMainEmissionPollutionSolidWasteMapper extends BaseMapper<BMainEmissionPollutionSolidWaste>
{
    /**
     * 查询企业排放信息-不同污染物年度排放趋势-固废列表
     *
     * @param bMainEmissionPollutionSolidWaste 企业排放信息-不同污染物年度排放趋势-固废
     * @return 企业排放信息-不同污染物年度排放趋势-固废集合
     */
    public List<BMainEmissionPollutionSolidWaste> selectBMainEmissionPollutionSolidWasteList(BMainEmissionPollutionSolidWaste bMainEmissionPollutionSolidWaste);

}
