package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BMainFactoryVerification;

/**
 * 移动执法信息-企业核查Mapper接口
 *
 * @author szhpt
 * @date 2023-03-30*/
@Mapper
public interface BMainFactoryVerificationMapper extends BaseMapper<BMainFactoryVerification>
{
    /**
     * 查询移动执法信息-企业核查列表
     *
     * @param bMainFactoryVerification 移动执法信息-企业核查
     * @return 移动执法信息-企业核查集合
     */
    public List<BMainFactoryVerification> selectBMainFactoryVerificationList(BMainFactoryVerification bMainFactoryVerification);

}
