package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisEmlRecord;
import cn.cecep.talroad.vo.BMainPollDisEmlRecordVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可环境管理台账Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisEmlRecordMapper extends BaseMapper<BMainPollDisEmlRecord>
{
    /**
     * 查询排污许可环境管理台账列表
     *
     * @param bMainPollDisEmlRecord 排污许可环境管理台账
     * @return 排污许可环境管理台账集合
     */
    public List<BMainPollDisEmlRecord> selectBMainPollDisEmlRecordList(BMainPollDisEmlRecord bMainPollDisEmlRecord);

     List<BMainPollDisEmlRecordVo> selectListAndFactory(List<String> strings);
}
