package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可附件信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisFileMapper extends BaseMapper<BMainPollDisFile>
{
    /**
     * 查询排污许可附件信息列表
     *
     * @param bMainPollDisFile 排污许可附件信息
     * @return 排污许可附件信息集合
     */
    public List<BMainPollDisFile> selectBMainPollDisFileList(BMainPollDisFile bMainPollDisFile);

}
