package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisGasTout;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可大气排放总计Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisGasToutMapper extends BaseMapper<BMainPollDisGasTout>
{
    /**
     * 查询排污许可大气排放总计列表
     *
     * @param bMainPollDisGasTout 排污许可大气排放总计
     * @return 排污许可大气排放总计集合
     */
    public List<BMainPollDisGasTout> selectBMainPollDisGasToutList(BMainPollDisGasTout bMainPollDisGasTout);

}
