package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisInformation;
import cn.cecep.talroad.vo.BMainPollDisInformationVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可信息公开Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisInformationMapper extends BaseMapper<BMainPollDisInformation>
{
    /**
     * 查询排污许可信息公开列表
     *
     * @param bMainPollDisInformation 排污许可信息公开
     * @return 排污许可信息公开集合
     */
    public List<BMainPollDisInformation> selectBMainPollDisInformationList(BMainPollDisInformation bMainPollDisInformation);

     List<BMainPollDisInformationVo> selectListAndFactory(List<String> strings);
}
