package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisSelfMonOther;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可自行监测记录Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisSelfMonOtherMapper extends BaseMapper<BMainPollDisSelfMonOther>
{
    /**
     * 查询排污许可自行监测记录列表
     *
     * @param bMainPollDisSelfMonOther 排污许可自行监测记录
     * @return 排污许可自行监测记录集合
     */
    public List<BMainPollDisSelfMonOther> selectBMainPollDisSelfMonOtherList(BMainPollDisSelfMonOther bMainPollDisSelfMonOther);

}
