package cn.cecep.talroad.mapper;

import cn.cecep.talroad.data.analyse.task.entity.MainProductDeviceVo;
import cn.cecep.talroad.domain.BMainProductionInorgGas;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 废气无组织排放产治排信息Mapper接口
 *
 * @author szhpt
 * @date 2023-02-08*/
@Mapper
public interface BMainProductionInorgGasMapper extends BaseMapper<BMainProductionInorgGas>
{
    /**
     * 查询废气无组织排放产治排信息列表
     *
     * @param bMainProductionInorgGas 废气无组织排放产治排信息
     * @return 废气无组织排放产治排信息集合
     */
    public List<BMainProductionInorgGas> selectBMainProductionInorgGasList(BMainProductionInorgGas bMainProductionInorgGas);

    List<MainProductDeviceVo> selectDeviceIdByPollutantType(@Param("code") String code);
}
