package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainSolidHazardous;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 固危废贮存信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainSolidHazardousMapper extends BaseMapper<BMainSolidHazardous>
{
    /**
     * 查询固危废贮存信息列表
     *
     * @param bMainSolidHazardous 固危废贮存信息
     * @return 固危废贮存信息集合
     */
    public List<BMainSolidHazardous> selectBMainSolidHazardousList(BMainSolidHazardous bMainSolidHazardous);

}
