package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BMainThreeSupervisionEnforcRecord;

/**
 * 三监联动执法信息记录Mapper接口
 *
 * @author szhpt
 * @date 2023-03-29*/
@Mapper
public interface BMainThreeSupervisionEnforcRecordMapper extends BaseMapper<BMainThreeSupervisionEnforcRecord>
{
    /**
     * 查询三监联动执法信息记录列表
     *
     * @param bMainThreeSupervisionEnforcRecord 三监联动执法信息记录
     * @return 三监联动执法信息记录集合
     */
    public List<BMainThreeSupervisionEnforcRecord> selectBMainThreeSupervisionEnforcRecordList(BMainThreeSupervisionEnforcRecord bMainThreeSupervisionEnforcRecord);

}
