package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmission;

/**
 * 固定源产排治--执行报告--有组织废气污染物排放浓度监测数据Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgGasEmissionMapper extends BaseMapper<BStatTableZxbgGasEmission>
{
    /**
     * 查询固定源产排治--执行报告--有组织废气污染物排放浓度监测数据列表
     *
     * @param bStatTableZxbgGasEmission 固定源产排治--执行报告--有组织废气污染物排放浓度监测数据
     * @return 固定源产排治--执行报告--有组织废气污染物排放浓度监测数据集合
     */
    public List<BStatTableZxbgGasEmission> selectBStatTableZxbgGasEmissionList(BStatTableZxbgGasEmission bStatTableZxbgGasEmission);

    public List<BStatTableZxbgGasEmission> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
