package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmissionStatistics;

/**
 * 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgGasEmissionStatisticsMapper extends BaseMapper<BStatTableZxbgGasEmissionStatistics>
{
    /**
     * 查询固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计列表
     *
     * @param bStatTableZxbgGasEmissionStatistics 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计
     * @return 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计集合
     */
    public List<BStatTableZxbgGasEmissionStatistics> selectBStatTableZxbgGasEmissionStatisticsList(BStatTableZxbgGasEmissionStatistics bStatTableZxbgGasEmissionStatistics);

    public List<BStatTableZxbgGasEmissionStatistics> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
