package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdFuelAnalysis;

/**
 * 固定源产排治--执行报告--火电燃料分析Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgHdFuelAnalysisMapper extends BaseMapper<BStatTableZxbgHdFuelAnalysis>
{
    /**
     * 查询固定源产排治--执行报告--火电燃料分析列表
     *
     * @param bStatTableZxbgHdFuelAnalysis 固定源产排治--执行报告--火电燃料分析
     * @return 固定源产排治--执行报告--火电燃料分析集合
     */
    public List<BStatTableZxbgHdFuelAnalysis> selectBStatTableZxbgHdFuelAnalysisList(BStatTableZxbgHdFuelAnalysis bStatTableZxbgHdFuelAnalysis);

    public List<BStatTableZxbgHdFuelAnalysis>  selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
