package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtBasic;

/**
 * 固定源产排治--执行报告--火电、钢铁基本信息Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgHdGtBasicMapper extends BaseMapper<BStatTableZxbgHdGtBasic>
{
    /**
     * 查询固定源产排治--执行报告--火电、钢铁基本信息列表
     *
     * @param bStatTableZxbgHdGtBasic 固定源产排治--执行报告--火电、钢铁基本信息
     * @return 固定源产排治--执行报告--火电、钢铁基本信息集合
     */
    public List<BStatTableZxbgHdGtBasic> selectBStatTableZxbgHdGtBasicList(BStatTableZxbgHdGtBasic bStatTableZxbgHdGtBasic);

    public List<BStatTableZxbgHdGtBasic>  selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
