package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdWaterPollution;

/**
 * 固定源产排治--执行报告--火电废水污染治理设施正常情况Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgHdWaterPollutionMapper extends BaseMapper<BStatTableZxbgHdWaterPollution>
{
    /**
     * 查询固定源产排治--执行报告--火电废水污染治理设施正常情况列表
     *
     * @param bStatTableZxbgHdWaterPollution 固定源产排治--执行报告--火电废水污染治理设施正常情况
     * @return 固定源产排治--执行报告--火电废水污染治理设施正常情况集合
     */
    public List<BStatTableZxbgHdWaterPollution> selectBStatTableZxbgHdWaterPollutionList(BStatTableZxbgHdWaterPollution bStatTableZxbgHdWaterPollution);

    public List<BStatTableZxbgHdWaterPollution> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
