package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgJbxxInfo;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;

/**
 * 固定源产排治--执行报告--企业基本信息Mapper接口
 *
 * @author szhpt
 * @date 2023-07-27*/
@Mapper
public interface BStatTableZxbgJbxxInfoMapper extends BaseMapper<BStatTableZxbgJbxxInfo>
{
    /**
     * 查询固定源产排治--执行报告--企业基本信息列表
     *
     * @param bStatTableZxbgJbxxInfo 固定源产排治--执行报告--企业基本信息
     * @return 固定源产排治--执行报告--企业基本信息集合
     */
    public List<BStatTableZxbgJbxxInfo> selectBStatTableZxbgJbxxInfoList(BStatTableZxbgJbxxInfo bStatTableZxbgJbxxInfo);

    public List<BStatTableZxbgJbxxInfo> selectListAndFactory(BStatTablepPwxkWaterQuery query);


    Integer selectCountByPeriodAndPeriod(@Param("type") String type, @Param("period") String period, @Param("records") List<String> records);

    List<BStatTableZxbgJbxxInfo> selectByPeriodAndPeriod(@Param("type") String type, @Param("period") String period,
        @Param("records") List<String> records);
}
