package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflAir;

/**
 * 固定源产排治--执行报告--废气实际排放量Mapper接口
 *
 * @author szhpt
 * @date 2023-07-27*/
@Mapper
public interface BStatTableZxbgPflAirMapper extends BaseMapper<BStatTableZxbgPflAir>
{
    /**
     * 查询固定源产排治--执行报告--废气实际排放量列表
     *
     * @param bStatTableZxbgPflAir 固定源产排治--执行报告--废气实际排放量
     * @return 固定源产排治--执行报告--废气实际排放量集合
     */
    public List<BStatTableZxbgPflAir> selectBStatTableZxbgPflAirList(BStatTableZxbgPflAir bStatTableZxbgPflAir);

    List<BStatTableZxbgPflAir> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
