package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgSnFuel;

/**
 * 固定源产排治--执行报告--水泥燃料分析Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgSnFuelMapper extends BaseMapper<BStatTableZxbgSnFuel>
{
    /**
     * 查询固定源产排治--执行报告--水泥燃料分析列表
     *
     * @param bStatTableZxbgSnFuel 固定源产排治--执行报告--水泥燃料分析
     * @return 固定源产排治--执行报告--水泥燃料分析集合
     */
    public List<BStatTableZxbgSnFuel> selectBStatTableZxbgSnFuelList(BStatTableZxbgSnFuel bStatTableZxbgSnFuel);

    public List<BStatTableZxbgSnFuel> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
