package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BStatTableZxbgWrzlAbnormalities;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 固定源产排治--执行报告--污染治理设施异常情况Mapper接口
 *
 * @author szhpt
 * @date 2023-07-31*/
@Mapper
public interface BStatTableZxbgWrzlAbnormalitiesMapper extends BaseMapper<BStatTableZxbgWrzlAbnormalities>
{
    /**
     * 查询固定源产排治--执行报告--污染治理设施异常情况列表
     *
     * @param bStatTableZxbgWrzlAbnormalities 固定源产排治--执行报告--污染治理设施异常情况
     * @return 固定源产排治--执行报告--污染治理设施异常情况集合
     */
    public List<BStatTableZxbgWrzlAbnormalities> selectBStatTableZxbgWrzlAbnormalitiesList(BStatTableZxbgWrzlAbnormalities bStatTableZxbgWrzlAbnormalities);

    public List<BStatTableZxbgWrzlAbnormalities> selectListAndFactory(BStatTablepPwxkWaterQuery query);

    List<BStatTableZxbgWrzlAbnormalities> queryAbnormalitiesData(@Param("period") String period, @Param("type") String type, @Param("factoryIds") List<String> factoryIdList);
}
