package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BStatTableZxbgWrzlTotal;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 固定源产排治--执行报告--污染治理设施正常情况汇总Mapper接口
 *
 * @author szhpt
 * @date 2023-07-31
 */
@Mapper
public interface BStatTableZxbgWrzlTotalMapper extends BaseMapper<BStatTableZxbgWrzlTotal> {
    /**
     * 查询固定源产排治--执行报告--污染治理设施正常情况汇总列表
     *
     * @param bStatTableZxbgWrzlTotal 固定源产排治--执行报告--污染治理设施正常情况汇总
     * @return 固定源产排治--执行报告--污染治理设施正常情况汇总集合
     */
    public List<BStatTableZxbgWrzlTotal> selectBStatTableZxbgWrzlTotalList(BStatTableZxbgWrzlTotal bStatTableZxbgWrzlTotal);

    public List<BStatTableZxbgWrzlTotal> selectListAndFactory(BStatTablepPwxkWaterQuery query);

    List<BStatTableZxbgWrzlTotal> selectByPeriodAndTypeAndRecords(@Param("pollutant") String pollutant, @Param("period") String period, @Param("type") String type, @Param("factoryIds") List<String> factoryIds);

    List<String> selectFactoryIdsListByPeriod(@Param("pollutant") String pollutant, @Param("period") String period, @Param("type") String type);
}
