package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BasControlValue;
import org.apache.ibatis.annotations.Param;

/**
 * basControlValueMapper接口
 *
 * @author admin
 * @date 2023-06-27
 */
@Mapper
public interface BasControlValueMapper extends BaseMapper<BasControlValue>
{

    /**
     * 查询basControlValue列表
     *
     * @param basControlValue basControlValue
     * @return basControlValue集合
     */
    public List<BasControlValue> selectBasControlValueList(BasControlValue basControlValue);


    BasControlValue selectByFactoryId(@Param("factoryId") String factoryId,@Param("industry")String industry, @Param("deviceType")String deviceType);
}
