package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BasDeviceConfig;

/**
 * 企业设备参数配置Mapper接口
 *
 * @author szhpt
 * @date 2023-04-05*/
@Mapper
public interface BasDeviceConfigMapper extends BaseMapper<BasDeviceConfig>
{
    /**
     * 查询企业设备参数配置列表
     *
     * @param basDeviceConfig 企业设备参数配置
     * @return 企业设备参数配置集合
     */
    public List<BasDeviceConfig> selectBasDeviceConfigList(BasDeviceConfig basDeviceConfig);

}
