package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BasParam;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 监测参数汇总(有组织)Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface BasParamMapper extends BaseMapper<BasParam>
{
    /**
     * 查询监测参数汇总(有组织)列表
     *
     * @param basParam 监测参数汇总(有组织)
     * @return 监测参数汇总(有组织)集合
     */
    public List<BasParam> selectBasParamList(BasParam basParam);

}
