package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.FactoryReportingManifest;
import org.apache.ibatis.annotations.Param;

/**
 * 企业信息上报任务清单Mapper接口
 *
 * @author szhpt
 * @date 2023-05-09*/
@Mapper
public interface FactoryReportingManifestMapper extends BaseMapper<FactoryReportingManifest>
{
    /**
     * 查询企业信息上报任务清单列表
     *
     * @param factoryReportingManifest 企业信息上报任务清单
     * @return 企业信息上报任务清单集合
     */
    public List<FactoryReportingManifest> selectFactoryReportingManifestList(FactoryReportingManifest factoryReportingManifest);

    void insertBatch(@Param("addList") List<FactoryReportingManifest> i);

}
