package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.FactoryReportingTask;

/**
 * 企业信息上报任务Mapper接口
 *
 * @author szhpt
 * @date 2023-05-09*/
@Mapper
public interface FactoryReportingTaskMapper extends BaseMapper<FactoryReportingTask>
{
    /**
     * 查询企业信息上报任务列表
     *
     * @param factoryReportingTask 企业信息上报任务
     * @return 企业信息上报任务集合
     */
    public List<FactoryReportingTask> selectFactoryReportingTaskList(FactoryReportingTask factoryReportingTask);

}
