package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.MAmVideoDevFi;
import cn.cecep.talroad.vo.MAmVideoDevFiVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 基础信息 与 产治排跟踪--视频设施清单Mapper接口
 *
 * @author szhpt
 * @date 2023-02-10
 */
@Mapper
public interface MAmVideoDevFiMapper extends BaseMapper<MAmVideoDevFi> {
    /**
     * 查询基础信息 与 产治排跟踪--视频设施清单列表
     *
     * @param mAmVideoDevFi 基础信息 与 产治排跟踪--视频设施清单
     * @return 基础信息 与 产治排跟踪--视频设施清单集合
     */
    public List<MAmVideoDevFi> selectMAmVideoDevFiList(MAmVideoDevFi mAmVideoDevFi);


    List<MAmVideoDevFi> selectListDel();

    int batchInsert(List<MAmVideoDevFi> mAmVideoDevFiList);
    int updateBatchCoordinate(List<MAmVideoDevFiVo> mAmVideoDevFiList);


}
