package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.MonDevHour;
import cn.cecep.talroad.vo.MonDevGtVO;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备数据(有组织)-其它时间 保存设备的小时以上的数据Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface MonDevHourMapper extends BaseMapper<MonDevHour>
{
    /**
     * 查询设备数据(有组织)-其它时间 保存设备的小时以上的数据列表
     *
     * @param monDevHour 设备数据(有组织)-其它时间 保存设备的小时以上的数据
     * @return 设备数据(有组织)-其它时间 保存设备的小时以上的数据集合
     */
    public List<MonDevHour> selectMonDevHourList(MonDevHour monDevHour);

    List<MonDevGtVO> getDataPage2(Page page, @Param(Constants.WRAPPER)QueryWrapper<MonDevGtVO> queryWrapper);
}
