package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.MonDevJhOther;
import cn.cecep.talroad.vo.MonDevJhVO;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备数据-焦化-其它时间 保存设备的小时以上的数据Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface MonDevJhOtherMapper extends BaseMapper<MonDevJhOther>
{
    /**
     * 查询设备数据-焦化-其它时间 保存设备的小时以上的数据列表
     *
     * @param monDevJhOther 设备数据-焦化-其它时间 保存设备的小时以上的数据
     * @return 设备数据-焦化-其它时间 保存设备的小时以上的数据集合
     */
    public List<MonDevJhOther> selectMonDevJhOtherList(MonDevJhOther monDevJhOther);

    List<MonDevJhVO> getDataPage(Page page, @Param(Constants.WRAPPER) QueryWrapper<MonDevJhVO> queryWrapper);
}
