package cn.cecep.talroad.mapper;

import cn.cecep.talroad.data.analyse.task.entity.FactoryActivePowerQuantityVO;
import cn.cecep.talroad.domain.MonElecOther;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author thy
 * @since 2023-04-02
 */
@Mapper
public interface MonElecOtherMapper extends BaseMapper<MonElecOther> {

    void insertMonElecOther(List<MonElecOther> list);

    List<FactoryActivePowerQuantityVO> selectFactoryActivePowerQuantity(@Param("startTime") String startTime, @Param("endTime")  String endTime);

}
