package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.OdsElectricityElecPsEquipRelationTsA;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisRun;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.sql.Timestamp;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author thy
 * @since 2023-04-01
 */
@Mapper
public interface OdsElectricityElecPsEquipRelationTsAMapper extends BaseMapper<OdsElectricityElecPsEquipRelationTsA> {

    /**
     * @Author: Mr.Yanghongtao
     * @data: 2023/4/1 4:37 PM
     * @Deseription: 通过治理设施ID查询对应的生产设施状态
     * @Params: null
     * @Return:
     * @Throws:
     */
    List<SRaRealTimeAnalysisRun> selectListByDeviceIdAndTime(@Param("deviceIds") List<String> deviceIds, @Param("updateTime") Timestamp updateTime);
}
