package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.OdsMeshingShStationHourI;

/**
 * ods层网格化市控站点小时增量Mapper接口
 *
 * @author szhpt
 * @date 2023-06-10*/
@Mapper
public interface OdsMeshingShStationHourIMapper extends BaseMapper<OdsMeshingShStationHourI>
{
    /**
     * 查询ods层网格化市控站点小时增量列表
     *
     * @param odsMeshingShStationHourI ods层网格化市控站点小时增量
     * @return ods层网格化市控站点小时增量集合
     */
    public List<OdsMeshingShStationHourI> selectOdsMeshingShStationHourIList(OdsMeshingShStationHourI odsMeshingShStationHourI);

}
