package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PCodeAreaInfo;
import cn.cecep.talroad.domain.vo.ControlVo;
import cn.cecep.talroad.domain.vo.UserVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.mapper
 * @ClassName: PCodAreaInfoMapper
 * @Author: wyg
 * @Description: PCodAreaInfoMapper
 * @Date: 2023/6/13 10:34
 * @Version: 1.0
 */
public interface PCodAreaInfoMapper extends BaseMapper<PCodeAreaInfo> {

    //type 显示类型  1监测地图  2站点
    List<ControlVo> findDataPollution(@Param("controlList") List<String> list, @Param("controlType") String controlType, @Param("type") String type);

    List<Map<String,Object>> findJurisdictionData(@Param("regionCode") String regionCode);

    List<Map<String, Object>> getIndustryCategoryList(Map<String, String> map);
}
