package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcLabelFactory;
import cn.cecep.talroad.domain.PcLabelValue;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 特征标签-参数值Mapper接口
 *
 * @author szhpt
 * @date 2023-02-02*/
@Mapper
public interface PcLabelValueMapper extends BaseMapper<PcLabelValue>
{
    /**
     * 查询特征标签-参数值列表
     *
     * @param pcLabelValue 特征标签-参数值
     * @return 特征标签-参数值集合
     */
    public List<PcLabelValue> selectPcLabelValueList(PcLabelValue pcLabelValue);

    void batchSave(@Param("addList") List<PcLabelValue> addList);
}
