package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcManagementFacilities;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 治理设施Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface PcManagementFacilitiesMapper extends BaseMapper<PcManagementFacilities>
{
    /**
     * 查询治理设施列表
     *
     * @param pcManagementFacilities 治理设施
     * @return 治理设施集合
     */
    public List<PcManagementFacilities> selectPcManagementFacilitiesList(PcManagementFacilities pcManagementFacilities);

}
