package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcMenuFactory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 企业档案菜单与企业关联中间Mapper接口
 *
 * @author szhpt
 * @date 2023-02-02*/
@Mapper
public interface PcMenuFactoryMapper extends BaseMapper<PcMenuFactory>
{
    /**
     * 查询企业档案菜单与企业关联中间列表
     *
     * @param pcMenuFactory 企业档案菜单与企业关联中间
     * @return 企业档案菜单与企业关联中间集合
     */
    public List<PcMenuFactory> selectPcMenuFactoryList(PcMenuFactory pcMenuFactory);

}
