package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcMenu;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 企业档案菜单管理Mapper接口
 *
 * @author szhpt
 * @date 2023-02-02*/
@Mapper
public interface PcMenuMapper extends BaseMapper<PcMenu>
{
    /**
     * 查询企业档案菜单管理列表
     *
     * @param pcMenu 企业档案菜单管理
     * @return 企业档案菜单管理集合
     */
    public List<PcMenu> selectPcMenuList(PcMenu pcMenu);

}
