package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcNoiseType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 噪声排放类型Mapper接口
 *
 * @author szhpt
 * @date 2023-01-11*/
@Mapper
public interface PcNoiseTypeMapper extends BaseMapper<PcNoiseType>
{
    /**
     * 查询噪声排放类型列表
     *
     * @param pcNoiseType 噪声排放类型
     * @return 噪声排放类型集合
     */
    public List<PcNoiseType> selectPcNoiseTypeList(PcNoiseType pcNoiseType);

}
