package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcStationBuildingOps;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 站房运维签到信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface PcStationBuildingOpsMapper extends BaseMapper<PcStationBuildingOps>
{
    /**
     * 查询站房运维签到信息列表
     *
     * @param pcStationBuildingOps 站房运维签到信息
     * @return 站房运维签到信息集合
     */
    public List<PcStationBuildingOps> selectPcStationBuildingOpsList(PcStationBuildingOps pcStationBuildingOps);

}
