package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.SEnvGasMonDay;
import cn.cecep.talroad.vo.analysis.FactoryOutletStaticsVo;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 废气监测数据Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface SEnvGasMonDayMapper extends BaseMapper<SEnvGasMonDay>
{


    List<FactoryOutletStaticsVo> selectLastDayData(@Param("lastDayBegin") DateTime queryBeginTime, @Param("lastDayEnd") DateTime queryEndTime);
}
