package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.SMainDynamicControlParam;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 基本信息-废气、废水排口档案-动态管控信息调整 -参数Mapper接口
 *
 * @author szhpt
 * @date 2023-02-02*/
@Mapper
public interface SMainDynamicControlParamMapper extends BaseMapper<SMainDynamicControlParam>
{
    /**
     * 查询基本信息-废气、废水排口档案-动态管控信息调整 -参数列表
     *
     * @param sMainDynamicControlParam 基本信息-废气、废水排口档案-动态管控信息调整 -参数
     * @return 基本信息-废气、废水排口档案-动态管控信息调整 -参数集合
     */
    public List<SMainDynamicControlParam> selectSMainDynamicControlParamList(SMainDynamicControlParam sMainDynamicControlParam);

    List<Map<String, Object>> selectParamTableData(@Param("factoryId") String factoryId, @Param("outletId") String outletId, @Param("controlTypeCode") String controlTypeCode);
}
