package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.SRaRealTimeAnalysisRunOne;
import cn.cecep.talroad.vo.query.SRaRealTimeAnalysisRunOneQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据Mapper接口
 *
 * @author szhpt
 * @date 2023-05-17*/
@Mapper
public interface SRaRealTimeAnalysisRunOneMapper extends BaseMapper<SRaRealTimeAnalysisRunOne>
{
    /**
     * 查询关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据列表
     *
     * @param sRaRealTimeAnalysisRunOne 关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据
     * @return 关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据集合
     */
    public List<SRaRealTimeAnalysisRunOne> selectSRaRealTimeAnalysisRunOneList(Page<?> page, @Param("sRaRealTimeAnalysisRunOne") SRaRealTimeAnalysisRunOneQuery sRaRealTimeAnalysisRunOne);


    void batchInsert(List<SRaRealTimeAnalysisRunOne> list);

    void updateBatchSelective(List<SRaRealTimeAnalysisRunOne> list);

    List<String> selectAllDeviceId(String deviceType);

    List<SRaRealTimeAnalysisRunOne> selectAnalysisRunByParams(SRaRealTimeAnalysisRunOne run);
}
