package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.TCodStation;
import cn.cecep.talroad.vo.TCodStationVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 大气环境、水环境站点Mapper接口
 */
@Mapper
public interface TCodStationMapper extends BaseMapper<TCodStation> {

    List<TCodStationVo> selectAirStationList(TCodStationVo.SearchVo searchVo);

    List<TCodStationVo> selectWaterStationList(TCodStationVo.SearchVo searchVo);

    List<Map<String, Object>> selectStationRank(@Param("factorName") String factorName, @Param("monitorTime") String monitorTime);
}
