package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.BCoDischargePlan;
import cn.cecep.talroad.vo.analysis.CoPlanAllInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BCoDischargePlanMapper extends BaseMapper<BCoDischargePlan> {

    int batchInsert(@Param("list") List<BCoDischargePlan> list);

    BCoDischargePlan newPlanName(String factoryId);

    IPage<CoPlanAllInfo> selectCoAllInfo(Page<CoPlanAllInfo> p, @Param("info") CoPlanAllInfo info);
}