package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.BMaintenancePlan;
import cn.cecep.talroad.vo.analysis.CoPlanAllInfo;
import cn.cecep.talroad.vo.analysis.MaintenancePlanAllInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BMaintenancePlanMapper extends BaseMapper<BMaintenancePlan> {
    int updateBatch(List<BMaintenancePlan> list);

    int updateBatchSelective(List<BMaintenancePlan> list);

    int batchInsert(@Param("list") List<BMaintenancePlan> list);

    IPage<MaintenancePlanAllInfo> selectCoAllInfo(Page<CoPlanAllInfo> p, @Param("info") MaintenancePlanAllInfo info);
}