package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaAbNalysisCar;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 管控期车辆异常分析Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaAbNalysisCarMapper extends BaseMapper<SRaAbNalysisCar>
{
    /**
     * 查询管控期车辆异常分析列表
     *
     * @param sRaAbNalysisCar 管控期车辆异常分析
     * @return 管控期车辆异常分析集合
     */
    public List<SRaAbNalysisCar> selectSRaAbNalysisCarList(SRaAbNalysisCar sRaAbNalysisCar);

}
