package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaAreaTransferRateAnalysis;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 区域传输率分析Mapper接口
 *
 * @author szhpt
 * @date 2023-03-28*/
@Mapper
public interface SRaAreaTransferRateAnalysisMapper extends BaseMapper<SRaAreaTransferRateAnalysis> {
    /**
     * 查询区域传输率分析列表
     *
     * @param sRaAreaTransferRateAnalysis 区域传输率分析
     * @return 区域传输率分析集合
     */
    List<SRaAreaTransferRateAnalysis> selectSRaAreaTransferRateAnalysisList(SRaAreaTransferRateAnalysis sRaAreaTransferRateAnalysis);
}