package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.analysis.SRaControlScheme;

/**
 * 关联分析系统-减排方案管理-管控时间段信息Mapper接口
 *
 * @author szhpt
 * @date 2023-04-02*/
@Mapper
public interface SRaControlSchemeMapper extends BaseMapper<SRaControlScheme>
{
    /**
     * 查询关联分析系统-减排方案管理-管控时间段信息列表
     *
     * @param sRaControlScheme 关联分析系统-减排方案管理-管控时间段信息
     * @return 关联分析系统-减排方案管理-管控时间段信息集合
     */
    public List<SRaControlScheme> selectSRaControlSchemeList(SRaControlScheme sRaControlScheme);

}
