package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaEmissionsDiff;
import cn.cecep.talroad.vo.analysis.SRaEmissionsDiffVo;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsDiffQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业排放量差异分析Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaEmissionsDiffMapper extends BaseMapper<SRaEmissionsDiff>
{

    List<SRaEmissionsDiffVo> selectEmissionsDiffList(@Param("page") Page<SRaEmissionsDiffVo> page, @Param("query") SRaEmissionsDiffQuery query);

}
