package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaEmissionsOverFactory;
import cn.cecep.talroad.vo.analysis.SRaEmissionsOverFactoryVo;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsOverFactoryQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业排放量超标分析Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaEmissionsOverFactoryMapper extends BaseMapper<SRaEmissionsOverFactory>
{
    List<SRaEmissionsOverFactoryVo> selectEmissionsOverFactory(@Param("page") Page<SRaEmissionsOverFactoryVo> page, @Param("query") SRaEmissionsOverFactoryQuery query);

    List<String> selectStatScopeList();
}
