package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaEmissionsOver;
import cn.cecep.talroad.vo.analysis.SRaEmissionsOverVo;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsOverQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 区域、行业排放量超标分析Mapper接口
 */
@Mapper
public interface SRaEmissionsOverMapper extends BaseMapper<SRaEmissionsOver> {

    List<SRaEmissionsOverVo.RegionVo> selectRegionEmissions(@Param("page") Page<SRaEmissionsOverVo.RegionVo> page, @Param("query") SRaEmissionsOverQuery query);

    List<SRaEmissionsOverVo.IndustryVo> selectIndustryEmissions(@Param("page") Page<SRaEmissionsOverVo.IndustryVo> page, @Param("query") SRaEmissionsOverQuery query);
}
