package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaFactoryRegulatoryIssues;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业证后监管问题总表Mapper接口
 *
 * @author szhpt
 * @date 2023-03-28*/
@Mapper
public interface SRaFactoryRegulatoryIssuesMapper extends BaseMapper<SRaFactoryRegulatoryIssues>
{
    /**
     * 查询企业证后监管问题总表列表
     *
     * @param sRaFactoryRegulatoryIssuess 企业证后监管问题总表
     * @return 企业证后监管问题总表集合
     */
    public List<SRaFactoryRegulatoryIssues> selectSRaFactoryRegulatoryIssuesList(@Param("ew") QueryWrapper<SRaFactoryRegulatoryIssues> lambdaQueryWrapper);

    IPage<SRaFactoryRegulatoryIssues> selectSRaFactoryRegulatoryIssuesPage(Page<SRaFactoryRegulatoryIssues> page, @Param("ew") QueryWrapper<SRaFactoryRegulatoryIssues> lambdaQueryWrapper);
}
