package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaGasFlag;
import cn.cecep.talroad.vo.analysis.SRaGasFlagVo;
import cn.cecep.talroad.vo.query.analysis.SRaGasFlagQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 关联分析系统-企业异常行为分析-企业排放分析-废气在线监测标记汇总Mapper接口
 */
@Mapper
public interface SRaGasFlagMapper extends BaseMapper<SRaGasFlag> {

    List<SRaGasFlagVo.Row> selectGasFlagList(@Param("page") Page<SRaGasFlagVo.Row> page, @Param("query") SRaGasFlagQuery query);

    List<SRaGasFlagVo.DetailRow> selectGasFlagDetailList(@Param("page") Page<SRaGasFlagVo.DetailRow> page, @Param("query") SRaGasFlagQuery query);

}
