package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaOverRateWater;
import cn.cecep.talroad.vo.analysis.SRaOverRateWaterVo;
import cn.cecep.talroad.vo.query.analysis.SRaOverRateWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;

/**
 * 超标率分析-水污染要素Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaOverRateWaterMapper extends BaseMapper<SRaOverRateWater>
{

    List<SRaOverRateWaterVo> selectOverRateWaterPage(@Param("page") Page<SRaOverRateWaterVo> page, @Param("query") SRaOverRateWaterQuery query);


    List<SRaOverRateWater> selectWaterDataByMonth(@Param("monthList") List<String> monthList);
}
