package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaWaterFlag;
import cn.cecep.talroad.vo.analysis.SRaWaterFlagVo;
import cn.cecep.talroad.vo.query.analysis.SRaWaterFlagQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 关联分析系统-企业异常行为分析-企业排放分析-废水在线监测标记汇总Mapper接口
 */
@Mapper
public interface SRaWaterFlagMapper extends BaseMapper<SRaWaterFlag>
{

    List<SRaWaterFlagVo.Row> selectWaterFlagList(@Param("page") Page<SRaWaterFlagVo.Row> page, @Param("query") SRaWaterFlagQuery query);

    List<SRaWaterFlagVo.DetailRow> selectWaterFlagDetailList(@Param("page") Page<SRaWaterFlagVo.DetailRow> page, @Param("query") SRaWaterFlagQuery query);
}
