package cn.cecep.talroad.mapper.effective;

import cn.cecep.talroad.domain.effective.PCodeIndexPollutant;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zhangshiji
 * @date 2022/7/26
 */
public interface PCodeIndexPollutantMapper extends BaseMapper<PCodeIndexPollutant> {
    /**
     * 通过属性名查询id
     * @param column    属性名
     * @return
     */
    Integer findIdByColumn(@Param("column") String column);

    /**
     * 通过属性名查询  因子标准名称
     * @param column    属性名
     * @return
     */
    String findNameByColumn(@Param("column") String column);

    /**
     * 查询达标计算相关因子
     * @return
     */
    List<PCodeIndexPollutant> findTargetPollutant();

    /**
     * 查询秋冬防计算相关因子
     * @return
     */
    List<PCodeIndexPollutant> findWinterPollutant();
}
