package cn.cecep.talroad.mapper.effective;

import cn.cecep.talroad.domain.effective.QTargetConfig;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 目标管理配置Mapper接口
 * create by auto code
 * @author talroad
 * @date 2022-09-20 11:41:36
 */
public interface QTargetConfigMapper extends BaseMapper<QTargetConfig>
{
    /**
     * 查询目标管理配置
     *
     * @param  qTargetConfig 目标管理配置
     */
    public List<QTargetConfig> queryQTargetConfigList(QTargetConfig qTargetConfig);

    /**
     * 通过区域编号查询配置
     * @param regionCode
     * @return
     */
    QTargetConfig findConfigByRegionCode(@Param("regionCode") String regionCode);
}
