package cn.cecep.talroad.service;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.BaseRegionalControlObjectives;
import cn.cecep.talroad.vo.BaseRegionalControlObjectivesVo;
import cn.cecep.talroad.vo.query.BaseRegionalControlObjectivesQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

public interface BaseRegionalControlObjectivesService {
    /**
     * 通过主键查询单条数据
     *
     * @param query 主键
     * @return 列表数据
     */
    AjaxResults<IPage<BaseRegionalControlObjectivesVo>> selectList(BaseRegionalControlObjectivesQuery query);

    AjaxResults<Boolean> save(List<BaseRegionalControlObjectives> data);

    void saveOrUpdate();
}
