package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BEnterpriseIrBusinessAlerts;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 通知提醒-业务提醒Service接口
 *
 * @author szhpt
 * @date 2023-03-14*/
public interface IBEnterpriseIrBusinessAlertsService extends  IService<BEnterpriseIrBusinessAlerts>
{
    /**
     * 查询通知提醒-业务提醒列表
     *
     * @param bEnterpriseIrBusinessAlerts 通知提醒-业务提醒
     * @return 通知提醒-业务提醒集合
     */
    public List<BEnterpriseIrBusinessAlerts> selectBEnterpriseIrBusinessAlertsList(BEnterpriseIrBusinessAlerts bEnterpriseIrBusinessAlerts);

    List<Map<String, String>> selectOptions(String factoryId);

    Integer countByFactoryId(String factoryId);
}
