package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BEnterpriseIrEes;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 知识库-生态环境标准Service接口
 *
 * @author szhpt
 * @date 2023-03-14*/
public interface IBEnterpriseIrEesService extends  IService<BEnterpriseIrEes>
{
    /**
     * 查询知识库-生态环境标准列表
     *
     * @param bEnterpriseIrEes 知识库-生态环境标准
     * @return 知识库-生态环境标准集合
     */
    public List<BEnterpriseIrEes> selectBEnterpriseIrEesList(BEnterpriseIrEes bEnterpriseIrEes);

}
