package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BEnterpriseIrNotifierproNotice;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 通知提醒-通知公告Service接口
 *
 * @author szhpt
 * @date 2023-03-14*/
public interface IBEnterpriseIrNotifierproNoticeService extends  IService<BEnterpriseIrNotifierproNotice>
{
    /**
     * 查询通知提醒-通知公告列表
     *
     * @param bEnterpriseIrNotifierproNotice 通知提醒-通知公告
     * @return 通知提醒-通知公告集合
     */
    public List<BEnterpriseIrNotifierproNotice> selectBEnterpriseIrNotifierproNoticeList(BEnterpriseIrNotifierproNotice bEnterpriseIrNotifierproNotice);

    List<Map<String, String>> selectOptions(String factoryId);

    Integer countByFactoryId(String factoryId);

}
