package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainActionReports;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 执行报告Service接口
 *
 * @author szhpt
 * @date 2023-01-11*/
public interface IBMainActionReportsService extends  IService<BMainActionReports>
{
    /**
     * 查询执行报告列表
     *
     * @param bMainActionReports 执行报告
     * @return 执行报告集合
     */
    public List<BMainActionReports> selectBMainActionReportsList(BMainActionReports bMainActionReports);
    
}
