package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainAllowablePollutionWater;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 总许可量- 废水排放总许可量要求Service接口
 *
 * @author szhpt
 * @date 2023-01-31*/
public interface IBMainAllowablePollutionWaterService extends  IService<BMainAllowablePollutionWater>
{
    /**
     * 查询总许可量- 废水排放总许可量要求列表
     *
     * @param bMainAllowablePollutionWater 总许可量- 废水排放总许可量要求
     * @return 总许可量- 废水排放总许可量要求集合
     */
    public List<BMainAllowablePollutionWater> selectBMainAllowablePollutionWaterList(BMainAllowablePollutionWater bMainAllowablePollutionWater);

    IPage<BMainAllowablePollutionWater> selectBMainAllowablePollutionWaterPageList(Page<?> page, QueryWrapper<BMainAllowablePollutionWater> lambdaQueryWrapper);
}
