package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainEmissionOnlineMonAir;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业排放信息-在线监测排放趋势-废气Service接口
 *
 * @author szhpt
 * @date 2023-01-31*/
public interface IBMainEmissionOnlineMonAirService extends  IService<BMainEmissionOnlineMonAir>
{
    /**
     * 查询企业排放信息-在线监测排放趋势-废气列表
     *
     * @param bMainEmissionOnlineMonAir 企业排放信息-在线监测排放趋势-废气
     * @return 企业排放信息-在线监测排放趋势-废气集合
     */
    public List<BMainEmissionOnlineMonAir> selectBMainEmissionOnlineMonAirList(BMainEmissionOnlineMonAir bMainEmissionOnlineMonAir);
    
}
