package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainHazardousSolidWasteLe;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 固体废物排放信息Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IBMainHazardousSolidWasteLeService extends  IService<BMainHazardousSolidWasteLe>
{
    /**
     * 查询固体废物排放信息列表
     *
     * @param bMainHazardousSolidWasteLe 固体废物排放信息
     * @return 固体废物排放信息集合
     */
    public List<BMainHazardousSolidWasteLe> selectBMainHazardousSolidWasteLeList(BMainHazardousSolidWasteLe bMainHazardousSolidWasteLe);
    
}
