package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainHazardousSolidWaste;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 固体废物基础信息Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IBMainHazardousSolidWasteService extends  IService<BMainHazardousSolidWaste>
{
    /**
     * 查询固体废物基础信息列表
     *
     * @param bMainHazardousSolidWaste 固体废物基础信息
     * @return 固体废物基础信息集合
     */
    public List<BMainHazardousSolidWaste> selectBMainHazardousSolidWasteList(BMainHazardousSolidWaste bMainHazardousSolidWaste);
    
}
