package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainHazardousWasteOutput;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.BMainHazardousWasteOutputQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 危废产生与处理Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IBMainHazardousWasteOutputService extends  IService<BMainHazardousWasteOutput>
{
    /**
     * 查询危废产生与处理列表
     *
     * @param bMainHazardousWasteOutput 危废产生与处理
     * @return 危废产生与处理集合
     */
    public List<BMainHazardousWasteOutput> selectBMainHazardousWasteOutputList(BMainHazardousWasteOutput bMainHazardousWasteOutput);

    EChartsVO getCharData(BMainHazardousWasteOutputQuery bMainHazardousWasteOutput);

    EChartsVO getAppCharData(BMainHazardousWasteOutputQuery bMainHazardousWasteOutput);
}
