package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisEmlRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可环境管理台账Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisEmlRecordService extends  IService<BMainPollDisEmlRecord>
{
    /**
     * 查询排污许可环境管理台账列表
     *
     * @param bMainPollDisEmlRecord 排污许可环境管理台账
     * @return 排污许可环境管理台账集合
     */
    public List<BMainPollDisEmlRecord> selectBMainPollDisEmlRecordList(BMainPollDisEmlRecord bMainPollDisEmlRecord);

    /**
     * 查询排污许可环境管理台账列表
     * @param xkzId 许可证主键
     * @return
     */
    List<BMainPollDisEmlRecord> pullBookRecord(String xkzId);

}
