package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisEnforcement;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可执行守法报告Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisEnforcementService extends  IService<BMainPollDisEnforcement>
{
    /**
     * 查询排污许可执行守法报告列表
     *
     * @param bMainPollDisEnforcement 排污许可执行守法报告
     * @return 排污许可执行守法报告集合
     */
    public List<BMainPollDisEnforcement> selectBMainPollDisEnforcementList(BMainPollDisEnforcement bMainPollDisEnforcement);

    /**
     * 查询排污许可证执行报告要求
     * @param xkzId 许可证主键
     * @return
     */
    List<BMainPollDisEnforcement> pullImplementReport(String xkzId);
}
