package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisFile;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可附件信息Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisFileService extends  IService<BMainPollDisFile>
{
    /**
     * 查询排污许可附件信息列表
     *
     * @param bMainPollDisFile 排污许可附件信息
     * @return 排污许可附件信息集合
     */
    public List<BMainPollDisFile> selectBMainPollDisFileList(BMainPollDisFile bMainPollDisFile);
    
}
