package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisGasTout;
import cn.cecep.talroad.vo.query.BMainPollDisGasToutQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可大气排放总计Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisGasToutService extends  IService<BMainPollDisGasTout>
{
    /**
     * 查询排污许可大气排放总计列表
     *
     * @param bMainPollDisGasTout 排污许可大气排放总计
     * @return 排污许可大气排放总计集合
     */
    public List<BMainPollDisGasTout> selectBMainPollDisGasToutList(BMainPollDisGasTout bMainPollDisGasTout);

    IPage<BMainPollDisGasTout> pullPage(BMainPollDisGasToutQuery bMainPollDisGasTout);

}
