package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisNoiseRegulation;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可其他许可改正规定Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisNoiseRegulationService extends  IService<BMainPollDisNoiseRegulation>
{
    /**
     * 查询排污许可其他许可改正规定列表
     *
     * @param bMainPollDisNoiseRegulation 排污许可其他许可改正规定
     * @return 排污许可其他许可改正规定集合
     */
    public List<BMainPollDisNoiseRegulation> selectBMainPollDisNoiseRegulationList(BMainPollDisNoiseRegulation bMainPollDisNoiseRegulation);

    /**
     * 查询排污许可其他许可改正规定列表
     * @param xkzId 许可证主键ID
     * @return
     */
    List<BMainPollDisNoiseRegulation> pullOtherXkAskRectifyAndReform(String xkzId);

}
