package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisSelfMon;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可自行监测要求Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisSelfMonService extends  IService<BMainPollDisSelfMon>
{
    /**
     * 查询排污许可自行监测要求列表
     *
     * @param bMainPollDisSelfMon 排污许可自行监测要求
     * @return 排污许可自行监测要求集合
     */
    public List<BMainPollDisSelfMon> selectBMainPollDisSelfMonList(BMainPollDisSelfMon bMainPollDisSelfMon);
    
}
