package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisWaterMout;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可水污染物主排放口Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisWaterMoutService extends  IService<BMainPollDisWaterMout>
{
    /**
     * 查询排污许可水污染物主排放口列表
     *
     * @param bMainPollDisWaterMout 排污许可水污染物主排放口
     * @return 排污许可水污染物主排放口集合
     */
    public List<BMainPollDisWaterMout> selectBMainPollDisWaterMoutList(BMainPollDisWaterMout bMainPollDisWaterMout);
    
}
