package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisWaterTout;
import cn.cecep.talroad.vo.query.BMainPollDisWaterToutQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可水污染物排放总计Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisWaterToutService extends  IService<BMainPollDisWaterTout>
{
    /**
     * 查询排污许可水污染物排放总计列表
     *
     * @param bMainPollDisWaterTout 排污许可水污染物排放总计
     * @return 排污许可水污染物排放总计集合
     */
    public List<BMainPollDisWaterTout> selectBMainPollDisWaterToutList(BMainPollDisWaterTout bMainPollDisWaterTout);

    IPage<BMainPollDisWaterTout> pullPage(BMainPollDisWaterToutQuery bMainPollDisWaterTout);

}
