package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainProductionInorgGas;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 废气无组织排放产治排信息Service接口
 *
 * @author szhpt
 * @date 2023-02-08*/
public interface IBMainProductionInorgGasService extends  IService<BMainProductionInorgGas>
{
    /**
     * 查询废气无组织排放产治排信息列表
     *
     * @param bMainProductionInorgGas 废气无组织排放产治排信息
     * @return 废气无组织排放产治排信息集合
     */
    List<BMainProductionInorgGas> selectBMainProductionInorgGasList(BMainProductionInorgGas bMainProductionInorgGas);

    IProductionManageService.FrameDataVo getFrameData(String id, String startTime, String endTime, Long pageNum, Long pageSize);
}
