package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainProductionWater;
import cn.cecep.talroad.vo.BMainProductionWaterVo;
import cn.cecep.talroad.vo.query.BMainProductionWaterQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 废水排放产治排信息Service接口
 *
 * @author szhpt
 * @date 2023-02-08*/
public interface IBMainProductionWaterService extends  IService<BMainProductionWater>
{
    /**
     * 查询废水排放产治排信息列表
     *
     * @param bMainProductionWater 废水排放产治排信息
     * @return 废水排放产治排信息集合
     */
    List<BMainProductionWater> selectBMainProductionWaterList(BMainProductionWater bMainProductionWater);

    IProductionManageService.FrameDataVo getFrameData(String id, String startTime, String endTime, Long pageNum, Long pageSize);

    List<BMainProductionWaterVo.PwxkCzp> selectPwxkList(Page<BMainProductionWaterVo.PwxkCzp> page, BMainProductionWaterQuery.PwxkCzp query);
}
