package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgHdFuelAnalysis;

/**
 * 固定源产排治--执行报告--火电燃料分析Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgHdFuelAnalysisService extends  IService<BStatTableZxbgHdFuelAnalysis>
{
    /**
     * 查询固定源产排治--执行报告--火电燃料分析列表
     *
     * @param bStatTableZxbgHdFuelAnalysis 固定源产排治--执行报告--火电燃料分析
     * @return 固定源产排治--执行报告--火电燃料分析集合
     */
    public List<BStatTableZxbgHdFuelAnalysis> selectBStatTableZxbgHdFuelAnalysisList(BStatTableZxbgHdFuelAnalysis bStatTableZxbgHdFuelAnalysis);

    AjaxResults<IPage<BStatTableZxbgHdFuelAnalysis>> selectBStatTableZxbgHdFuelAnalysisListBy(BStatTablepPwxkWaterQuery query);
}
