package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtFuel;

/**
 * 固定源产排治--执行报告--火电、钢铁燃料信息Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgHdGtFuelService extends  IService<BStatTableZxbgHdGtFuel>
{
    /**
     * 查询固定源产排治--执行报告--火电、钢铁燃料信息列表
     *
     * @param bStatTableZxbgHdGtFuel 固定源产排治--执行报告--火电、钢铁燃料信息
     * @return 固定源产排治--执行报告--火电、钢铁燃料信息集合
     */
    public List<BStatTableZxbgHdGtFuel> selectBStatTableZxbgHdGtFuelList(BStatTableZxbgHdGtFuel bStatTableZxbgHdGtFuel);

    AjaxResults<IPage<BStatTableZxbgHdGtFuel>> selectBStatTableZxbgHdGtFuelListBy(BStatTablepPwxkWaterQuery query);
}
