package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgHdWaterPollution;

/**
 * 固定源产排治--执行报告--火电废水污染治理设施正常情况Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgHdWaterPollutionService extends  IService<BStatTableZxbgHdWaterPollution>
{
    /**
     * 查询固定源产排治--执行报告--火电废水污染治理设施正常情况列表
     *
     * @param bStatTableZxbgHdWaterPollution 固定源产排治--执行报告--火电废水污染治理设施正常情况
     * @return 固定源产排治--执行报告--火电废水污染治理设施正常情况集合
     */
    public List<BStatTableZxbgHdWaterPollution> selectBStatTableZxbgHdWaterPollutionList(BStatTableZxbgHdWaterPollution bStatTableZxbgHdWaterPollution);

    AjaxResults<IPage<BStatTableZxbgHdWaterPollution>> selectBStatTableZxbgHdWaterPollutionListBy(BStatTablepPwxkWaterQuery query);
}
