package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTableZxbgQuery;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgJbxxInfo;

/**
 * 固定源产排治--执行报告--企业基本信息Service接口
 *
 * @author szhpt
 * @date 2023-07-27*/
public interface IBStatTableZxbgJbxxInfoService extends  IService<BStatTableZxbgJbxxInfo>
{
    /**
     * 查询固定源产排治--执行报告--企业基本信息列表
     *
     * @param bStatTableZxbgJbxxInfo 固定源产排治--执行报告--企业基本信息
     * @return 固定源产排治--执行报告--企业基本信息集合
     */
    public List<BStatTableZxbgJbxxInfo> selectBStatTableZxbgJbxxInfoList(BStatTableZxbgJbxxInfo bStatTableZxbgJbxxInfo);

    AjaxResults<IPage<BStatTableZxbgJbxxInfo>> selectBStatTableZxbgJbxxInfoListBy(BStatTablepPwxkWaterQuery query);
}
