package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirOverproof;

/**
 * 固定源产排治--执行报告--废气超标排放信息Service接口
 *
 * @author szhpt
 * @date 2023-07-28*/
public interface IBStatTableZxbgPflAirOverproofService extends  IService<BStatTableZxbgPflAirOverproof>
{
    /**
     * 查询固定源产排治--执行报告--废气超标排放信息列表
     *
     * @param bStatTableZxbgPflAirOverproof 固定源产排治--执行报告--废气超标排放信息
     * @return 固定源产排治--执行报告--废气超标排放信息集合
     */
    public List<BStatTableZxbgPflAirOverproof> selectBStatTableZxbgPflAirOverproofList(BStatTableZxbgPflAirOverproof bStatTableZxbgPflAirOverproof);

    AjaxResults<IPage<BStatTableZxbgPflAirOverproof>> selectBStatTableZxbgPflAirOverproofListBy(BStatTablepPwxkWaterQuery query);
}
