package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgPflallWater;

/**
 * 固定源产排治--执行报告--总计废水实际排放量Service接口
 *
 * @author szhpt
 * @date 2023-07-28*/
public interface IBStatTableZxbgPflallWaterService extends  IService<BStatTableZxbgPflallWater>
{
    /**
     * 查询固定源产排治--执行报告--总计废水实际排放量列表
     *
     * @param bStatTableZxbgPflallWater 固定源产排治--执行报告--总计废水实际排放量
     * @return 固定源产排治--执行报告--总计废水实际排放量集合
     */
    public List<BStatTableZxbgPflallWater> selectBStatTableZxbgPflallWaterList(BStatTableZxbgPflallWater bStatTableZxbgPflallWater);

    AjaxResults<IPage<BStatTableZxbgPflallWater>> selectBStatTableZxbgPflallWaterListBy(BStatTablepPwxkWaterQuery query);
}
