package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgPfltotalWater;

/**
 * 固定源产排治--执行报告--废水正常排放总计（一般排放口）Service接口
 *
 * @author szhpt
 * @date 2023-07-28*/
public interface IBStatTableZxbgPfltotalWaterService extends  IService<BStatTableZxbgPfltotalWater>
{
    /**
     * 查询固定源产排治--执行报告--废水正常排放总计（一般排放口）列表
     *
     * @param bStatTableZxbgPfltotalWater 固定源产排治--执行报告--废水正常排放总计（一般排放口）
     * @return 固定源产排治--执行报告--废水正常排放总计（一般排放口）集合
     */
    public List<BStatTableZxbgPfltotalWater> selectBStatTableZxbgPfltotalWaterList(BStatTableZxbgPfltotalWater bStatTableZxbgPfltotalWater);

    AjaxResults<IPage<BStatTableZxbgPfltotalWater>> selectBStatTableZxbgPfltotalWaterListBy(BStatTablepPwxkWaterQuery query);
}
