package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgWaterEmission;

/**
 * 固定源产排治--执行报告--废水污染物排放浓度监测数据Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgWaterEmissionService extends  IService<BStatTableZxbgWaterEmission>
{
    /**
     * 查询固定源产排治--执行报告--废水污染物排放浓度监测数据列表
     *
     * @param bStatTableZxbgWaterEmission 固定源产排治--执行报告--废水污染物排放浓度监测数据
     * @return 固定源产排治--执行报告--废水污染物排放浓度监测数据集合
     */
    public List<BStatTableZxbgWaterEmission> selectBStatTableZxbgWaterEmissionList(BStatTableZxbgWaterEmission bStatTableZxbgWaterEmission);

    AjaxResults<IPage<BStatTableZxbgWaterEmission>> selectBStatTableZxbgWaterEmissionListBy(BStatTablepPwxkWaterQuery query);
}
