package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgWrzlTotal;

/**
 * 固定源产排治--执行报告--污染治理设施正常情况汇总Service接口
 *
 * @author szhpt
 * @date 2023-07-31*/
public interface IBStatTableZxbgWrzlTotalService extends  IService<BStatTableZxbgWrzlTotal>
{
    /**
     * 查询固定源产排治--执行报告--污染治理设施正常情况汇总列表
     *
     * @param bStatTableZxbgWrzlTotal 固定源产排治--执行报告--污染治理设施正常情况汇总
     * @return 固定源产排治--执行报告--污染治理设施正常情况汇总集合
     */
    public List<BStatTableZxbgWrzlTotal> selectBStatTableZxbgWrzlTotalList(BStatTableZxbgWrzlTotal bStatTableZxbgWrzlTotal);

    AjaxResults<IPage<BStatTableZxbgWrzlTotal>> selectBStatTableZxbgWrzlTotalListBy(BStatTablepPwxkWaterQuery query);
}
