package cn.cecep.talroad.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BasControlValue;

/**
 * basControlValueService接口
 *
 * @author admin
 * @date 2023-06-27
 */
public interface IBasControlValueService extends  IService<BasControlValue>
{
    /**
     * 查询basControlValue列表
     *
     * @param basControlValue basControlValue
     * @return basControlValue集合
     */
    public List<BasControlValue> selectBasControlValueList(BasControlValue basControlValue);

    BasControlValue selectByFactoryId(String factoryId,String industry,String deviceType);
}
