package cn.cecep.talroad.service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BasDeviceConfig;

/**
 * 企业设备参数配置Service接口
 *
 * @author szhpt
 * @date 2023-04-05*/
public interface IBasDeviceConfigService extends  IService<BasDeviceConfig>
{
    /**
     * 查询企业设备参数配置列表
     *
     * @param basDeviceConfig 企业设备参数配置
     * @return 企业设备参数配置集合
     */
    public List<BasDeviceConfig> selectBasDeviceConfigList(BasDeviceConfig basDeviceConfig);
    
}
