package cn.cecep.talroad.service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BasThresholdConfig;

/**
 * 关联分析-阈值设置Service接口
 *
 * @author szhpt
 * @date 2023-05-18*/
public interface IBasThresholdConfigService extends  IService<BasThresholdConfig>
{
    /**
     * 查询关联分析-阈值设置列表
     *
     * @param basThresholdConfig 关联分析-阈值设置
     * @return 关联分析-阈值设置集合
     */
    public List<BasThresholdConfig> selectBasThresholdConfigList(BasThresholdConfig basThresholdConfig);

    BasThresholdConfig selectByParamCode(String paramCode);

}
