package cn.cecep.talroad.service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.FactoryReportingManifest;

/**
 * 企业信息上报任务清单Service接口
 *
 * @author szhpt
 * @date 2023-05-09*/
public interface IFactoryReportingManifestService extends  IService<FactoryReportingManifest>
{
    /**
     * 查询企业信息上报任务清单列表
     *
     * @param factoryReportingManifest 企业信息上报任务清单
     * @return 企业信息上报任务清单集合
     */
    public List<FactoryReportingManifest> selectFactoryReportingManifestList(FactoryReportingManifest factoryReportingManifest);
    
}
