package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevBlOther;
import cn.cecep.talroad.vo.MonDevBlVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备数据-玻璃-其它时间 保存设备的小时以上的数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevBlOtherService extends  IService<MonDevBlOther>
{
    /**
     * 查询设备数据-玻璃-其它时间 保存设备的小时以上的数据列表
     *
     * @param monDevBlOther 设备数据-玻璃-其它时间 保存设备的小时以上的数据
     * @return 设备数据-玻璃-其它时间 保存设备的小时以上的数据集合
     */
    public List<MonDevBlOther> selectMonDevBlOtherList(MonDevBlOther monDevBlOther);

    List<MonDevBlVO> getDataPage(String factoryId, List<String> deviceIds, String id, String startTime, String endTime, String orderField, String orderType, Page page);


}
