package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevDlOther;
import cn.cecep.talroad.vo.MonDevDlVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备数据-电力-其它时间 保存设备的小时以上的数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevDlOtherService extends  IService<MonDevDlOther>
{
    /**
     * 查询设备数据-电力-其它时间 保存设备的小时以上的数据列表
     *
     * @param monDevDlOther 设备数据-电力-其它时间 保存设备的小时以上的数据
     * @return 设备数据-电力-其它时间 保存设备的小时以上的数据集合
     */
    public List<MonDevDlOther> selectMonDevDlOtherList(MonDevDlOther monDevDlOther);

    List<MonDevDlVO> getDataPage(String factoryId, List<String> deviceIds, String id, String startTime, String endTime, String orderField, String orderType, Page page);


}
