package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevFsHour;
import cn.cecep.talroad.vo.MonDevFsVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备数据-垃圾焚烧-小时 保存设备的小时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevFsHourService extends  IService<MonDevFsHour>
{
    /**
     * 查询设备数据-垃圾焚烧-小时 保存设备的小时数据列表
     *
     * @param monDevFsHour 设备数据-垃圾焚烧-小时 保存设备的小时数据
     * @return 设备数据-垃圾焚烧-小时 保存设备的小时数据集合
     */
    public List<MonDevFsHour> selectMonDevFsHourList(MonDevFsHour monDevFsHour);

    List<MonDevFsVO> getDataPage(String factoryId, List<String> deviceIds, String startTime, String endTime, String orderField, String orderType, Page page);


}
