package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevFsOther;
import cn.cecep.talroad.vo.MonDevFsVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备数据-垃圾焚烧-其它时间 保存设备的小时以上的数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevFsOtherService extends  IService<MonDevFsOther>
{
    /**
     * 查询设备数据-垃圾焚烧-其它时间 保存设备的小时以上的数据列表
     *
     * @param monDevFsOther 设备数据-垃圾焚烧-其它时间 保存设备的小时以上的数据
     * @return 设备数据-垃圾焚烧-其它时间 保存设备的小时以上的数据集合
     */
    public List<MonDevFsOther> selectMonDevFsOtherList(MonDevFsOther monDevFsOther);

    List<MonDevFsVO> getDataPage(String factoryId, List<String> deviceIds, String id, String startTime, String endTime, String orderField, String orderType, Page page);


}
