package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevOther;
import cn.cecep.talroad.vo.MonDevGtVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备数据(有组织)-其它时间 保存设备的小时以上的数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevOtherService extends  IService<MonDevOther>
{
    /**
     * 查询设备数据(有组织)-其它时间 保存设备的小时以上的数据列表
     *
     * @param monDevOther 设备数据(有组织)-其它时间 保存设备的小时以上的数据
     * @return 设备数据(有组织)-其它时间 保存设备的小时以上的数据集合
     */
    public List<MonDevOther> selectMonDevOtherList(MonDevOther monDevOther);

    List<MonDevGtVO> getDataPage(String factoryId, List<String> deviceIds, String id, String startTime, String endTime, String orderField, String orderType, Page page);
}
