package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevTcReal;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备数据-陶瓷-实时 保存设备的实时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevTcRealService extends  IService<MonDevTcReal>
{
    /**
     * 查询设备数据-陶瓷-实时 保存设备的实时数据列表
     *
     * @param monDevTcReal 设备数据-陶瓷-实时 保存设备的实时数据
     * @return 设备数据-陶瓷-实时 保存设备的实时数据集合
     */
    public List<MonDevTcReal> selectMonDevTcRealList(MonDevTcReal monDevTcReal);
    
}
