package cn.cecep.talroad.service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.OdsMeshingShStationHourI;

/**
 * ods层网格化市控站点小时增量Service接口
 *
 * @author szhpt
 * @date 2023-06-10*/
public interface IOdsMeshingShStationHourIService extends  IService<OdsMeshingShStationHourI>
{
    /**
     * 查询ods层网格化市控站点小时增量列表
     *
     * @param odsMeshingShStationHourI ods层网格化市控站点小时增量
     * @return ods层网格化市控站点小时增量集合
     */
    public List<OdsMeshingShStationHourI> selectOdsMeshingShStationHourIList(OdsMeshingShStationHourI odsMeshingShStationHourI);
    
}
