package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcFactoryPollutantEmissionsRank;
import cn.cecep.talroad.vo.query.PcFactoryPollutantEmissionsRankQuery;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 污染排放跟踪(实际排放/许可排放)Service接口
 *
 * @author szhpt
 * @date 2023-02-10*/
public interface IPcFactoryPollutantEmissionsRankService extends  IService<PcFactoryPollutantEmissionsRank>
{
    /**
     * 查询污染排放跟踪(实际排放/许可排放)列表
     *
     * @param pcFactoryPollutantEmissionsRank 污染排放跟踪(实际排放/许可排放)
     * @return 污染排放跟踪(实际排放/许可排放)集合
     */
    public List<PcFactoryPollutantEmissionsRank> selectPcFactoryPollutantEmissionsRankList(PcFactoryPollutantEmissionsRank pcFactoryPollutantEmissionsRank);

    List<PcFactoryPollutantEmissionsRank> selectRankList(PcFactoryPollutantEmissionsRankQuery pcFactoryPollutantEmissionsRank);
}
