package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcMenuFactory;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业档案菜单与企业关联中间Service接口
 *
 * @author szhpt
 * @date 2023-02-02*/
public interface IPcMenuFactoryService extends  IService<PcMenuFactory>
{
    /**
     * 查询企业档案菜单与企业关联中间列表
     *
     * @param pcMenuFactory 企业档案菜单与企业关联中间
     * @return 企业档案菜单与企业关联中间集合
     */
    public List<PcMenuFactory> selectPcMenuFactoryList(PcMenuFactory pcMenuFactory);
    
}
