package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcMenu;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业档案菜单管理Service接口
 *
 * @author szhpt
 * @date 2023-02-02*/
public interface IPcMenuService extends  IService<PcMenu>
{
    /**
     * 查询企业档案菜单管理列表
     *
     * @param pcMenu 企业档案菜单管理
     * @return 企业档案菜单管理集合
     */
    public List<PcMenu> selectPcMenuList(PcMenu pcMenu);
    
}
