package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcNoiseType;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 噪声排放类型Service接口
 *
 * @author szhpt
 * @date 2023-01-11*/
public interface IPcNoiseTypeService extends  IService<PcNoiseType>
{
    /**
     * 查询噪声排放类型列表
     *
     * @param pcNoiseType 噪声排放类型
     * @return 噪声排放类型集合
     */
    public List<PcNoiseType> selectPcNoiseTypeList(PcNoiseType pcNoiseType);
    
}
