package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcPollutant;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 污染物Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IPcPollutantService extends  IService<PcPollutant>
{
    /**
     * 查询污染物列表
     *
     * @param pcPollutant 污染物
     * @return 污染物集合
     */
    public List<PcPollutant> selectPcPollutantList(PcPollutant pcPollutant);

    List<PcPollutant> manualMonitoringPollutants(String pollutantType);
}
