package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcProductionFacility;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 生产设施Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IPcProductionFacilityService extends  IService<PcProductionFacility>
{
    /**
     * 查询生产设施列表
     *
     * @param pcProductionFacility 生产设施
     * @return 生产设施集合
     */
    public List<PcProductionFacility> selectPcProductionFacilityList(PcProductionFacility pcProductionFacility);
    
}
