package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcStationBuildingEntranceGu;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 站房门禁监管信息Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IPcStationBuildingEntranceGuService extends  IService<PcStationBuildingEntranceGu>
{
    /**
     * 查询站房门禁监管信息列表
     *
     * @param pcStationBuildingEntranceGu 站房门禁监管信息
     * @return 站房门禁监管信息集合
     */
    public List<PcStationBuildingEntranceGu> selectPcStationBuildingEntranceGuList(PcStationBuildingEntranceGu pcStationBuildingEntranceGu);
    
}
