package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcStationBuilding;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 站房基本信息Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IPcStationBuildingService extends  IService<PcStationBuilding>
{
    /**
     * 查询站房基本信息列表
     *
     * @param pcStationBuilding 站房基本信息
     * @return 站房基本信息集合
     */
    public List<PcStationBuilding> selectPcStationBuildingList(PcStationBuilding pcStationBuilding);
    
}
