package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.SEnvWaterMonDay;
import cn.cecep.talroad.vo.analysis.FactoryOutletStaticsVo;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Date;
import java.util.List;

/**
 * 废水监测数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface ISEnvWaterMonDayService extends  IService<SEnvWaterMonDay>
{

    List<FactoryOutletStaticsVo> selectLastDayCountData(DateTime queryBeginTime, DateTime queryEndTime);

    List<SEnvWaterMonDay> selectHourDataByTime(String factoryId, String monitorId, Date monitorTime);
}
