package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.SMainDynamicControlParam;
import cn.cecep.talroad.vo.SMainDynamicControlParamVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 基本信息-废气、废水排口档案-动态管控信息调整 -参数Service接口
 *
 * @author szhpt
 * @date 2023-02-02*/
public interface ISMainDynamicControlParamService extends  IService<SMainDynamicControlParam>
{
    /**
     * 查询基本信息-废气、废水排口档案-动态管控信息调整 -参数列表
     *
     * @param sMainDynamicControlParam 基本信息-废气、废水排口档案-动态管控信息调整 -参数
     * @return 基本信息-废气、废水排口档案-动态管控信息调整 -参数集合
     */
    public List<SMainDynamicControlParam> selectSMainDynamicControlParamList(SMainDynamicControlParam sMainDynamicControlParam);

    SMainDynamicControlParamVo.Table getParamTableData(String factoryId, String outletId, String controlTypeCode);
}
