package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.vo.query.SRaRealTimeAnalysisRunOneQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.SRaRealTimeAnalysisRunOne;

/**
 * 关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据Service接口
 *
 * @author szhpt
 * @date 2023-05-17*/
public interface ISRaRealTimeAnalysisRunOneService extends  IService<SRaRealTimeAnalysisRunOne>
{
    /**
     * 查询关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据列表
     *
     * @param sRaRealTimeAnalysisRunOne 关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据
     * @return 关联分析系统-企业生产过程分析-企业装备运行情况实时分析每个设备只存一条数据集合
     */
    public List<SRaRealTimeAnalysisRunOne> selectSRaRealTimeAnalysisRunOneList(SRaRealTimeAnalysisRunOneQuery sRaRealTimeAnalysisRunOne);

    List<SRaRealTimeAnalysisRunOne> selectAnalysisRunByParams(SRaRealTimeAnalysisRunOne run);


    IPage<SRaRealTimeAnalysisRunOne> selectSRaRealTimeAnalysisRunOneListPage(SRaRealTimeAnalysisRunOneQuery sRaRealTimeAnalysisRunOne);
}
