package cn.cecep.talroad.service.analysis;

import java.util.List;

/**
 * 设备停限产状态及产量统计Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface IBasDeviceStatusService {

    /**
     * 任务调度定时更新企业设备设施状态
     * @param industry
     * @param dviceType
     */
    void doCheckDeviceStatus(String industry, String dviceType);

    /**
     * 任务调度设备产量计算
     * @param industry
     * @param deviceType
     */
    void doCheckCount(String industry, String deviceType);

    /**
     * 任务调度设备产量计算
     * @param industry
     * @param deviceType
     */
    void doCheckCountTemp(String factoryId,String industry, String deviceType, String startTime);
}
