package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaActionReportsActualYield;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 执行报告实际产量情况Service接口
 *
 * @author szhpt
 * @date 2023-03-28*/
public interface ISRaActionReportsActualYieldService extends IService<SRaActionReportsActualYield>
{
    /**
     * 查询执行报告实际产量情况列表
     *
     * @param sRaActionReportsActualYield 执行报告实际产量情况
     * @return 执行报告实际产量情况集合
     */
    public List<SRaActionReportsActualYield> selectSRaActionReportsActualYieldList(QueryWrapper<SRaActionReportsActualYield> lambdaQueryWrapper);

    IPage<SRaActionReportsActualYield> selectSRaActionReportsActualYieldPage(Page<SRaActionReportsActualYield> page, QueryWrapper<SRaActionReportsActualYield> lambdaQueryWrapper);
}
