package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaAreaRegulatoryIssues;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 区域证后监管问题总表Service接口
 *
 * @author szhpt
 * @date 2023-03-28*/
public interface ISRaAreaRegulatoryIssuesService extends IService<SRaAreaRegulatoryIssues>
{
    /**
     * 查询区域证后监管问题总表列表
     *
     * @param sRaAreaRegulatoryIssues 区域证后监管问题总表
     * @return 区域证后监管问题总表集合
     */
    public List<SRaAreaRegulatoryIssues> selectSRaAreaRegulatoryIssuesList(SRaAreaRegulatoryIssues sRaAreaRegulatoryIssues);

}
