package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaAreaTransferRateAnalysis;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 区域传输率分析Service接口
 *
 * @author szhpt
 * @date 2023-03-28*/
public interface ISRaAreaTransferRateAnalysisService extends IService<SRaAreaTransferRateAnalysis>
{
    /**
     * 查询区域传输率分析列表
     *
     * @param sRaAreaTransferRateAnalysis 区域传输率分析
     * @return 区域传输率分析集合
     */
    public List<SRaAreaTransferRateAnalysis> selectSRaAreaTransferRateAnalysisList(SRaAreaTransferRateAnalysis sRaAreaTransferRateAnalysis);

}
