package cn.cecep.talroad.service.analysis;
import java.util.List;

import cn.cecep.talroad.domain.PcPollutant;
import cn.cecep.talroad.vo.analysis.SRaEmissionsMonitoringVarianceVo;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsMonitoringVarianceQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.analysis.SRaEmissionsMonitoringVariance;

/**
 * 企业异常行为分析-企业排放分析-监测差异分析Service接口
 *
 * @author szhpt
 * @date 2023-06-27*/
public interface ISRaEmissionsMonitoringVarianceService extends  IService<SRaEmissionsMonitoringVariance>
{
    /**
     * 查询企业异常行为分析-企业排放分析-监测差异分析列表
     *
     * @param sRaEmissionsMonitoringVariance 企业异常行为分析-企业排放分析-监测差异分析
     * @return 企业异常行为分析-企业排放分析-监测差异分析集合
     */
    public List<SRaEmissionsMonitoringVariance> selectSRaEmissionsMonitoringVarianceList(SRaEmissionsMonitoringVariance sRaEmissionsMonitoringVariance);

    public List<SRaEmissionsMonitoringVarianceVo> selectList(Page<SRaEmissionsMonitoringVarianceVo> page, SRaEmissionsMonitoringVarianceQuery query);

    List<PcPollutant> pollList();
}
