package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaEmissionsOverFactory;
import cn.cecep.talroad.vo.analysis.SRaEmissionsOverFactoryVo;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsOverFactoryQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业排放量超标分析Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaEmissionsOverFactoryService extends IService<SRaEmissionsOverFactory>
{
    List<SRaEmissionsOverFactoryVo> selectEmissionsOverFactory(Page<SRaEmissionsOverFactoryVo> page, SRaEmissionsOverFactoryQuery query);

    List<String> getStatScopeList();
}
