package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaEmissionsOver;
import cn.cecep.talroad.vo.analysis.SRaEmissionsOverVo;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsOverQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 区域、行业排放量超标分析Service接口
 */
public interface ISRaEmissionsOverService extends IService<SRaEmissionsOver>
{
    List<SRaEmissionsOverVo.RegionVo> getRegionEmissions(Page<SRaEmissionsOverVo.RegionVo> page, SRaEmissionsOverQuery query);

    List<SRaEmissionsOverVo.IndustryVo> getIndustryEmissions(Page<SRaEmissionsOverVo.IndustryVo> page, SRaEmissionsOverQuery query);
}
