package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaFactoryRegulatoryIssues;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业证后监管问题总表表Service接口
 *
 * @author szhpt
 * @date 2023-03-28*/
public interface ISRaFactoryRegulatoryIssuesService extends IService<SRaFactoryRegulatoryIssues>
{
    /**
     * 查询企业证后监管问题总表表列表
     *
     * @param sRaFactoryRegulatoryIssuess 企业证后监管问题总表表
     * @return 企业证后监管问题总表集合
     */
    public List<SRaFactoryRegulatoryIssues> selectSRaFactoryRegulatoryIssuesList(QueryWrapper<SRaFactoryRegulatoryIssues> lambdaQueryWrapper);

    IPage<SRaFactoryRegulatoryIssues> selectSRaFactoryRegulatoryIssuesPage(Page<SRaFactoryRegulatoryIssues> page, QueryWrapper<SRaFactoryRegulatoryIssues> lambdaQueryWrapper);
}
