package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaOnlineEmissionsGas;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaOnlineEmissionsGasQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 在线监测排放监控-气污染要素Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaOnlineEmissionsGasService extends IService<SRaOnlineEmissionsGas>
{
    /**
     * 查询在线监测排放监控-气污染要素列表
     *
     * @param sRaOnlineEmissionsGas 在线监测排放监控-气污染要素
     * @return 在线监测排放监控-气污染要素集合
     */
    List<SRaOnlineEmissionsGas> selectSRaOnlineEmissionsGasList(SRaOnlineEmissionsGas sRaOnlineEmissionsGas);

    EChartsVO getChartData(SRaOnlineEmissionsGasQuery.CharDataSearchVo searchVo);
}
