package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaOnlineEmissionsWater;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaOnlineEmissionsWaterQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 在线监测排放监控-水污染要素Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaOnlineEmissionsWaterService extends IService<SRaOnlineEmissionsWater>
{
    /**
     * 查询在线监测排放监控-水污染要素列表
     *
     * @param sRaOnlineEmissionsWater 在线监测排放监控-水污染要素
     * @return 在线监测排放监控-水污染要素集合
     */
    List<SRaOnlineEmissionsWater> selectSRaOnlineEmissionsWaterList(SRaOnlineEmissionsWater sRaOnlineEmissionsWater);

    EChartsVO getChartData(SRaOnlineEmissionsWaterQuery.CharDataSearchVo searchVo);
}
