package cn.cecep.talroad.service.analysis;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysicComsitMonitor;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 关联分析系统-企业生产过程分析-监测点位对比分析-分组关联点位Service接口
 *
 * @author szhpt
 * @date 2023-07-14*/
public interface ISRaRealTimeAnalysicComsitMonitorService extends  IService<SRaRealTimeAnalysicComsitMonitor>
{
    /**
     * 查询关联分析系统-企业生产过程分析-监测点位对比分析-分组关联点位列表
     *
     * @param sRaRealTimeAnalysicComsitMonitor 关联分析系统-企业生产过程分析-监测点位对比分析-分组关联点位
     * @return 关联分析系统-企业生产过程分析-监测点位对比分析-分组关联点位集合
     */
    public List<SRaRealTimeAnalysicComsitMonitor> selectSRaRealTimeAnalysicComsitMonitorList(SRaRealTimeAnalysicComsitMonitor sRaRealTimeAnalysicComsitMonitor);

    AjaxResults<Boolean> addComsitMonitor(SRaRealTimeAnalysicComsitMonitor sRaRealTimeAnalysicComsitMonitor);

}
