package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisRubbishQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisRubbish;

/**
 * 关联分析系统-企业生产过程分析-垃圾处理量分析Service接口
 *
 * @author szhpt
 * @date 2023-04-03*/
public interface ISRaRealTimeAnalysisRubbishService extends  IService<SRaRealTimeAnalysisRubbish>
{
    /**
     * 查询关联分析系统-企业生产过程分析-垃圾处理量分析列表
     *
     * @param sRaRealTimeAnalysisRubbish 关联分析系统-企业生产过程分析-垃圾处理量分析
     * @return 关联分析系统-企业生产过程分析-垃圾处理量分析集合
     */
    public List<SRaRealTimeAnalysisRubbish> selectSRaRealTimeAnalysisRubbishList(SRaRealTimeAnalysisRubbishQuery sRaRealTimeAnalysisRubbish);

    IPage<SRaRealTimeAnalysisRubbish> statisticsList(SRaRealTimeAnalysisRubbishQuery sRaRealTimeAnalysisRubbish);

    List<SRaRealTimeAnalysisRubbish> statisticsExport(SRaRealTimeAnalysisRubbishQuery sRaRealTimeAnalysisRubbish);

    EChartsVO resultCurve(SRaRealTimeAnalysisRubbishQuery sRaRealTimeAnalysisCoa);

    List<Map<String, Object>> pullDeviceNameOptions(String factoryName);
}
