package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BEnterpriseIrLegal;
import cn.cecep.talroad.mapper.BEnterpriseIrLegalMapper;
import cn.cecep.talroad.service.IBEnterpriseIrLegalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 知识库-法律法规Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-14*/
@Service
public class BEnterpriseIrLegalServiceImpl extends ServiceImpl<BEnterpriseIrLegalMapper,BEnterpriseIrLegal> implements IBEnterpriseIrLegalService
{
    @Autowired
    private BEnterpriseIrLegalMapper bEnterpriseIrLegalMapper;

    /**
     * 查询知识库-法律法规列表
     *
     * @param bEnterpriseIrLegal 知识库-法律法规
     * @return 知识库-法律法规
     */
    @Override
    public List<BEnterpriseIrLegal> selectBEnterpriseIrLegalList(BEnterpriseIrLegal bEnterpriseIrLegal)
    {
        return bEnterpriseIrLegalMapper.selectBEnterpriseIrLegalList(bEnterpriseIrLegal);
    }
    
}
