package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BEnterpriseIrSdoept;
import cn.cecep.talroad.mapper.BEnterpriseIrSdoeptMapper;
import cn.cecep.talroad.service.IBEnterpriseIrSdoeptService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 知识库-排污治理科普库Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-14*/
@Service
public class BEnterpriseIrSdoeptServiceImpl extends ServiceImpl<BEnterpriseIrSdoeptMapper,BEnterpriseIrSdoept> implements IBEnterpriseIrSdoeptService
{
    @Autowired
    private BEnterpriseIrSdoeptMapper bEnterpriseIrSdoeptMapper;

    /**
     * 查询知识库-排污治理科普库列表
     *
     * @param bEnterpriseIrSdoept 知识库-排污治理科普库
     * @return 知识库-排污治理科普库
     */
    @Override
    public List<BEnterpriseIrSdoept> selectBEnterpriseIrSdoeptList(BEnterpriseIrSdoept bEnterpriseIrSdoept)
    {
        return bEnterpriseIrSdoeptMapper.selectBEnterpriseIrSdoeptList(bEnterpriseIrSdoept);
    }
    
}
