package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainActionReports;
import cn.cecep.talroad.mapper.BMainActionReportsMapper;
import cn.cecep.talroad.service.IBMainActionReportsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 执行报告Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-11*/
@Service
public class BMainActionReportsServiceImpl extends ServiceImpl<BMainActionReportsMapper,BMainActionReports> implements IBMainActionReportsService
{
    @Autowired
    private BMainActionReportsMapper bMainActionReportsMapper;

    /**
     * 查询执行报告列表
     *
     * @param bMainActionReports 执行报告
     * @return 执行报告
     */
    @Override
    public List<BMainActionReports> selectBMainActionReportsList(BMainActionReports bMainActionReports)
    {
        return bMainActionReportsMapper.selectBMainActionReportsList(bMainActionReports);
    }
    
}
