package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainEmissionOnlineMonAir;
import cn.cecep.talroad.mapper.BMainEmissionOnlineMonAirMapper;
import cn.cecep.talroad.service.IBMainEmissionOnlineMonAirService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 企业排放信息-在线监测排放趋势-废气Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-31*/
@Service
public class BMainEmissionOnlineMonAirServiceImpl extends ServiceImpl<BMainEmissionOnlineMonAirMapper,BMainEmissionOnlineMonAir> implements IBMainEmissionOnlineMonAirService
{
    @Autowired
    private BMainEmissionOnlineMonAirMapper bMainEmissionOnlineMonAirMapper;

    /**
     * 查询企业排放信息-在线监测排放趋势-废气列表
     *
     * @param bMainEmissionOnlineMonAir 企业排放信息-在线监测排放趋势-废气
     * @return 企业排放信息-在线监测排放趋势-废气
     */
    @Override
    public List<BMainEmissionOnlineMonAir> selectBMainEmissionOnlineMonAirList(BMainEmissionOnlineMonAir bMainEmissionOnlineMonAir)
    {
        return bMainEmissionOnlineMonAirMapper.selectBMainEmissionOnlineMonAirList(bMainEmissionOnlineMonAir);
    }
    
}
