package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainEmissionSourceWater;
import cn.cecep.talroad.mapper.BMainEmissionSourceWaterMapper;
import cn.cecep.talroad.service.IBMainEmissionSourceWaterService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 企业排放信息-多来源排放量对比-废水Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-31*/
@Service
public class BMainEmissionSourceWaterServiceImpl extends ServiceImpl<BMainEmissionSourceWaterMapper,BMainEmissionSourceWater> implements IBMainEmissionSourceWaterService
{
    @Autowired
    private BMainEmissionSourceWaterMapper bMainEmissionSourceWaterMapper;

    /**
     * 查询企业排放信息-多来源排放量对比-废水列表
     *
     * @param bMainEmissionSourceWater 企业排放信息-多来源排放量对比-废水
     * @return 企业排放信息-多来源排放量对比-废水
     */
    @Override
    public List<BMainEmissionSourceWater> selectBMainEmissionSourceWaterList(BMainEmissionSourceWater bMainEmissionSourceWater)
    {
        return bMainEmissionSourceWaterMapper.selectBMainEmissionSourceWaterList(bMainEmissionSourceWater);
    }
    
}
