package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BMainFactoryVerification;
import cn.cecep.talroad.mapper.BMainFactoryVerificationMapper;
import cn.cecep.talroad.service.IBMainFactoryVerificationService;
import cn.cecep.talroad.mapper.BMainFactoryVerificationMapper;
import cn.cecep.talroad.domain.BMainFactoryVerification;
import cn.cecep.talroad.service.IBMainFactoryVerificationService;




/**
 * 移动执法信息-企业核查Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-30*/
@Service
public class BMainFactoryVerificationServiceImpl extends ServiceImpl<BMainFactoryVerificationMapper,BMainFactoryVerification> implements IBMainFactoryVerificationService
{
    @Autowired
    private BMainFactoryVerificationMapper bMainFactoryVerificationMapper;

    /**
     * 查询移动执法信息-企业核查列表
     *
     * @param bMainFactoryVerification 移动执法信息-企业核查
     * @return 移动执法信息-企业核查
     */
    @Override
    public List<BMainFactoryVerification> selectBMainFactoryVerificationList(BMainFactoryVerification bMainFactoryVerification)
    {
        return bMainFactoryVerificationMapper.selectBMainFactoryVerificationList(bMainFactoryVerification);
    }
    
}
