package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainNoiseEmissions;
import cn.cecep.talroad.mapper.BMainNoiseEmissionsMapper;
import cn.cecep.talroad.service.IBMainNoiseEmissionsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 噪声排放信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class BMainNoiseEmissionsServiceImpl extends ServiceImpl<BMainNoiseEmissionsMapper,BMainNoiseEmissions> implements IBMainNoiseEmissionsService
{
    @Autowired
    private BMainNoiseEmissionsMapper bMainNoiseEmissionsMapper;

    /**
     * 查询噪声排放信息列表
     *
     * @param bMainNoiseEmissions 噪声排放信息
     * @return 噪声排放信息
     */
    @Override
    public List<BMainNoiseEmissions> selectBMainNoiseEmissionsList(BMainNoiseEmissions bMainNoiseEmissions)
    {
        return bMainNoiseEmissionsMapper.selectBMainNoiseEmissionsList(bMainNoiseEmissions);
    }
    
}
