package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisFile;
import cn.cecep.talroad.mapper.BMainPollDisFileMapper;
import cn.cecep.talroad.service.IBMainPollDisFileService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可附件信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisFileServiceImpl extends ServiceImpl<BMainPollDisFileMapper,BMainPollDisFile> implements IBMainPollDisFileService
{
    @Autowired
    private BMainPollDisFileMapper bMainPollDisFileMapper;

    /**
     * 查询排污许可附件信息列表
     *
     * @param bMainPollDisFile 排污许可附件信息
     * @return 排污许可附件信息
     */
    @Override
    public List<BMainPollDisFile> selectBMainPollDisFileList(BMainPollDisFile bMainPollDisFile)
    {
        return bMainPollDisFileMapper.selectBMainPollDisFileList(bMainPollDisFile);
    }
    
}
