package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisNoise;
import cn.cecep.talroad.mapper.BMainPollDisNoiseMapper;
import cn.cecep.talroad.service.IBMainPollDisNoiseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可其他许可噪声排放Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisNoiseServiceImpl extends ServiceImpl<BMainPollDisNoiseMapper,BMainPollDisNoise> implements IBMainPollDisNoiseService
{
    @Autowired
    private BMainPollDisNoiseMapper bMainPollDisNoiseMapper;

    /**
     * 查询排污许可其他许可噪声排放列表
     *
     * @param bMainPollDisNoise 排污许可其他许可噪声排放
     * @return 排污许可其他许可噪声排放
     */
    @Override
    public List<BMainPollDisNoise> selectBMainPollDisNoiseList(BMainPollDisNoise bMainPollDisNoise)
    {
        return bMainPollDisNoiseMapper.selectBMainPollDisNoiseList(bMainPollDisNoise);
    }
    
}
