package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisSelfMonOther;
import cn.cecep.talroad.mapper.BMainPollDisSelfMonOtherMapper;
import cn.cecep.talroad.service.IBMainPollDisSelfMonOtherService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可自行监测记录Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisSelfMonOtherServiceImpl extends ServiceImpl<BMainPollDisSelfMonOtherMapper,BMainPollDisSelfMonOther> implements IBMainPollDisSelfMonOtherService
{
    @Autowired
    private BMainPollDisSelfMonOtherMapper bMainPollDisSelfMonOtherMapper;

    /**
     * 查询排污许可自行监测记录列表
     *
     * @param bMainPollDisSelfMonOther 排污许可自行监测记录
     * @return 排污许可自行监测记录
     */
    @Override
    public List<BMainPollDisSelfMonOther> selectBMainPollDisSelfMonOtherList(BMainPollDisSelfMonOther bMainPollDisSelfMonOther)
    {
        return bMainPollDisSelfMonOtherMapper.selectBMainPollDisSelfMonOtherList(bMainPollDisSelfMonOther);
    }
    
}
