package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainSolidHazardous;
import cn.cecep.talroad.mapper.BMainSolidHazardousMapper;
import cn.cecep.talroad.service.IBMainSolidHazardousService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 固危废贮存信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainSolidHazardousServiceImpl extends ServiceImpl<BMainSolidHazardousMapper,BMainSolidHazardous> implements IBMainSolidHazardousService
{
    @Autowired
    private BMainSolidHazardousMapper bMainSolidHazardousMapper;

    /**
     * 查询固危废贮存信息列表
     *
     * @param bMainSolidHazardous 固危废贮存信息
     * @return 固危废贮存信息
     */
    @Override
    public List<BMainSolidHazardous> selectBMainSolidHazardousList(BMainSolidHazardous bMainSolidHazardous)
    {
        return bMainSolidHazardousMapper.selectBMainSolidHazardousList(bMainSolidHazardous);
    }
    
}
