package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BMainThreeSupervisionEnforcRecord;
import cn.cecep.talroad.mapper.BMainThreeSupervisionEnforcRecordMapper;
import cn.cecep.talroad.service.IBMainThreeSupervisionEnforcRecordService;
import cn.cecep.talroad.mapper.BMainThreeSupervisionEnforcRecordMapper;
import cn.cecep.talroad.domain.BMainThreeSupervisionEnforcRecord;
import cn.cecep.talroad.service.IBMainThreeSupervisionEnforcRecordService;




/**
 * 三监联动执法信息记录Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-29*/
@Service
public class BMainThreeSupervisionEnforcRecordServiceImpl extends ServiceImpl<BMainThreeSupervisionEnforcRecordMapper,BMainThreeSupervisionEnforcRecord> implements IBMainThreeSupervisionEnforcRecordService
{
    @Autowired
    private BMainThreeSupervisionEnforcRecordMapper bMainThreeSupervisionEnforcRecordMapper;

    /**
     * 查询三监联动执法信息记录列表
     *
     * @param bMainThreeSupervisionEnforcRecord 三监联动执法信息记录
     * @return 三监联动执法信息记录
     */
    @Override
    public List<BMainThreeSupervisionEnforcRecord> selectBMainThreeSupervisionEnforcRecordList(BMainThreeSupervisionEnforcRecord bMainThreeSupervisionEnforcRecord)
    {
        return bMainThreeSupervisionEnforcRecordMapper.selectBMainThreeSupervisionEnforcRecordList(bMainThreeSupervisionEnforcRecord);
    }
    
}
