package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgHdFuelAnalysis;
import cn.cecep.talroad.mapper.BStatTableZxbgHdFuelAnalysisMapper;
import cn.cecep.talroad.service.IBStatTableZxbgHdFuelAnalysisService;
import cn.cecep.talroad.mapper.BStatTableZxbgHdFuelAnalysisMapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdFuelAnalysis;
import cn.cecep.talroad.service.IBStatTableZxbgHdFuelAnalysisService;




/**
 * 固定源产排治--执行报告--火电燃料分析Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgHdFuelAnalysisServiceImpl extends ServiceImpl<BStatTableZxbgHdFuelAnalysisMapper,BStatTableZxbgHdFuelAnalysis> implements IBStatTableZxbgHdFuelAnalysisService
{
    @Autowired
    private BStatTableZxbgHdFuelAnalysisMapper bStatTableZxbgHdFuelAnalysisMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--火电燃料分析列表
     *
     * @param bStatTableZxbgHdFuelAnalysis 固定源产排治--执行报告--火电燃料分析
     * @return 固定源产排治--执行报告--火电燃料分析
     */
    @Override
    public List<BStatTableZxbgHdFuelAnalysis> selectBStatTableZxbgHdFuelAnalysisList(BStatTableZxbgHdFuelAnalysis bStatTableZxbgHdFuelAnalysis)
    {
        return bStatTableZxbgHdFuelAnalysisMapper.selectBStatTableZxbgHdFuelAnalysisList(bStatTableZxbgHdFuelAnalysis);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgHdFuelAnalysis>> selectBStatTableZxbgHdFuelAnalysisListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgHdFuelAnalysisMapper::selectListAndFactory,query);
    }
}
