package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtBasic;
import cn.cecep.talroad.mapper.BStatTableZxbgHdGtBasicMapper;
import cn.cecep.talroad.service.IBStatTableZxbgHdGtBasicService;
import cn.cecep.talroad.mapper.BStatTableZxbgHdGtBasicMapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtBasic;
import cn.cecep.talroad.service.IBStatTableZxbgHdGtBasicService;




/**
 * 固定源产排治--执行报告--火电、钢铁基本信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgHdGtBasicServiceImpl extends ServiceImpl<BStatTableZxbgHdGtBasicMapper,BStatTableZxbgHdGtBasic> implements IBStatTableZxbgHdGtBasicService
{
    @Autowired
    private BStatTableZxbgHdGtBasicMapper bStatTableZxbgHdGtBasicMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--火电、钢铁基本信息列表
     *
     * @param bStatTableZxbgHdGtBasic 固定源产排治--执行报告--火电、钢铁基本信息
     * @return 固定源产排治--执行报告--火电、钢铁基本信息
     */
    @Override
    public List<BStatTableZxbgHdGtBasic> selectBStatTableZxbgHdGtBasicList(BStatTableZxbgHdGtBasic bStatTableZxbgHdGtBasic)
    {
        return bStatTableZxbgHdGtBasicMapper.selectBStatTableZxbgHdGtBasicList(bStatTableZxbgHdGtBasic);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgHdGtBasic>> selectBStatTableZxbgHdGtBasicListBy(BStatTablepPwxkWaterQuery query) {

        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgHdGtBasicMapper::selectListAndFactory,query);
    }
}
