package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtFuel;
import cn.cecep.talroad.mapper.BStatTableZxbgHdGtFuelMapper;
import cn.cecep.talroad.service.IBStatTableZxbgHdGtFuelService;
import cn.cecep.talroad.mapper.BStatTableZxbgHdGtFuelMapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtFuel;
import cn.cecep.talroad.service.IBStatTableZxbgHdGtFuelService;




/**
 * 固定源产排治--执行报告--火电、钢铁燃料信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgHdGtFuelServiceImpl extends ServiceImpl<BStatTableZxbgHdGtFuelMapper,BStatTableZxbgHdGtFuel> implements IBStatTableZxbgHdGtFuelService
{
    @Autowired
    private BStatTableZxbgHdGtFuelMapper bStatTableZxbgHdGtFuelMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--火电、钢铁燃料信息列表
     *
     * @param bStatTableZxbgHdGtFuel 固定源产排治--执行报告--火电、钢铁燃料信息
     * @return 固定源产排治--执行报告--火电、钢铁燃料信息
     */
    @Override
    public List<BStatTableZxbgHdGtFuel> selectBStatTableZxbgHdGtFuelList(BStatTableZxbgHdGtFuel bStatTableZxbgHdGtFuel)
    {
        return bStatTableZxbgHdGtFuelMapper.selectBStatTableZxbgHdGtFuelList(bStatTableZxbgHdGtFuel);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgHdGtFuel>> selectBStatTableZxbgHdGtFuelListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgHdGtFuelMapper::selectListAndFactory,query);
    }
}
