package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtInvestment;
import cn.cecep.talroad.mapper.BStatTableZxbgHdGtInvestmentMapper;
import cn.cecep.talroad.service.IBStatTableZxbgHdGtInvestmentService;
import cn.cecep.talroad.mapper.BStatTableZxbgHdGtInvestmentMapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtInvestment;
import cn.cecep.talroad.service.IBStatTableZxbgHdGtInvestmentService;




/**
 * 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgHdGtInvestmentServiceImpl extends ServiceImpl<BStatTableZxbgHdGtInvestmentMapper,BStatTableZxbgHdGtInvestment> implements IBStatTableZxbgHdGtInvestmentService
{
    @Autowired
    private BStatTableZxbgHdGtInvestmentMapper bStatTableZxbgHdGtInvestmentMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况列表
     *
     * @param bStatTableZxbgHdGtInvestment 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况
     * @return 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况
     */
    @Override
    public List<BStatTableZxbgHdGtInvestment> selectBStatTableZxbgHdGtInvestmentList(BStatTableZxbgHdGtInvestment bStatTableZxbgHdGtInvestment)
    {
        return bStatTableZxbgHdGtInvestmentMapper.selectBStatTableZxbgHdGtInvestmentList(bStatTableZxbgHdGtInvestment);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgHdGtInvestment>> selectBStatTableZxbgHdGtInvestmentListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgHdGtInvestmentMapper::selectListAndFactory,query);
    }
}
