package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgHdWaterPollution;
import cn.cecep.talroad.mapper.BStatTableZxbgHdWaterPollutionMapper;
import cn.cecep.talroad.service.IBStatTableZxbgHdWaterPollutionService;
import cn.cecep.talroad.mapper.BStatTableZxbgHdWaterPollutionMapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdWaterPollution;
import cn.cecep.talroad.service.IBStatTableZxbgHdWaterPollutionService;




/**
 * 固定源产排治--执行报告--火电废水污染治理设施正常情况Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgHdWaterPollutionServiceImpl extends ServiceImpl<BStatTableZxbgHdWaterPollutionMapper,BStatTableZxbgHdWaterPollution> implements IBStatTableZxbgHdWaterPollutionService
{
    @Autowired
    private BStatTableZxbgHdWaterPollutionMapper bStatTableZxbgHdWaterPollutionMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--火电废水污染治理设施正常情况列表
     *
     * @param bStatTableZxbgHdWaterPollution 固定源产排治--执行报告--火电废水污染治理设施正常情况
     * @return 固定源产排治--执行报告--火电废水污染治理设施正常情况
     */
    @Override
    public List<BStatTableZxbgHdWaterPollution> selectBStatTableZxbgHdWaterPollutionList(BStatTableZxbgHdWaterPollution bStatTableZxbgHdWaterPollution)
    {
        return bStatTableZxbgHdWaterPollutionMapper.selectBStatTableZxbgHdWaterPollutionList(bStatTableZxbgHdWaterPollution);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgHdWaterPollution>> selectBStatTableZxbgHdWaterPollutionListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgHdWaterPollutionMapper::selectListAndFactory,query);
    }
}
