package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirOverproof;
import cn.cecep.talroad.mapper.BStatTableZxbgPflAirOverproofMapper;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirOverproofService;
import cn.cecep.talroad.mapper.BStatTableZxbgPflAirOverproofMapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirOverproof;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirOverproofService;




/**
 * 固定源产排治--执行报告--废气超标排放信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-28*/
@Service
public class BStatTableZxbgPflAirOverproofServiceImpl extends ServiceImpl<BStatTableZxbgPflAirOverproofMapper,BStatTableZxbgPflAirOverproof> implements IBStatTableZxbgPflAirOverproofService
{
    @Autowired
    private BStatTableZxbgPflAirOverproofMapper bStatTableZxbgPflAirOverproofMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--废气超标排放信息列表
     *
     * @param bStatTableZxbgPflAirOverproof 固定源产排治--执行报告--废气超标排放信息
     * @return 固定源产排治--执行报告--废气超标排放信息
     */
    @Override
    public List<BStatTableZxbgPflAirOverproof> selectBStatTableZxbgPflAirOverproofList(BStatTableZxbgPflAirOverproof bStatTableZxbgPflAirOverproof)
    {
        return bStatTableZxbgPflAirOverproofMapper.selectBStatTableZxbgPflAirOverproofList(bStatTableZxbgPflAirOverproof);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgPflAirOverproof>> selectBStatTableZxbgPflAirOverproofListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgPflAirOverproofMapper::selectListAndFactory,query);
    }
}
