package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.service.BStatTablePwxkWaterAndOtherService;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgPflAir;
import cn.cecep.talroad.mapper.BStatTableZxbgPflAirMapper;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirService;
import cn.cecep.talroad.mapper.BStatTableZxbgPflAirMapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflAir;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirService;




/**
 * 固定源产排治--执行报告--废气实际排放量Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-27*/
@Service
public class BStatTableZxbgPflAirServiceImpl extends ServiceImpl<BStatTableZxbgPflAirMapper,BStatTableZxbgPflAir> implements IBStatTableZxbgPflAirService
{
    @Autowired
    private BStatTableZxbgPflAirMapper bStatTableZxbgPflAirMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--废气实际排放量列表
     *
     * @param bStatTableZxbgPflAir 固定源产排治--执行报告--废气实际排放量
     * @return 固定源产排治--执行报告--废气实际排放量
     */
    @Override
    public List<BStatTableZxbgPflAir> selectBStatTableZxbgPflAirList(BStatTableZxbgPflAir bStatTableZxbgPflAir)
    {
        return bStatTableZxbgPflAirMapper.selectBStatTableZxbgPflAirList(bStatTableZxbgPflAir);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgPflAir>> selectBStatTableZxbgPflAirListBy(BStatTablepPwxkWaterQuery query) {

        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgPflAirMapper::selectListAndFactory,query);
    }
}
