package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirStat;
import cn.cecep.talroad.mapper.BStatTableZxbgPflAirStatMapper;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirStatService;
import cn.cecep.talroad.mapper.BStatTableZxbgPflAirStatMapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirStat;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirStatService;




/**
 * 固定源产排治--执行报告--总计废气实际排放量Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-28*/
@Service
public class BStatTableZxbgPflAirStatServiceImpl extends ServiceImpl<BStatTableZxbgPflAirStatMapper,BStatTableZxbgPflAirStat> implements IBStatTableZxbgPflAirStatService
{
    @Autowired
    private BStatTableZxbgPflAirStatMapper bStatTableZxbgPflAirStatMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--总计废气实际排放量列表
     *
     * @param bStatTableZxbgPflAirStat 固定源产排治--执行报告--总计废气实际排放量
     * @return 固定源产排治--执行报告--总计废气实际排放量
     */
    @Override
    public List<BStatTableZxbgPflAirStat> selectBStatTableZxbgPflAirStatList(BStatTableZxbgPflAirStat bStatTableZxbgPflAirStat)
    {
        return bStatTableZxbgPflAirStatMapper.selectBStatTableZxbgPflAirStatList(bStatTableZxbgPflAirStat);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgPflAirStat>> selectBStatTableZxbgPflAirStatListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgPflAirStatMapper::selectListAndFactory,query);
    }
}
