package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgPflWaterVoerproof;
import cn.cecep.talroad.mapper.BStatTableZxbgPflWaterVoerproofMapper;
import cn.cecep.talroad.service.IBStatTableZxbgPflWaterVoerproofService;
import cn.cecep.talroad.mapper.BStatTableZxbgPflWaterVoerproofMapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflWaterVoerproof;
import cn.cecep.talroad.service.IBStatTableZxbgPflWaterVoerproofService;




/**
 * 固定源产排治--执行报告--废水超标排放信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-28*/
@Service
public class BStatTableZxbgPflWaterVoerproofServiceImpl extends ServiceImpl<BStatTableZxbgPflWaterVoerproofMapper,BStatTableZxbgPflWaterVoerproof> implements IBStatTableZxbgPflWaterVoerproofService
{
    @Autowired
    private BStatTableZxbgPflWaterVoerproofMapper bStatTableZxbgPflWaterVoerproofMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--废水超标排放信息列表
     *
     * @param bStatTableZxbgPflWaterVoerproof 固定源产排治--执行报告--废水超标排放信息
     * @return 固定源产排治--执行报告--废水超标排放信息
     */
    @Override
    public List<BStatTableZxbgPflWaterVoerproof> selectBStatTableZxbgPflWaterVoerproofList(BStatTableZxbgPflWaterVoerproof bStatTableZxbgPflWaterVoerproof)
    {
        return bStatTableZxbgPflWaterVoerproofMapper.selectBStatTableZxbgPflWaterVoerproofList(bStatTableZxbgPflWaterVoerproof);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgPflWaterVoerproof>> selectBStatTableZxbgPflWaterVoerproofListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgPflWaterVoerproofMapper::selectListAndFactory,query);
    }
}
