package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgPfltotalWater;
import cn.cecep.talroad.mapper.BStatTableZxbgPfltotalWaterMapper;
import cn.cecep.talroad.service.IBStatTableZxbgPfltotalWaterService;
import cn.cecep.talroad.mapper.BStatTableZxbgPfltotalWaterMapper;
import cn.cecep.talroad.domain.BStatTableZxbgPfltotalWater;
import cn.cecep.talroad.service.IBStatTableZxbgPfltotalWaterService;




/**
 * 固定源产排治--执行报告--废水正常排放总计（一般排放口）Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-28*/
@Service
public class BStatTableZxbgPfltotalWaterServiceImpl extends ServiceImpl<BStatTableZxbgPfltotalWaterMapper,BStatTableZxbgPfltotalWater> implements IBStatTableZxbgPfltotalWaterService
{
    @Autowired
    private BStatTableZxbgPfltotalWaterMapper bStatTableZxbgPfltotalWaterMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--废水正常排放总计（一般排放口）列表
     *
     * @param bStatTableZxbgPfltotalWater 固定源产排治--执行报告--废水正常排放总计（一般排放口）
     * @return 固定源产排治--执行报告--废水正常排放总计（一般排放口）
     */
    @Override
    public List<BStatTableZxbgPfltotalWater> selectBStatTableZxbgPfltotalWaterList(BStatTableZxbgPfltotalWater bStatTableZxbgPfltotalWater)
    {
        return bStatTableZxbgPfltotalWaterMapper.selectBStatTableZxbgPfltotalWaterList(bStatTableZxbgPfltotalWater);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgPfltotalWater>> selectBStatTableZxbgPfltotalWaterListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgPfltotalWaterMapper::selectListAndFactory,query);
    }
}
