package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgSnProduction;
import cn.cecep.talroad.mapper.BStatTableZxbgSnProductionMapper;
import cn.cecep.talroad.service.IBStatTableZxbgSnProductionService;
import cn.cecep.talroad.mapper.BStatTableZxbgSnProductionMapper;
import cn.cecep.talroad.domain.BStatTableZxbgSnProduction;
import cn.cecep.talroad.service.IBStatTableZxbgSnProductionService;




/**
 * 固定源产排治--执行报告--水泥-生产单元运行情况Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgSnProductionServiceImpl extends ServiceImpl<BStatTableZxbgSnProductionMapper,BStatTableZxbgSnProduction> implements IBStatTableZxbgSnProductionService
{
    @Autowired
    private BStatTableZxbgSnProductionMapper bStatTableZxbgSnProductionMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--水泥-生产单元运行情况列表
     *
     * @param bStatTableZxbgSnProduction 固定源产排治--执行报告--水泥-生产单元运行情况
     * @return 固定源产排治--执行报告--水泥-生产单元运行情况
     */
    @Override
    public List<BStatTableZxbgSnProduction> selectBStatTableZxbgSnProductionList(BStatTableZxbgSnProduction bStatTableZxbgSnProduction)
    {
        return bStatTableZxbgSnProductionMapper.selectBStatTableZxbgSnProductionList(bStatTableZxbgSnProduction);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgSnProduction>> selectBStatTableZxbgSnProductionListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgSnProductionMapper::selectListAndFactory,query);
    }
}
