package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgWrzlTotal;
import cn.cecep.talroad.mapper.BStatTableZxbgWrzlTotalMapper;
import cn.cecep.talroad.service.IBStatTableZxbgWrzlTotalService;
import cn.cecep.talroad.mapper.BStatTableZxbgWrzlTotalMapper;
import cn.cecep.talroad.domain.BStatTableZxbgWrzlTotal;
import cn.cecep.talroad.service.IBStatTableZxbgWrzlTotalService;




/**
 * 固定源产排治--执行报告--污染治理设施正常情况汇总Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-31*/
@Service
public class BStatTableZxbgWrzlTotalServiceImpl extends ServiceImpl<BStatTableZxbgWrzlTotalMapper,BStatTableZxbgWrzlTotal> implements IBStatTableZxbgWrzlTotalService
{
    @Autowired
    private BStatTableZxbgWrzlTotalMapper bStatTableZxbgWrzlTotalMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--污染治理设施正常情况汇总列表
     *
     * @param bStatTableZxbgWrzlTotal 固定源产排治--执行报告--污染治理设施正常情况汇总
     * @return 固定源产排治--执行报告--污染治理设施正常情况汇总
     */
    @Override
    public List<BStatTableZxbgWrzlTotal> selectBStatTableZxbgWrzlTotalList(BStatTableZxbgWrzlTotal bStatTableZxbgWrzlTotal)
    {
        return bStatTableZxbgWrzlTotalMapper.selectBStatTableZxbgWrzlTotalList(bStatTableZxbgWrzlTotal);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgWrzlTotal>> selectBStatTableZxbgWrzlTotalListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgWrzlTotalMapper::selectListAndFactory,query);
    }
}
