package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BasElecDevice;
import cn.cecep.talroad.mapper.BasElecDeviceMapper;
import cn.cecep.talroad.service.IBasElecDeviceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 分表计电设备信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class BasElecDeviceServiceImpl extends ServiceImpl<BasElecDeviceMapper,BasElecDevice> implements IBasElecDeviceService
{
    @Autowired
    private BasElecDeviceMapper basElecDeviceMapper;

    /**
     * 查询分表计电设备信息列表
     *
     * @param basElecDevice 分表计电设备信息
     * @return 分表计电设备信息
     */
    @Override
    public List<BasElecDevice> selectBasElecDeviceList(BasElecDevice basElecDevice)
    {
        return basElecDeviceMapper.selectBasElecDeviceList(basElecDevice);
    }
    
}
