package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.MonDevTcHour;
import cn.cecep.talroad.mapper.MonDevTcHourMapper;
import cn.cecep.talroad.service.IMonDevTcHourService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 设备数据-陶瓷-小时 保存设备的小时数据Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class MonDevTcHourServiceImpl extends ServiceImpl<MonDevTcHourMapper,MonDevTcHour> implements IMonDevTcHourService
{
    @Autowired
    private MonDevTcHourMapper monDevTcHourMapper;

    /**
     * 查询设备数据-陶瓷-小时 保存设备的小时数据列表
     *
     * @param monDevTcHour 设备数据-陶瓷-小时 保存设备的小时数据
     * @return 设备数据-陶瓷-小时 保存设备的小时数据
     */
    @Override
    public List<MonDevTcHour> selectMonDevTcHourList(MonDevTcHour monDevTcHour)
    {
        return monDevTcHourMapper.selectMonDevTcHourList(monDevTcHour);
    }
    
}
