package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.MonDevTcReal;
import cn.cecep.talroad.mapper.MonDevTcRealMapper;
import cn.cecep.talroad.service.IMonDevTcRealService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 设备数据-陶瓷-实时 保存设备的实时数据Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class MonDevTcRealServiceImpl extends ServiceImpl<MonDevTcRealMapper,MonDevTcReal> implements IMonDevTcRealService
{
    @Autowired
    private MonDevTcRealMapper monDevTcRealMapper;

    /**
     * 查询设备数据-陶瓷-实时 保存设备的实时数据列表
     *
     * @param monDevTcReal 设备数据-陶瓷-实时 保存设备的实时数据
     * @return 设备数据-陶瓷-实时 保存设备的实时数据
     */
    @Override
    public List<MonDevTcReal> selectMonDevTcRealList(MonDevTcReal monDevTcReal)
    {
        return monDevTcRealMapper.selectMonDevTcRealList(monDevTcReal);
    }
    
}
