package cn.cecep.talroad.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.OdsMeshingShStationHourI;
import cn.cecep.talroad.mapper.OdsMeshingShStationHourIMapper;
import cn.cecep.talroad.service.IOdsMeshingShStationHourIService;
import cn.cecep.talroad.mapper.OdsMeshingShStationHourIMapper;
import cn.cecep.talroad.domain.OdsMeshingShStationHourI;
import cn.cecep.talroad.service.IOdsMeshingShStationHourIService;




/**
 * ods层网格化市控站点小时增量Service业务层处理
 *
 * @author szhpt
 * @date 2023-06-10*/
@DS("ods")
@Service
public class OdsMeshingShStationHourIServiceImpl extends ServiceImpl<OdsMeshingShStationHourIMapper,OdsMeshingShStationHourI> implements IOdsMeshingShStationHourIService
{
    @Autowired
    private OdsMeshingShStationHourIMapper odsMeshingShStationHourIMapper;

    /**
     * 查询ods层网格化市控站点小时增量列表
     *
     * @param odsMeshingShStationHourI ods层网格化市控站点小时增量
     * @return ods层网格化市控站点小时增量
     */
    @Override
    public List<OdsMeshingShStationHourI> selectOdsMeshingShStationHourIList(OdsMeshingShStationHourI odsMeshingShStationHourI)
    {
        return odsMeshingShStationHourIMapper.selectOdsMeshingShStationHourIList(odsMeshingShStationHourI);
    }

}
