package cn.cecep.talroad.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.OdsMeshingWeiStationHourI;
import cn.cecep.talroad.mapper.OdsMeshingWeiStationHourIMapper;
import cn.cecep.talroad.service.IOdsMeshingWeiStationHourIService;
import cn.cecep.talroad.mapper.OdsMeshingWeiStationHourIMapper;
import cn.cecep.talroad.domain.OdsMeshingWeiStationHourI;
import cn.cecep.talroad.service.IOdsMeshingWeiStationHourIService;




/**
 * ods层网格化微站站点小时增量Service业务层处理
 *
 * @author szhpt
 * @date 2023-06-10*/
@DS("ods")
@Service
public class OdsMeshingWeiStationHourIServiceImpl extends ServiceImpl<OdsMeshingWeiStationHourIMapper,OdsMeshingWeiStationHourI> implements IOdsMeshingWeiStationHourIService
{
    @Autowired
    private OdsMeshingWeiStationHourIMapper odsMeshingWeiStationHourIMapper;

    /**
     * 查询ods层网格化微站站点小时增量列表
     *
     * @param odsMeshingWeiStationHourI ods层网格化微站站点小时增量
     * @return ods层网格化微站站点小时增量
     */
    @Override
    public List<OdsMeshingWeiStationHourI> selectOdsMeshingWeiStationHourIList(OdsMeshingWeiStationHourI odsMeshingWeiStationHourI)
    {
        return odsMeshingWeiStationHourIMapper.selectOdsMeshingWeiStationHourIList(odsMeshingWeiStationHourI);
    }

}
