package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcIndustry;
import cn.cecep.talroad.mapper.PcIndustryMapper;
import cn.cecep.talroad.service.IPcIndustryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 行业Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class PcIndustryServiceImpl extends ServiceImpl<PcIndustryMapper,PcIndustry> implements IPcIndustryService
{
    @Autowired
    private PcIndustryMapper pcIndustryMapper;

    /**
     * 查询行业列表
     *
     * @param pcIndustry 行业
     * @return 行业
     */
    @Override
    public List<PcIndustry> selectPcIndustryList(PcIndustry pcIndustry)
    {
        return pcIndustryMapper.selectPcIndustryList(pcIndustry);
    }

    @Override
    public List<PcIndustry> industryPermissionList(PcIndustry pcIndustry) {
        return pcIndustryMapper.industryPermissionList(pcIndustry);
    }
}
