package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcManagementFacilities;
import cn.cecep.talroad.mapper.PcManagementFacilitiesMapper;
import cn.cecep.talroad.service.IPcManagementFacilitiesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 治理设施Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class PcManagementFacilitiesServiceImpl extends ServiceImpl<PcManagementFacilitiesMapper,PcManagementFacilities> implements IPcManagementFacilitiesService
{
    @Autowired
    private PcManagementFacilitiesMapper pcManagementFacilitiesMapper;

    /**
     * 查询治理设施列表
     *
     * @param pcManagementFacilities 治理设施
     * @return 治理设施
     */
    @Override
    public List<PcManagementFacilities> selectPcManagementFacilitiesList(PcManagementFacilities pcManagementFacilities)
    {
        return pcManagementFacilitiesMapper.selectPcManagementFacilitiesList(pcManagementFacilities);
    }
    
}
