package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcMenuFactory;
import cn.cecep.talroad.mapper.PcMenuFactoryMapper;
import cn.cecep.talroad.service.IPcMenuFactoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 企业档案菜单与企业关联中间Service业务层处理
 *
 * @author szhpt
 * @date 2023-02-02*/
@Service
public class PcMenuFactoryServiceImpl extends ServiceImpl<PcMenuFactoryMapper,PcMenuFactory> implements IPcMenuFactoryService
{
    @Autowired
    private PcMenuFactoryMapper pcMenuFactoryMapper;

    /**
     * 查询企业档案菜单与企业关联中间列表
     *
     * @param pcMenuFactory 企业档案菜单与企业关联中间
     * @return 企业档案菜单与企业关联中间
     */
    @Override
    public List<PcMenuFactory> selectPcMenuFactoryList(PcMenuFactory pcMenuFactory)
    {
        return pcMenuFactoryMapper.selectPcMenuFactoryList(pcMenuFactory);
    }
    
}
