package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcMenu;
import cn.cecep.talroad.mapper.PcMenuMapper;
import cn.cecep.talroad.service.IPcMenuService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 企业档案菜单管理Service业务层处理
 *
 * @author szhpt
 * @date 2023-02-02*/
@Service
public class PcMenuServiceImpl extends ServiceImpl<PcMenuMapper,PcMenu> implements IPcMenuService
{
    @Autowired
    private PcMenuMapper pcMenuMapper;

    /**
     * 查询企业档案菜单管理列表
     *
     * @param pcMenu 企业档案菜单管理
     * @return 企业档案菜单管理
     */
    @Override
    public List<PcMenu> selectPcMenuList(PcMenu pcMenu)
    {
        return pcMenuMapper.selectPcMenuList(pcMenu);
    }
    
}
