package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcStationBuildingEntranceGu;
import cn.cecep.talroad.mapper.PcStationBuildingEntranceGuMapper;
import cn.cecep.talroad.service.IPcStationBuildingEntranceGuService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 站房门禁监管信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class PcStationBuildingEntranceGuServiceImpl extends ServiceImpl<PcStationBuildingEntranceGuMapper,PcStationBuildingEntranceGu> implements IPcStationBuildingEntranceGuService
{
    @Autowired
    private PcStationBuildingEntranceGuMapper pcStationBuildingEntranceGuMapper;

    /**
     * 查询站房门禁监管信息列表
     *
     * @param pcStationBuildingEntranceGu 站房门禁监管信息
     * @return 站房门禁监管信息
     */
    @Override
    public List<PcStationBuildingEntranceGu> selectPcStationBuildingEntranceGuList(PcStationBuildingEntranceGu pcStationBuildingEntranceGu)
    {
        return pcStationBuildingEntranceGuMapper.selectPcStationBuildingEntranceGuList(pcStationBuildingEntranceGu);
    }
    
}
