package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcStationBuilding;
import cn.cecep.talroad.mapper.PcStationBuildingMapper;
import cn.cecep.talroad.service.IPcStationBuildingService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 站房基本信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class PcStationBuildingServiceImpl extends ServiceImpl<PcStationBuildingMapper,PcStationBuilding> implements IPcStationBuildingService
{
    @Autowired
    private PcStationBuildingMapper pcStationBuildingMapper;

    /**
     * 查询站房基本信息列表
     *
     * @param pcStationBuilding 站房基本信息
     * @return 站房基本信息
     */
    @Override
    public List<PcStationBuilding> selectPcStationBuildingList(PcStationBuilding pcStationBuilding)
    {
        return pcStationBuildingMapper.selectPcStationBuildingList(pcStationBuilding);
    }
    
}
