package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.SMainDynamicControlFactory;
import cn.cecep.talroad.mapper.SMainDynamicControlFactoryMapper;
import cn.cecep.talroad.service.ISMainDynamicControlFactoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 基本信息-废气、废水排口档案-动态管控信息调整 -参数与企业关联Service业务层处理
 *
 * @author szhpt
 * @date 2023-02-02*/
@Service
public class SMainDynamicControlFactoryServiceImpl extends ServiceImpl<SMainDynamicControlFactoryMapper,SMainDynamicControlFactory> implements ISMainDynamicControlFactoryService
{
    @Autowired
    private SMainDynamicControlFactoryMapper sMainDynamicControlFactoryMapper;

    /**
     * 查询基本信息-废气、废水排口档案-动态管控信息调整 -参数与企业关联列表
     *
     * @param sMainDynamicControlFactory 基本信息-废气、废水排口档案-动态管控信息调整 -参数与企业关联
     * @return 基本信息-废气、废水排口档案-动态管控信息调整 -参数与企业关联
     */
    @Override
    public List<SMainDynamicControlFactory> selectSMainDynamicControlFactoryList(SMainDynamicControlFactory sMainDynamicControlFactory)
    {
        return sMainDynamicControlFactoryMapper.selectSMainDynamicControlFactoryList(sMainDynamicControlFactory);
    }
    
}
