package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.SMainDynamicControl;
import cn.cecep.talroad.mapper.SMainDynamicControlMapper;
import cn.cecep.talroad.service.ISMainDynamicControlService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 基本信息-废气、废水排口档案-动态管控信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-02-02*/
@Service
public class SMainDynamicControlServiceImpl extends ServiceImpl<SMainDynamicControlMapper,SMainDynamicControl> implements ISMainDynamicControlService
{
    @Autowired
    private SMainDynamicControlMapper sMainDynamicControlMapper;

    /**
     * 查询基本信息-废气、废水排口档案-动态管控信息列表
     *
     * @param sMainDynamicControl 基本信息-废气、废水排口档案-动态管控信息
     * @return 基本信息-废气、废水排口档案-动态管控信息
     */
    @Override
    public List<SMainDynamicControl> selectSMainDynamicControlList(SMainDynamicControl sMainDynamicControl)
    {
        return sMainDynamicControlMapper.selectSMainDynamicControlList(sMainDynamicControl);
    }
    
}
