package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * @Description: app版本管理表
 * @Author: code-generate
 * @Date:   2023-07-06
 * @Version: V1.0
 */
@ApiModel(value="app_version_address_managementVo")
@EqualsAndHashCode(callSuper = false)
@Data
public class AppVersionAddressManagementVo
{

	/**主键*/
    @ApiModelProperty(value = "主键")
    @Excel(name = "主键")
	private String id;
	/**下载地址*/
    @ApiModelProperty(value = "下载地址")
    @Excel(name = "下载地址")
	private String downloadUrl;
	/**log图片地址*/
    @ApiModelProperty(value = "log图片地址")
    @Excel(name = "log图片地址")
	private String logImgUrl;
	/**相对的文件地址*/
    @ApiModelProperty(value = "相对的文件地址")
    @Excel(name = "相对的文件地址")
	private String downloadRelativelyUrl;
	/**版本号*/
    @ApiModelProperty(value = "版本号")
    @Excel(name = "版本号")
	private String versionName;
	/**更新提示语*/
    @ApiModelProperty(value = "更新提示语")
    @Excel(name = "更新提示语")
	private String updateHint;
	/**是否强制更新 0 否 1是*/
    @ApiModelProperty(value = "是否强制更新 0 否 1是")
    @Excel(name = "是否强制更新 0 否 1是")
	private Integer isForcedUpdate;
	/**是否生产 0: 测试 1: 生产*/
    @ApiModelProperty(value = "是否生产 0: 测试 1: 生产")
    @Excel(name = "是否生产 0: 测试 1: 生产")
	private Integer isDebug;
	/**0 正常 1 删除 2禁用 3测试*/
    @ApiModelProperty(value = "0 正常 1 删除 2禁用 3测试")
    @Excel(name = "0 正常 1 删除 2禁用 3测试")
	private Integer status;
	/**添加时间*/
    @ApiModelProperty(value = "添加时间")
    @Excel(name = "添加时间")
	private java.util.Date addTime;
	/**修改时间*/
    @ApiModelProperty(value = "修改时间")
    @Excel(name = "修改时间")
	private java.util.Date updateTime;

}
