package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;



/**
 * 通知提醒-业务提醒对象 b_enterprise_ir_business_alerts
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "通知提醒-业务提醒")
@EqualsAndHashCode(callSuper = false)
@Data
public class BEnterpriseIrBusinessAlertsVo
{


    @ApiModelProperty(value = "通知提醒主键")
    /** id */
    private Long businessId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "业务类型")
    /** 业务类型 */
    private String businessType;

    @ApiModelProperty(value = "提醒内容")
    /** 业务内容 */
    private String businessDetails;

    @ApiModelProperty(value = "提醒日期")
    /** 业务发布时间 */
    private Date businessTime;

    @ApiModelProperty(value = "阅读状态(0-未读, 1-已读)")
    /** 状态 */
    private String status;

}
