package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 知识库-生态环境标准-分类对象 b_enterprise_ir_ees_type
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "知识库-生态环境标准-分类")
@EqualsAndHashCode(callSuper = false)
@Data
public class BEnterpriseIrEesTypeVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "分类编码;主类编码以10开头，如水环境 101，大气环境102；子类编码为父类编码加序号如水环境质量10101，水污染物排放10102")
    /** 分类编码;主类编码以10开头，如水环境 101，大气环境102；子类编码为父类编码加序号如水环境质量10101，水污染物排放10102 */
    private String eesClassify;

    @ApiModelProperty(value = "分类名称")
    /** 分类名称 */
    private String eesType;

    @ApiModelProperty(value = "分类级别")
    /** 分类级别 */
    private String eesName;

    @ApiModelProperty(value = "分类父编码，主类父编码默认为0")
    /** 分类父编码，主类父编码默认为0 */
    private String eesTitle;

}
