package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 知识库-排污治理科普库对象 b_enterprise_ir_sdoept
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "知识库-排污治理科普库")
@EqualsAndHashCode(callSuper = false)
@Data
public class BEnterpriseIrSdoeptVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "排污治理科普库分类")
    /** 排污治理科普库分类 */
    private String sdoeptType;

    @ApiModelProperty(value = "排污治理科普库名称")
    /** 排污治理科普库名称 */
    private String sdoeptName;

    @ApiModelProperty(value = "排污治理科普库标题")
    /** 排污治理科普库标题 */
    private String sdoeptTitle;

    @ApiModelProperty(value = "排污治理科普库内容")
    /** 排污治理科普库内容 */
    private String sdoeptDetails;

    @ApiModelProperty(value = "排污治理科普库附件名称")
    /** 排污治理科普库附件名称 */
    private String sdoeptFileName;

    @ApiModelProperty(value = "排污治理科普库附件url")
    /** 排污治理科普库附件url */
    private String sdoeptFileUrl;

    @ApiModelProperty(value = "实施时间")
    /** 实施时间 */
    private String sdoeptTime;

}
