package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 总许可量-大气排放总许可量要求对象 b_main_allowable_pollution_air
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "总许可量-大气排放总许可量要求")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainAllowablePollutionAirVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id
 */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id
 */
    private String factoryId;

    @ApiModelProperty(value = "许可证id")
    /** 许可证id */
    private String pollDisId;

    @ApiModelProperty(value = "污染物类别")
    /** 污染物类别 */
    private String pollutionCategory;

    @ApiModelProperty(value = "全厂有组织排放总计-第一年")
    /** 全厂有组织排放总计-第一年 */
    private String organizedFrist;

    @ApiModelProperty(value = "全厂有组织排放总计-第二年")
    /** 全厂有组织排放总计-第二年 */
    private String organizedSecond;

    @ApiModelProperty(value = "全厂有组织排放总计-第三年")
    /** 全厂有组织排放总计-第三年 */
    private String organizedThird;

    @ApiModelProperty(value = "全厂有组织排放总计-第四年")
    /** 全厂有组织排放总计-第四年 */
    private String organizedFourth;

    @ApiModelProperty(value = "全厂有组织排放总计-第五年")
    /** 全厂有组织排放总计-第五年 */
    private String organizedFifth;

    @ApiModelProperty(value = "全厂无组织排放总计-第一年")
    /** 全厂无组织排放总计-第一年 */
    private String inorganizationFrist;

    @ApiModelProperty(value = "全厂无组织排放总计-第二年")
    /** 全厂无组织排放总计-第二年 */
    private String inorganizationSecond;

    @ApiModelProperty(value = "全厂无组织排放总计-第三年")
    /** 全厂无组织排放总计-第三年 */
    private String inorganizationThird;

    @ApiModelProperty(value = "全厂无组织排放总计-第四年")
    /** 全厂无组织排放总计-第四年 */
    private String inorganizationFourth;

    @ApiModelProperty(value = "全厂无组织排放总计-第五年")
    /** 全厂无组织排放总计-第五年 */
    private String inorganizationFifth;

    @ApiModelProperty(value = "全厂合计-第一年")
    /** 全厂合计-第一年 */
    private String totalFrist;

    @ApiModelProperty(value = "全厂合计-第二年")
    /** 全厂合计-第二年 */
    private String totalSecond;

    @ApiModelProperty(value = "全厂合计-第三年")
    /** 全厂合计-第三年 */
    private String totalThird;

    @ApiModelProperty(value = "全厂合计-第四年")
    /** 全厂合计-第四年 */
    private String totalFourth;

    @ApiModelProperty(value = "全厂合计-第五年")
    /** 全厂合计-第五年 */
    private String totalFifth;

}
