package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业排放信息-不同污染物年度排放趋势-固废对象 b_main_emission_pollution_solid_waste
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-不同污染物年度排放趋势-固废")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainEmissionPollutionSolidWasteVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "年份")
    /** 年份 */
    private String pollYear;

    @ApiModelProperty(value = "污染类别")
    /** 污染类别 */
    private String pollutionCategory;

    @ApiModelProperty(value = "数据源")
    /** 数据源 */
    private String dataSource;

    @ApiModelProperty(value = "固体废物类别")
    /** 固体废物类别 */
    private String solidWasteType;

    @ApiModelProperty(value = "固体废物名称")
    /** 固体废物名称 */
    private String solidWasteName;

    @ApiModelProperty(value = "年度计划产生量")
    /** 年度计划产生量 */
    private String annualPlannedOutput;

    @ApiModelProperty(value = "年度实际产生量")
    /** 年度实际产生量 */
    private String annualActualProduction;

    @ApiModelProperty(value = "年度贮存量")
    /** 年度贮存量 */
    private String annualStorageCapacity;

    @ApiModelProperty(value = "年度转移量")
    /** 年度转移量 */
    private String annualTransferVolume;

    @ApiModelProperty(value = "年度自行处置利用量")
    /** 年度自行处置利用量 */
    private String annualDisposalUtilization;

}
