package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(value = "系统附件。")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainFileVo {

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "附件名称")
    private String fileName;

    @ApiModelProperty(value = "附件路径")
    private String filePath;

    @ApiModelProperty(value = "附件所属的业务来源 见FileConstant.Source枚举类")
    private String businessSource;

    @ApiModelProperty(value = "业务id")
    private String businessId;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModel(value = "系统附件-表单")
    @Data
    public static class FormVo {
        @ApiModelProperty(value = "附件名称")
        private String fileName;

        @ApiModelProperty(value = "附件路径")
        private String filePath;
    }

}
