package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 固体废物环境管理要求对象 b_main_hazardous_solid_waste_cr
 *
 * @author szhpt
 * @date 2023-01-11*/
@ApiModel(value = "固体废物环境管理要求")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainHazardousSolidWasteCrVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "设施类型")
    /** 设施类型*/
    private String solidWasteType;

    @ApiModelProperty(value = "管理要求")
    /** 管理要求*/
    private String controlRequirements;

}
