package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 移动执法信息对象 b_main_mobile_enforcement
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "移动执法信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainMobileEnforcementVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "任务类型")
    /** 任务类型*/
    private String taskType;

    @ApiModelProperty(value = "检查人")
    /** 检查人*/
    private String enforcementPersion;

    @ApiModelProperty(value = "检查时间")
    /** 检查时间*/
    private String enforcementTime;

    @ApiModelProperty(value = "执法小结")
    /** 执法小结*/
    private String enforcementNodulus;

    @ApiModelProperty(value = "处理意见及相关要求")
    /** 处理意见及相关要求*/
    private String enforcementOpinion;

}
