package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 排污许可附件信息对象 b_main_poll_dis_file
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可附件信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisFileVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long fileId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    private String pollDisId;

    @ApiModelProperty(value = "文件类型名称")
    /** 文件类型名称 */
    private String fileType;

    @ApiModelProperty(value = "文件名称")
    /** 文件名称 */
    private String fileName;

    @ApiModelProperty(value = "文件地址")
    /** 文件地址 */
    private String fileUrl;



}
