package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 排污许可环境管理要求对象 b_main_poll_dis_noise_require
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可环境管理要求")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisNoiseRequireVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long requireId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    private String pollDisId;

    @ApiModelProperty(value = "大气环境管理要求")
    /** 大气环境管理要求 */
    private String requireGas;

    @ApiModelProperty(value = "水环境管理要求")
    /** 水环境管理要求 */
    private String requireWater;

    @ApiModelProperty(value = "土壤污染防治要求")
    /** 土壤污染防治要求 */
    private String requireSoil;

    @ApiModelProperty(value = "固体废物污染环境要求")
    /** 固体废物污染环境要求 */
    private String requireSolid;

    @ApiModelProperty(value = "其他控制及管理要求")
    /** 其他控制及管理要求 */
    private String otherInformationRequire;

    @ApiModelProperty(value = "其他许可的内容")
    /** 其他许可的内容 */
    private String requireOthers;
}
