package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 排污许可水污染物特殊情况对象 b_main_poll_dis_water_sout
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可水污染物特殊情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisWaterSoutVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long soutId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    private String pollDisId;

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutantType;

    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    private String outletCode;

    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称 */
    private String outletName;

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutantsType;

    @ApiModelProperty(value = "许可排放时段")
    /** 许可排放时段 */
    private String pollutantsTimeFrame;

    @ApiModelProperty(value = "许可排放浓度限值")
    /** 许可排放浓度限值 */
    private String pollutantsConcentration;

    @ApiModelProperty(value = "许可日排放量限值")
    /** 许可日排放量限值 */
    private String pollutantsDis;

    @ApiModelProperty(value = "其他信息")
    /** 其他信息 */
    private String otherDetail;

}
