package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--钢铁-生产单元运行情况对象 b_stat_table_zxbg_gt_production
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--钢铁-生产单元运行情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgGtProductionVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "主要生产单元")
    /** 主要生产单元 */
    private String mainProductionUnit;


    @ApiModelProperty(value = "名称")
    /** 名称 */
    private String name;

    @ApiModelProperty(value = "数量")
    /** 数量 */
    private String quantity;

    @ApiModelProperty(value = "单位")
    /** 单位 */
    private String unit;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
