package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--污染治理设施正常情况汇总对象 b_stat_table_zxbg_wrzl_total
 *
 * @author szhpt
 * @date 2023-07-31*/
@ApiModel(value = "固定源产排治--执行报告--污染治理设施正常情况汇总")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgWrzlTotalVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "污染源类型")
    /** 污染源类型 */
    private String zxbgPollutant;

    @ApiModelProperty(value = "污染治理设施编号")
    /** 污染治理设施编号 */
    private String pollutionControlFacilityCode;

    @ApiModelProperty(value = "污染治理设施名称")
    /** 污染治理设施名称 */
    private String pollutionControlFacilityName;

    @ApiModelProperty(value = "运行参数")
    /** 运行参数 */
    private String processParameter;

    @ApiModelProperty(value = "数量")
    /** 数量 */
    private String amount;

    @ApiModelProperty(value = "单位")
    /** 单位 */
    private String unit;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
