package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 管控浓度超标预警对象 early_warning
 *
 * @author szhpt
 * @date 2023-04-24*/
@ApiModel(value = "管控浓度超标预警")
@EqualsAndHashCode(callSuper = false)
@Data
public class EarlyWarningVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String ewId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "行业编码")
    /** 行业编码 */
    private String industryCode;

    @ApiModelProperty(value = "在线监测点位id")
    /** 在线监测点位id */
    private String stationId;

    @ApiModelProperty(value = "预警时间")
    /** 预警时间 */
    private String warningTime;

    @ApiModelProperty(value = "预警内容")
    /** 预警内容 */
    private String warningContent;

    @ApiModelProperty(value = "入库时间")
    /** 入库时间 */
    private String createTime;

    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "在线监测点位名称")
    /** 在线监测点位名称 */
    private String stationName;

    @ApiModelProperty(value = "区县编码")
    /** 区县编码 */
    private String countryCode;

    @ApiModelProperty(value = "区县名称")
    /** 区县名称 */
    private String countryName;

}
