package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "企业精准画像分析-生态环境信用占比")
@EqualsAndHashCode(callSuper = false)
@Data
public class EnvironmentCreditPropVo {

    @ApiModelProperty(value = "A")
    private BigDecimal overviewA;
    @ApiModelProperty(value = "B")
    private BigDecimal overviewB;
    @ApiModelProperty(value = "C")
    private BigDecimal overviewC;
    @ApiModelProperty(value = "D")
    private BigDecimal overviewD;
    @ApiModelProperty(value = "E")
    private BigDecimal overviewE;

    @ApiModelProperty(value = "总数")
    private Integer enterprises;

}
