package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @className: FacilityInformationManagementVO
 * @description: TODO 类描述
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 11:07
 * @Company: Copyright© [2023/04/28 11:07] by [Mr.Yanghongtao]
 **/
@Data
@ApiModel(value = "设施信息管理VO")
public class FacilityInformationManagementVO {

    @ApiModelProperty(name = "deviceId",value = "设施ID")
    private String deviceId;

    @ApiModelProperty(name="deviceName",value = "设施名称")
    @Excel(name = "设施名称")
    private String deviceName;

    @ApiModelProperty(name = "workStep",value = "所在工序")
    private String workStep;

    @ApiModelProperty(name = "pollutantName",value = "排污许可设施名称")
    @Excel(name = "排污许可设施名称")
    private String pollutantName;

    @ApiModelProperty(name = "pollutantCode",value = "排污许可设施编号")
    @Excel(name = "排污许可设施编号")
    private String pollutantCode;

}
