package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Auther: cjh
 * @Date: 2023-04-27 15:20
 * @Class: FactoryDeviceVo
 * @Deseription:
 * @Version V1.0
 */
@Data
public class FactoryDeviceVo {

    @ApiModelProperty(value = "企业ID")
    private String factoryId;
    @ApiModelProperty(value = "企业名称")
    private String factoryName;
    @ApiModelProperty(value = "区域编码")
    private String cityCode;
    @ApiModelProperty(value = "区域名称")
    private String cityName;
    @ApiModelProperty(value = "行业编码")
    private String industry;
    @ApiModelProperty(value = "行业名称")
    private String industryName;
    @ApiModelProperty(value = "绩效级别")
    private String preConLevel;
    @ApiModelProperty(value = "设备ID")
    private String deviceId;
    @ApiModelProperty(value = "设备名称")
    private String deviceName;
    @ApiModelProperty(value = "设备类型")
    private String deviceType;
    @ApiModelProperty(value = "工序")
    private String workStep;
    @ApiModelProperty(value = "排污许可行业名称")
    /** 异常情况 */
    private String industryPermissionName;


}
