package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * bas_elec_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "重点排放行业分析-行业企业总览-行业危废产生及处置利用")
@EqualsAndHashCode(callSuper = false)
@Data
public class IndustrialHazardousWasteVo {

    private String particularYear;

    private String particularMonth;

    @ApiModelProperty(value = "废物类别")
    private String materialsType;

    @ApiModelProperty(value = "废物名称")
    private String materialsName;

    @ApiModelProperty(value = "废物代码")
    private String materialsCode;

    @ApiModelProperty(value = "贮存量")
    private String materialsStorage;

    @ApiModelProperty(value = "转移量")
    private String materialsAsFollows;

    @ApiModelProperty(value = "利用处置量")
    private String materialsUse;

    @ApiModelProperty(value = "污染物排放量行业排名")
    private String pollutantEmissionsIndustryRanking;

    @ApiModelProperty(value = "行业排放大户数量")
    private String majorEmittersInTheIndustryNumber;

}
