package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业接入数据类型对象 pc_adsl
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "企业接入数据类型")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcAdslVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long adslId;

    @ApiModelProperty(value = "接入数据类型编码")
    /** 接入数据类型编码 */
    private String adslName;

    @ApiModelProperty(value = "接入数据类型名称")
    /** 接入数据类型名称 */
    private String adslCode;

    @ApiModelProperty(value = "是否启用")
    /** 是否启用 */
    private String adslEnable;

}
