package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.utils.StringUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * @Description: 企业门禁坐标操作日志
 * @Author: code-generate
 * @Date:   2023-07-18
 * @Version: V1.0
 */
@ApiModel(value="pc_factory_access_control_coordinate_operation_logVo")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcFactoryAccessControlCoordinateOperationLogVo
{

	/**主键标识*/
    @ApiModelProperty(value = "主键标识")
    @Excel(name = "主键标识")
	private String logId;
	/**操作时间*/
    @ApiModelProperty(value = "操作时间")
    @Excel(name = "操作时间")
	private java.util.Date operationTime;
	/**门禁名称*/
    @ApiModelProperty(value = "门禁名称")
    @Excel(name = "门禁名称")
	private String accessControlName;
	/**操作前经度*/
    @ApiModelProperty(value = "操作前经度")
    @Excel(name = "操作前经度")
	private String beforeModifyLng;
	/**操作前纬度*/
    @ApiModelProperty(value = "操作前纬度")
    @Excel(name = "操作前纬度")
	private String beforeModifyLag;
	/**操作状态*/
    @ApiModelProperty(value = "操作状态")
    @Excel(name = "操作状态")
	private String operationStatus;
	/**操作后经度*/
    @ApiModelProperty(value = "操作后经度")
    @Excel(name = "操作后经度")
	private String afterModifyLng;
	/**操作后纬度*/
    @ApiModelProperty(value = "操作后纬度")
    @Excel(name = "操作后纬度")
	private String afterModifyLag;
	/**操作人*/
    @ApiModelProperty(value = "操作人")
    @Excel(name = "操作人")
	private String operator;
	/**操作人ID*/
    @ApiModelProperty(value = "操作人ID")
    @Excel(name = "操作人ID")
	private String operatorId;
	/**门禁编码*/
    @ApiModelProperty(value = "门禁编码")
    @Excel(name = "门禁编码")
	private String accessControlCode;
	/**企业ID*/
    @ApiModelProperty(value = "企业ID")
    @Excel(name = "企业ID")
	private String factoryId;

}
