package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.utils.StringUtils;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * @Description: 企业门禁信息
 * @Author: code-generate
 * @Date:   2023-07-18
 * @Version: V1.0
 */
@ApiModel(value="企业门禁信息出参")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcFactoryAccessControlVo
{
    @Excel(name = "序号")
    @TableField(exist = false)
    private Integer serialnumber;
	/**企业id*/
    @ApiModelProperty(value = "企业id")
	private String factoryId;
	/**门禁名称*/
    @ApiModelProperty(value = "门禁名称")
    @Excel(name = "门禁名称")
	private String accessControlName;
	/**门禁编码*/
    @ApiModelProperty(value = "门禁编码")
	private String accessControlCode;
	/**门禁经度*/
    @ApiModelProperty(value = "经度")
    @Excel(name = "经度")
	private String accessControlLng;
	/**门禁纬度*/
    @ApiModelProperty(value = "纬度")
    @Excel(name = "纬度")
	private String accessControlLat;

}
