package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.utils.StringUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * @Description: 企业坐标操作记录表
 * @Author: code-generate
 * @Date:   2023-07-18
 * @Version: V1.0
 */
@ApiModel(value="企业坐标操作记录表出参")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcFactoryCoordinateOperationLogVo
{

	/**主键标识*/
    @ApiModelProperty(value = "主键标识")
    @Excel(name = "主键标识")
	private String logId;
	/**操作时间*/
    @ApiModelProperty(value = "操作时间")
    @Excel(name = "操作时间")
	private java.util.Date operationTime;
	/**accessControlName*/
    @ApiModelProperty(value = "企业名称")
    @Excel(name = "企业名称")
	private String factoryName;
	/**beforeModifyLng*/
    @ApiModelProperty(value = "操作前经度")
    @Excel(name = "操作前经度")
	private String beforeModifyLng;
	/**beforeModifyLag*/
    @ApiModelProperty(value = "操作前纬度")
    @Excel(name = "操作前纬度")
	private String beforeModifyLag;
	/**operationStatus*/
    @ApiModelProperty(value = "操作状态")
    @Excel(name = "操作状态")
	private String operationStatus;
	/**afterModifyLng*/
    @ApiModelProperty(value = "操作后经度")
    @Excel(name = "操作后经度")
	private String afterModifyLng;
	/**afterModifyLag*/
    @ApiModelProperty(value = "操作后纬度")
    @Excel(name = "操作后纬度")
	private String afterModifyLag;
	/**operator*/
    @ApiModelProperty(value = "操作人")
    @Excel(name = "操作人")
	private String operator;
	/**operatorId*/
    @ApiModelProperty(value = "操作人id")
    @Excel(name = "操作人id")
	private String operatorId;
	/**factoryId*/
    @ApiModelProperty(value = "企业id")
    @Excel(name = "企业id")
	private String factoryId;

}
