package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业与污染物关系对象 pc_factory_pollutant
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "企业与污染物关系")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcFactoryPollutantVo
{


    @ApiModelProperty(value = "中间表id")
    /** 中间表id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "排口id")
    /** 排口id*/
    private String outletId;

    @ApiModelProperty(value = "污染物id")
    /** 污染物id*/
    private String pollutantId;

}
