package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业档案菜单管理对象 pc_menu
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "企业档案菜单管理")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcMenuVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "菜单名称")
    /** 菜单名称 */
    private String menuCode;

    @ApiModelProperty(value = "菜单编码")
    /** 菜单编码 */
    private String menuName;

    @ApiModelProperty(value = "是否启用")
    /** 是否启用 */
    private String menuIfUse;

}
