package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 污染物对象 pc_pollutant
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "污染物")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcPollutantVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "污染物类别")
    /** 污染物类别*/
    private String pollCategory;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称*/
    private String pollName;

    @ApiModelProperty(value = "污染物编码")
    /** 污染物编码*/
    private String pollCode;

    @ApiModelProperty(value = "污染物单位")
    /** 污染物单位*/
    private String pollUnit;

    @ApiModelProperty(value = "排放规律")
    /** 排放规律*/
    private String emissionsLaws;

    @ApiModelProperty(value = "执行标准")
    /** 执行标准*/
    private String executiveStandard;

}
