package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;

@ApiModel(value = "企业行业许可证发放情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcProfessionLicensingStatusVo {

    @ApiModelProperty(value = "x轴行业数据")
    private List<String> dataX;

    @ApiModelProperty(value = "行业许可证数据")
    private List<Map<String,Object>> series;
}
