package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 站房门禁监管信息对象 pc_station_building_entrance_gu
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "站房门禁监管信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcStationBuildingEntranceGuVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "站房id")
    /** 站房id*/
    private String stationBuildingId;

    @ApiModelProperty(value = "刷卡时间")
    /** 刷卡时间*/
    private String visitTime;

    @ApiModelProperty(value = "门禁卡号")
    /** 门禁卡号*/
    private String entranceGuardCode;

    @ApiModelProperty(value = "持卡人名称")
    /** 持卡人名称*/
    private String entranceGuardSignature;

    @ApiModelProperty(value = "门禁卡类型")
    /** 门禁卡类型*/
    private String entranceGuardType;

    @ApiModelProperty(value = "图片")
    /** 图片*/
    private String entranceGuardImage;

}
