package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 站房基本信息对象 pc_station_building
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "站房基本信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcStationBuildingVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "站房序号")
    /** 站房序号*/
    private String stationBuildingCode;

    @ApiModelProperty(value = "站房名称")
    /** 站房名称*/
    private String stationBuildingName;

    @ApiModelProperty(value = "CEMS设备品牌")
    /** CEMS设备品牌*/
    private String equipmentBrandCems;

    @ApiModelProperty(value = "对应监测点位id")
    /** 对应监测点位id*/
    private String stationId;

    @ApiModelProperty(value = "对应监测点位名称")
    /** 对应监测点位名称*/
    private String stationName;

    @ApiModelProperty(value = "对应排口id")
    /** 对应排口id*/
    private String outletId;

    @ApiModelProperty(value = "对应排口名称")
    /** 对应排口名称*/
    private String outletName;

}
