package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: weizhuang
 * @Date:2023/2/22 14:03
 * @Version 1.0
 */
@Data
@ApiModel("许可量要求")
public class PermitRequirementVo {

    @ApiModelProperty(value = "类型")
    private String vent;

    @ApiModelProperty(value = "污染物种类")
    private String pollutantsType;

    @ApiModelProperty(value = "第一年")
    private String pollutantsTotalFrist;

    @ApiModelProperty(value = "第二年")
    private String pollutantsTotalSecond;

    @ApiModelProperty(value = "第三年")
    private String pollutantsTotalThird;

    @ApiModelProperty(value = "第四年")
    private String pollutantsTotalFourth;

    @ApiModelProperty(value = "第五年")
    private String pollutantsTotalFifth;

}
