package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 日常检查信息对象 s_integrated_routine_inspection
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "日常检查信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class SIntegratedRoutineInspectionVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "年份")
    /** 年份*/
    private String particularYear;

    @ApiModelProperty(value = "检查轮次")
    /** 检查轮次*/
    private String checkRounds;

    @ApiModelProperty(value = "检查时间")
    /** 检查时间*/
    private String checkTime;

    @ApiModelProperty(value = "检查人员")
    /** 检查人员*/
    private String inspector;

    @ApiModelProperty(value = "检查评分")
    /** 检查评分*/
    private String checkScore;

    @ApiModelProperty(value = "总分")
    /** 总分*/
    private String totalPoints;

    @ApiModelProperty(value = "审查类型")
    /** 审查类型*/
    private String reviewTypes;

    @ApiModelProperty(value = "审核状态")
    /** 审核状态*/
    private String reviewStatus;

}
