package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 基本信息-废气、废水排口档案-动态管控信息调整 -参数与企业关联对象 s_main_dynamic_control_factory
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "基本信息-废气、废水排口档案-动态管控信息调整 -参数与企业关联")
@EqualsAndHashCode(callSuper = false)
@Data
public class SMainDynamicControlFactoryVo
{

    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排口id")
    /** 排口id */
    private String outletId;

    @ApiModelProperty(value = "实测值")
    /** 实测值 */
    private String measuredValue;

    @ApiModelProperty(value = "验收标准值")
    /** 验收标准值 */
    private String standardValue;

}
