package cn.cecep.talroad.vo.analysis;

import cn.cecep.talroad.domain.analysis.PcRaProblemType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 问题分类对象 pc_ra_problem_type
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "问题分类")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcRaProblemTypeVo
{

    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "分类名称")
    private String name;

    @ApiModelProperty(value = "父分类id")
    private String parentId;

    @ApiModelProperty(value = "排序")
    private Long sort;

    @ApiModelProperty(value = "问题分类路径")
    private List<PcRaProblemType> path;

    @ApiModelProperty(value = "详情跳转路由")
    private String route;

}
