package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 关联分析系统-企业生产过程分析-监测点位对比分析-分组对象 s_ra_real_time_analysic_comsit
 *
 * @author szhpt
 * @date 2023-07-14*/
@ApiModel(value = "关联分析系统-企业生产过程分析-监测点位对比分析-分组")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaRealTimeAnalysicComsitVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private Long dataId;

    @ApiModelProperty(value = "分组名称")
    /** 分组名称 */
    private String sectionalizationName;

    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    private String paramName;

    @ApiModelProperty(value = "数据分析时间")
    /** 数据分析时间 */
    private String analysisTime;

    @ApiModelProperty(value = "监测点数量")
    /** 监测点数量 */
    private Long stationNum;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "平均值")
    /** 平均值 */
    private String avgValue;

}
