package cn.cecep.talroad.vo.effective;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zhangshiji
 * @date 2022/9/20
 */
@ApiModel
@Data
public class BasYearTargetVo {

    @ApiModelProperty(value = "pm25目标值")
    private BigDecimal pm25Target;
    @ApiModelProperty(value = "pm25锁定状态")
    private boolean pm25Lock;
    @ApiModelProperty(value = "pm10目标值")
    private BigDecimal pm10Target;
    @ApiModelProperty(value = "pm10锁定状态")
    private boolean pm10Lock;
    @ApiModelProperty(value = "so2目标值")
    private BigDecimal so2Target;
    @ApiModelProperty(value = "so2锁定状态")
    private boolean so2Lock;
    @ApiModelProperty(value = "no2目标值")
    private BigDecimal no2Target;
    @ApiModelProperty(value = "no2锁定状态")
    private boolean no2Lock;
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty(value = "co目标值")
    private BigDecimal coTarget;
    @ApiModelProperty(value = "co锁定状态")
    private boolean coLock;
    @ApiModelProperty(value = "o38h目标值")
    private BigDecimal o38hTarget;
    @ApiModelProperty(value = "o38h锁定状态")
    private boolean o38hLock;
    @ApiModelProperty(value = "优良天数")
    private BigDecimal goodDaysTarget;
    @ApiModelProperty(value = "优良天数锁定状态")
    private boolean goodDaysLock;
    @ApiModelProperty(value = "重污染天数")
    private BigDecimal heavyDaysTarget;
    @ApiModelProperty(value = "重污染天数锁定状态")
    private boolean heavyDaysLock;
    private BigDecimal o38hOverDaysTarget;
    private BigDecimal coOverDaysTarget;
}
