package cn.cecep.talroad.vo.effective;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "企业整改效果完成情况展示类")
public class FactoryRectificationEffectCountVO {
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String factoryName;
    @ApiModelProperty(value = "行业类别")
    @Excel(name = "行业类别")
    private String indusName;
    @ApiModelProperty(value = "区县名称")
    @Excel(name = "区县名称")
    private String countryName;
    @ApiModelProperty(value = "完成数量")
    @Excel(name = "完成数量")
    private Integer finishCount;
    @ApiModelProperty(value = "未完成数量")
    @Excel(name = "未完成数量")
    private Integer unFinishCount;
    @ApiModelProperty(value = "按时完成数量")
    @Excel(name = "按时完成数量")
    private Integer inTimeFinishCount;
    @ApiModelProperty(value = "延期完成数量")
    @Excel(name = "延期完成数量")
    private Integer outTimeFinishCount;
    @ApiModelProperty(value = "延期未完成数量")
    @Excel(name = "延期未完成数量")
    private Integer outTimeUnFinishCount;
    @ApiModelProperty(value = "按时完成率")
    @Excel(name = "按时完成率")
    private String inTimeFinishedRate;
}
