package cn.cecep.talroad.vo.effective;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhangshiji
 * @date 2022/8/26
 */
@Data
@ApiModel(value = "报告列表查询参数VO")
public class QReportParamVo {
    /**
     * 报告参数
     */
    @ApiModelProperty(value = "文件类型")
    private Integer fileType;
    @ApiModelProperty(value = "报告类型")
    private Integer reportType;
    @ApiModelProperty(value = "报告名称")
    private String reportName;
    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    /**
     * 模板参数
     */
    @ApiModelProperty(value = "模板类型")
    private Integer templateCategory;
    @ApiModelProperty(value = "模板时间类型")
    private Integer templateTimeType;
    @ApiModelProperty(value = "模板名称")
    private String templateName;



    @ApiModelProperty(value = "页码")
    private Integer pageNum;
    @ApiModelProperty(value = "条数")
    private Integer pageSize;


    private String regionCode;
}
