package cn.cecep.talroad.vo.export;

import cn.cecep.talroad.common.core.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @Author: wyg
 * @Description:
 * @Date: 2023/6/16 18:12
 * @Version: 1.0
 */
@Data
public class PcNationalCountyRankingExport {
    /**
     * 主键id
     */
//    @Excel(name = "序号")
    private Integer id;


    /**
     * 市级名称
     */
    @Excel(name = "城市名称")
    private String allname;

    @Excel(name = "排名")
    private String index;
    /**
     * AQI
     */
    @Excel(name = "AQI")
    private String aqi;
    /**
     * pm10
     */
    @Excel(name = "PM₁₀(μg/m3)")
    private String pm10;
    /**
     * pm25
     */
    @Excel(name = "PM₂.₅(μg/m3)")
    private String pm25;
    /**
     * so2
     */
    @Excel(name = "SO₂(μg/m3)")
    private String so2;
    /**
     * no2
     */
    @Excel(name = "NO₂(μg/m3)")
    private String no2;
    /**
     * co
     */
    @Excel(name = "CO(μg/m3)")
    private String co;
    /**
     * o3
     */
    @Excel(name = "O₃(μg/m3)")
    private String o3;


    /**
     * 县名称
     */
//    @Excel(name = "县名称")
    private String countryname;



    /**
     * 爬取的城市名称

     @Excel(name = "县名称")
     private Integer allname;
     */

    /**
     * 最大污染物
     */
    @Excel(name = "首要污染物")
    private String maxpollution;



    /**
     * 数据时间 小时
     */
//    @Excel(name = "数据时间")
    private Date dateTime;


    private String type;
    private String dateType;
    private String date;


}
