package cn.cecep.talroad.vo.homepage;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@ApiModel(value = "大屏-在线监控分析--企业问题TOP10")
@EqualsAndHashCode(callSuper = false)
@Data
public class EnterpriseIssuesTopVo implements Serializable
{

    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @ApiModelProperty(value = "预警数")
    private String warning;

    @ApiModelProperty(value = "报警数")
    private String exceeding;

    @ApiModelProperty(value = "异常数")
    private String abnormal;

    @ApiModelProperty(value = "问题数")
    private String problem;

}
