package cn.cecep.talroad.vo.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 分表计电设备信息对象 bas_elec_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "首页-企业总揽")
@EqualsAndHashCode(callSuper = false)
@Data
public class HpmCompanyOverviewVo implements Serializable
{

    @ApiModelProperty(value = "排污单位总数")
    private String overviewPollutingUnits;
    @ApiModelProperty(value = "重点排污单位数")
    private String overviewPollutingEmphasis;
    @ApiModelProperty(value = "重点管理")
    private String overviewKeyManagement;
    @ApiModelProperty(value = "简化管理")
    private String overviewSimplifyManagement;
    @ApiModelProperty(value = "限期整改")
    private String overviewAbarbeitungTimes;
    @ApiModelProperty(value = "登记管理")
    private String overviewRegisterManagement;

    @ApiModelProperty(value = "涉水企业")
    private String waterEnterprise;
    @ApiModelProperty(value = "主要排口")
    private String waterMainOutlet;
    @ApiModelProperty(value = "一般排口")
    private String waterOrdinaryOutlet;
    @ApiModelProperty(value = "雨水排口")
    private String waterRainwaterOutlet;
    @ApiModelProperty(value = "涉气企业")
    private String airEnterprise;
    @ApiModelProperty(value = "主要排口")
    private String airMainOutlet;
    @ApiModelProperty(value = "一般排口")
    private String airOrdinaryOutlet;

    @ApiModelProperty(value = "无组织管控")
    private String airInorganization;

    @ApiModelProperty(value = "涉废企业")
    private String wasteEnterprise;
    @ApiModelProperty(value = "涉固废企业")
    private String solidWasteEnterprise;
    @ApiModelProperty(value = "涉危废企业")
    private String hazardousWasteEnterprise;

    @ApiModelProperty(value = "工业园区占比")
    private BigDecimal whetherLocalParkProp;
}
