package cn.cecep.talroad.vo.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;


/**
 *
 * @author lisong
 * @date 2023-06-20*/
@ApiModel(value = "首页-许可要求-排放跟踪")
@EqualsAndHashCode(callSuper = false)
@Data
public class HpmEmissionTrackingMonVo
{
	@ApiModelProperty(value = "排放指标名称")
    private String name;
	@ApiModelProperty(value = "单位")
    private String unit;
	@ApiModelProperty(value = "月份")
	private List<String> xData;
	@ApiModelProperty(value = "排放量")
	private List<BigDecimal> yData;
	
}
