package cn.cecep.talroad.vo.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 地图首页弹出层
 *
 * @author szhpt
 * @date 2023-01-10
 */
@ApiModel(value = "首页-地图点位企业坐标弹出层VO")
@EqualsAndHashCode(callSuper = false)
@Data
public class HpmEnterprisePopVo {

    @ApiModelProperty(value = "排污单位名称")
    private String factoryName;

    @ApiModelProperty(value = "企业标签列表")
    private List<String> factoryLabelList;

    @ApiModelProperty(value = "行业类别")
    private String industryCategory;

    @ApiModelProperty(value = "市")
    private String cityName;

    @ApiModelProperty(value = "县")
    private String countryName;

    @ApiModelProperty(value = "是否重点排污单位")
    private String wipollunit;

    @ApiModelProperty(value = "生产经营场所地址")
    private String prodBusiOperation;

//    @ApiModelProperty(value = "排放趋势")
//    private EChartsVO.SeriesObj emissionTrend;
//
//    @ApiModelProperty(value = "产量趋势")
//    private EChartsVO.SeriesObj yieldTrend;
}
