package cn.cecep.talroad.vo.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@ApiModel(value = "大屏-视频监控分析-视频与门禁监控总览")
@EqualsAndHashCode(callSuper = false)
@Data
public class ProportionVideoMonitorsVo implements Serializable
{

    @ApiModelProperty(value = "视频监控企业数")
    private BigDecimal videoEnterprise;

    @ApiModelProperty(value = "视频监控数量")
    private BigDecimal videoNumber;

    @ApiModelProperty(value = "门禁监控企业数")
    private BigDecimal accessControlEnterprise;

    @ApiModelProperty(value = "门禁监控数量")
    private BigDecimal accessControlNumber;
    private Date eaTime;

}
