package cn.cecep.talroad.vo.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;


@ApiModel(value = "大屏-在线监测-区域在线监测有效监测率及超标率")
@EqualsAndHashCode(callSuper = false)
@Data
public class RegionalOnlineMonitoringVo implements Serializable
{

    @ApiModelProperty(value = "区域名称")
    private String regionName;
    @ApiModelProperty(value = "区域编码")
    private String districtCode;

    @ApiModelProperty(value = "监测点位数量")
    private String numberMonitoringPoints;

    @ApiModelProperty(value = "有效监测率")
    private String monitoringRate;

    @ApiModelProperty(value = "超标率")
    private String excessRate;

    private BigDecimal total;

    private BigDecimal divisor;
    @ApiModelProperty(value = "许可行业名称")
    private String industryPermissionName;
}
