package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.OdsOnlineOlStopinfoA;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 【请填写功能名称】对象 ods_online_ol_stopinfo_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "【请填写功能名称】")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsOnlineOlStopinfoAQuery extends PageQuery
{

    @ApiModelProperty(value = "$column.columnComment")
    private String id;
    @ApiModelProperty(value = "$column.columnComment")
    private String factoryId;
    @ApiModelProperty(value = "$column.columnComment")
    private String portNum;
    @ApiModelProperty(value = "$column.columnComment")
    private String portName;
    @ApiModelProperty(value = "$column.columnComment")
    private String startTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String endTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String dcsType;
    @ApiModelProperty(value = "$column.columnComment")
    private String operator;
    @ApiModelProperty(value = "$column.columnComment")
    private String reason;
    @ApiModelProperty(value = "$column.columnComment")
    private String createTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String updateTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String deleteTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String enable;
    @ApiModelProperty(value = "$column.columnComment")
    private String infoSources;
    @ApiModelProperty(value = "$column.columnComment")
    private String userId;
    @ApiModelProperty(value = "$column.columnComment")
    private String remarks;
    @ApiModelProperty(value = "$column.columnComment")
    private String startTimeFormat;
    @ApiModelProperty(value = "$column.columnComment")
    private String endTimeFormat;
    @ApiModelProperty(value = "$column.columnComment")
    private String createTimeFormat;
    @ApiModelProperty(value = "$column.columnComment")
    private String checkTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String checkUserId;
    @ApiModelProperty(value = "$column.columnComment")
    private String checkUserName;
    @ApiModelProperty(value = "$column.columnComment")
    private Long checkStatus;
    @ApiModelProperty(value = "$column.columnComment")
    private String checkRemarks;
    @ApiModelProperty(value = "$column.columnComment")
    private Long startTimeUnix;
    @ApiModelProperty(value = "$column.columnComment")
    private Long endTimeUnix;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<OdsOnlineOlStopinfoA> createLambdaQueryWrapper(OdsOnlineOlStopinfoAQuery query) {
        QueryWrapper<OdsOnlineOlStopinfoA> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortNum()), "port_num", query.getPortNum());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortName()), "port_name", query.getPortName());
        wrapper.eq(ObjectUtil.isNotNull(query.getStartTime()), "start_time", query.getStartTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getEndTime()), "end_time", query.getEndTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getDcsType()), "dcs_type", query.getDcsType());
        wrapper.eq(ObjectUtil.isNotNull(query.getOperator()), "operator", query.getOperator());
        wrapper.eq(ObjectUtil.isNotNull(query.getReason()), "reason", query.getReason());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeleteTime()), "delete_time", query.getDeleteTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getEnable()), "enable", query.getEnable());
        wrapper.eq(ObjectUtil.isNotNull(query.getInfoSources()), "info_sources", query.getInfoSources());
        wrapper.eq(ObjectUtil.isNotNull(query.getUserId()), "user_id", query.getUserId());
        wrapper.eq(ObjectUtil.isNotNull(query.getRemarks()), "remarks", query.getRemarks());
        wrapper.eq(ObjectUtil.isNotNull(query.getStartTimeFormat()), "start_time_format", query.getStartTimeFormat());
        wrapper.eq(ObjectUtil.isNotNull(query.getEndTimeFormat()), "end_time_format", query.getEndTimeFormat());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTimeFormat()), "create_time_format", query.getCreateTimeFormat());
        wrapper.eq(ObjectUtil.isNotNull(query.getCheckTime()), "check_time", query.getCheckTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCheckUserId()), "check_user_id", query.getCheckUserId());
        wrapper.eq(ObjectUtil.isNotNull(query.getCheckUserName()), "check_user_name", query.getCheckUserName());
        wrapper.eq(ObjectUtil.isNotNull(query.getCheckStatus()), "check_status", query.getCheckStatus());
        wrapper.eq(ObjectUtil.isNotNull(query.getCheckRemarks()), "check_remarks", query.getCheckRemarks());
        wrapper.eq(ObjectUtil.isNotNull(query.getStartTimeUnix()), "start_time_unix", query.getStartTimeUnix());
        wrapper.eq(ObjectUtil.isNotNull(query.getEndTimeUnix()), "end_time_unix", query.getEndTimeUnix());
        return wrapper;
        }
}
