package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 基本信息-废气、废水排口档案-动态管控信息对象 s_main_dynamic_control
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "基本信息-废气、废水排口档案-动态管控信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class SMainDynamicControlQuery extends PageQuery
{
    @ApiModelProperty(value = "排口id")
    private String outletId;
}
