package cn.cecep.talroad.vo.query.analysis;

import cn.cecep.talroad.domain.analysis.SRaEmissionsStatistics;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

@EqualsAndHashCode(callSuper = false)
@Data
public class SREStatisticsQuery extends SRaEmissionsStatistics {

    private Date problemTimeStart;

    private Date problemTimeEnd;

    private String problemTimeStr;

    private String factoryName;

    private String type;

    private List<String> regionCodes;

}