package cn.cecep.talroad;


import cn.cecep.talroad.common.security.annotation.EnableCustomConfig;
import cn.cecep.talroad.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 多元融合
 *
 * @author talroad
 */
@EnableScheduling
@EnableCustomConfig
@EnableCustomSwagger2
//@EnableDiscoveryClient
//@EnableRyFeignClients
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class TaskApplication {
    public static void main(String[] args) {
        SpringApplication.run(TaskApplication.class, args);
    }
}
