//package cn.cecep.talroad.config;
//
//import org.springframework.amqp.core.Binding;
//import org.springframework.amqp.core.BindingBuilder;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//
///**
// * @Auther: cjh
// * @Date: 2023-04-17 15:20
// * @Class: RabbitmqConfig
// * @Deseription:
// * @Version V1.0
// */
//@Configuration
//public class RabbitmqConfig {
//
//    /**
//     * 停限产设备状态路由
//     */
//    public static final String ROUTE_KEY_STATUS = "route_key_status";
//    /**
//     * 产量统计路由
//     */
//    public static final String ROUTE_KEY_YIELD = "route_key_yield";
//
//    @Autowired
//    private QueueConfig queueConfig;
//    @Autowired
//    private ExchangeConfig exchangeConfig;
//
//    /**
//     * 将停限产状态消息队列和交换机进行绑定
//     */
//    @Bean
//    public Binding binding_statusQueue() {
//        return BindingBuilder.bind(queueConfig.statusQueue()).to(exchangeConfig.directExchange()).with(RabbitmqConfig.ROUTE_KEY_STATUS);
//    }
//
//    /**
//     * 将产量统计队列和交换机进行绑定
//     */
//    @Bean
//    public Binding binding_yieldQueue() {
//        return BindingBuilder.bind(queueConfig.yieldQueue()).to(exchangeConfig.directExchange()).with(RabbitmqConfig.ROUTE_KEY_YIELD);
//    }
//
//}
