package cn.cecep.talroad.data.analyse.task.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author hehongyu
 * @description: 企业传输率 简易实体
 * @date 2023/6/28 23:35
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SimpleSRaFactoryTransferRateAnalysis {

    @ApiModelProperty(value = "企业id")
    private String factoryId;

    @ApiModelProperty(value = "分表计电-传输率")
    private BigDecimal elecTransmissionRate;

    @ApiModelProperty(value = "无组织管控-传输率")
    private BigDecimal unorganizedTransmissionRate;

    @ApiModelProperty(value = "dcs监控数据-传输率-工况")
    private BigDecimal dcsTransmissionRate;

    @ApiModelProperty(value = "在线监测-传输率")
    private BigDecimal onlineMonitoringRate;

}
