package cn.cecep.talroad.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @className: BasDcsOperationLog
 * @description: TODO 类描述
 * @author: Mr.Yanghongtao
 * @date: 2023/04/28 15:24
 * @Company: Copyright© [2023/04/28 15:24] by [Mr.Yanghongtao]
 **/

/**
 * DCS系统参数设置操作日志
 */
@ApiModel(value = "DCS系统参数设置操作日志")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("bas_dcs_operation_log")
public class BasDcsOperationLog {
    private String logId;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date operationTime;
    private String workProcedure;
    private String deviceId;
    private String deviceName;
    private String paramName;
    private String beforeModifyParamUnit;
    private String beforeModifyNormalValue;
    private String afterModifyNormalValue;
    private String operator;
    private String operatorId;
    private String factoryId;
    private String afterModifyParamUnit;
    private String beforeModifyMinValue;
    private String afterModifyMinValue;
    private String beforeModifyMaxValue;
    private String afterModifyMaxValue;

    // 省略getter/setter方法
}
