package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 【请填写功能名称】对象 ods_online_ol_stopinfo_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "【请填写功能名称】")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ods_online_ol_stopinfo_a")
public class OdsOnlineOlStopinfoA extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String factoryId;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String portNum;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String portName;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date startTime;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date endTime;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dcsType;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String operator;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String reason;






    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private Date deleteTime;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String enable;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String infoSources;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String userId;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String remarks;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private Date startTimeFormat;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private Date endTimeFormat;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private Date createTimeFormat;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private Date checkTime;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private String checkUserId;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String checkUserName;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long checkStatus;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String checkRemarks;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long startTimeUnix;


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long endTimeUnix;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("portNum", getPortNum())
            .append("portName", getPortName())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("dcsType", getDcsType())
            .append("operator", getOperator())
            .append("reason", getReason())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("deleteTime", getDeleteTime())
            .append("enable", getEnable())
            .append("infoSources", getInfoSources())
            .append("userId", getUserId())
            .append("remarks", getRemarks())
            .append("startTimeFormat", getStartTimeFormat())
            .append("endTimeFormat", getEndTimeFormat())
            .append("createTimeFormat", getCreateTimeFormat())
            .append("checkTime", getCheckTime())
            .append("checkUserId", getCheckUserId())
            .append("checkUserName", getCheckUserName())
            .append("checkStatus", getCheckStatus())
            .append("checkRemarks", getCheckRemarks())
            .append("startTimeUnix", getStartTimeUnix())
            .append("endTimeUnix", getEndTimeUnix())
            .toString();
    }
}
