package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 生产设施对象 pc_production_facility
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "生产设施")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pc_production_facility")
public class PcProductionFacility extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "中间表id")
    /** 中间表id */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .toString();
    }
}
