package cn.cecep.talroad.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
    * 产量趋势指标码表
    */
@ApiModel(value="产量趋势指标码表")
@Data
public class PcYieldTrend{
    /**
    * 字典主键
    */
    @ApiModelProperty(value="字典主键")
    private Long dictId;

    /**
    * 大类(生产工艺)
    */
    @ApiModelProperty(value="大类(生产工艺)")
    private String large;

    /**
    * 小类(指标)
    */
    @ApiModelProperty(value="小类(指标)")
    private String small;

    /**
    * 是否使用 0-否,1-是
    */
    @ApiModelProperty(value="是否使用 0-否,1-是")
    private String open;

    /**
    * 字典编码
    */
    @ApiModelProperty(value="字典编码")
    private String code;

    /**
    * 行业
    */
    @ApiModelProperty(value="行业")
    private String industry;

    /**
     * 单位
     */
    @ApiModelProperty(value="单位")
    private String unit;
}