//package cn.cecep.talroad.domain;
//
//import io.swagger.annotations.ApiModelProperty;
//import lombok.AllArgsConstructor;
//import lombok.Data;
//import lombok.NoArgsConstructor;
//import org.springframework.data.annotation.Id;
//
//
//import java.io.Serializable;
//import java.math.BigDecimal;
//
///**
// ** 站点小时数据表
// */
//@Data
//@NoArgsConstructor
//@AllArgsConstructor
//@Document(indexName = "q_envgas_station_minute", shards = 3, replicas = 1)
//public class QEnvgasStationMinute implements Serializable {
//
//    @Id
//    @Field(type = FieldType.Keyword)
//    private String id;
//
//    @ApiModelProperty(value = "数据时间")
//    @Field(type = FieldType.Keyword)
//    private String data_time;
//
//    @ApiModelProperty(value = "站点编号")
//    @Field(type = FieldType.Keyword)
//    private String station_code;
//
//    @ApiModelProperty(value = "AQI")
//    @Field(type = FieldType.Integer)
//    private Integer aqi;
//
//    @ApiModelProperty(value = "综合指数")
//    @Field(type = FieldType.Double)
//    private BigDecimal pmi;
//
//    @ApiModelProperty(value = "区间最大综合指数")
//    @Field(type = FieldType.Double)
//    private BigDecimal max_ipmi;
//
//    @ApiModelProperty(value = "首要污染物")
//    @Field(type = FieldType.Double)
//    private String fk_pollutant_id;
//
//    @ApiModelProperty(value = "空气质量级别")
//    @Field(type = FieldType.Double)
//    private Integer fk_aqilevel_id;
//
//    @ApiModelProperty(value = "臭氧综合指数")
//    @Field(type = FieldType.Double)
//    private BigDecimal ipmi_o3;
//
//    @ApiModelProperty(value = "总悬浮颗粒物")
//    @Field(type = FieldType.Double)
//    private BigDecimal tsp;
//
//    @ApiModelProperty(value = "氮氧化物")
//    @Field(type = FieldType.Double)
//    private BigDecimal nox;
//
//    @ApiModelProperty(value = "TVOC")
//    @Field(type = FieldType.Double)
//    private BigDecimal tvoc;
//
//    @ApiModelProperty(value = "二氧化硫")
//    @Field(type = FieldType.Double)
//    private BigDecimal so2;
//
//    @ApiModelProperty(value = "二氧化氮")
//    @Field(type = FieldType.Double)
//    private BigDecimal no2;
//
//    @ApiModelProperty(value = "PM10")
//    @Field(type = FieldType.Double)
//    private BigDecimal pm10;
//
//    @ApiModelProperty(value = "PM2.5")
//    @Field(type = FieldType.Double)
//    private BigDecimal pm25;
//
//    @ApiModelProperty(value = "一氧化碳")
//    @Field(type = FieldType.Double)
//    private BigDecimal co;
//
//    @ApiModelProperty(value = "臭氧")
//    @Field(type = FieldType.Double)
//    private BigDecimal o3;
//
//    @ApiModelProperty(value = "温度")
//    @Field(type = FieldType.Double)
//    private BigDecimal temp;
//
//    @ApiModelProperty(value = "湿度")
//    @Field(type = FieldType.Double)
//    private BigDecimal humi;
//
//    @ApiModelProperty(value = "风速")
//    @Field(type = FieldType.Double)
//    private BigDecimal winds;
//
//    @ApiModelProperty(value = "风向")
//    @Field(type = FieldType.Double)
//    private BigDecimal windd;
//
//    @ApiModelProperty(value = "气压")
//    @Field(type = FieldType.Double)
//    private BigDecimal pres;
//
//    @ApiModelProperty(value = "一氧化氮")
//    @Field(type = FieldType.Double)
//    private BigDecimal no;
//
//    @ApiModelProperty(value = "能见度")
//    @Field(type = FieldType.Double)
//    private BigDecimal vis;
//
//    @ApiModelProperty(value = "降水强度")
//    @Field(type = FieldType.Double)
//    private BigDecimal pi;
//
//    @ApiModelProperty(value = "风力级别")
//    @Field(type = FieldType.Double)
//    private String wind_level;
//
//    @ApiModelProperty(value = "风向")
//    @Field(type = FieldType.Double)
//    private String wind_direction;
//
//    @ApiModelProperty(value = "二氧化硫分指数")
//    @Field(type = FieldType.Double)
//    private Integer iaqi_so2;
//
//    @ApiModelProperty(value = "二氧化硫综合指数")
//    @Field(type = FieldType.Double)
//    private BigDecimal ipmi_so2;
//
//    @ApiModelProperty(value = "二氧化氮分指数")
//    @Field(type = FieldType.Double)
//    private Integer iaqi_no2;
//
//    @ApiModelProperty(value = "二氧化氮综合指数")
//    @Field(type = FieldType.Double)
//    private BigDecimal ipmi_no2;
//
//    @ApiModelProperty(value = "PM10分指数")
//    @Field(type = FieldType.Double)
//    private Integer iaqi_pm10;
//
//    @ApiModelProperty(value = "PM10综合指数")
//    @Field(type = FieldType.Double)
//    private BigDecimal ipmi_pm10;
//
//    @ApiModelProperty(value = "一氧化碳分指数")
//    @Field(type = FieldType.Double)
//    private Integer iaqi_co;
//
//    @ApiModelProperty(value = "一氧化碳综合指数")
//    @Field(type = FieldType.Double)
//    private BigDecimal ipmi_co;
//
//    @ApiModelProperty(value = "臭氧分指数")
//    @Field(type = FieldType.Double)
//    private Integer iaqi_o3;
//
//    @ApiModelProperty(value = "PM2.5分指数")
//    @Field(type = FieldType.Double)
//    private Integer iaqi_pm25;
//
//    @ApiModelProperty(value = "PM2.5综合指数")
//    @Field(type = FieldType.Double)
//    private BigDecimal ipmi_pm25;
//
//    @ApiModelProperty(value = "二氧化硫是否超标")
//    @Field(type = FieldType.Integer)
//    private Integer so2_is_over;
//
//    @ApiModelProperty(value = "二氧化硫区间最大值")
//    @Field(type = FieldType.Double)
//    private BigDecimal so2_max_value;
//
//    @ApiModelProperty(value = "二氧化硫区间最小值")
//    @Field(type = FieldType.Double)
//    private BigDecimal so2_min_value;
//
//    @ApiModelProperty(value = "二氧化氮是否超标")
//    @Field(type = FieldType.Integer)
//    private Integer no2_is_over;
//
//    @ApiModelProperty(value = "二氧化氮区间最大值")
//    @Field(type = FieldType.Double)
//    private BigDecimal no2_max_value;
//
//    @ApiModelProperty(value = "二氧化氮区间最小值")
//    @Field(type = FieldType.Double)
//    private BigDecimal no2_min_value;
//
//    @ApiModelProperty(value = "PM10是否超标")
//    @Field(type = FieldType.Integer)
//    private Integer pm10_is_over;
//
//    @ApiModelProperty(value = "PM10区间最大值")
//    @Field(type = FieldType.Double)
//    private BigDecimal pm10_max_value;
//
//    @ApiModelProperty(value = "PM10区间最小值")
//    @Field(type = FieldType.Double)
//    private BigDecimal pm10_min_value;
//
//    @ApiModelProperty(value = "PM2.5是否超标")
//    @Field(type = FieldType.Integer)
//    private Integer pm25_is_over;
//
//    @ApiModelProperty(value = "PM2.5区间最大值")
//    @Field(type = FieldType.Double)
//    private BigDecimal pm25_max_value;
//
//    @ApiModelProperty(value = "PM2.5区间最小值")
//    @Field(type = FieldType.Double)
//    private BigDecimal pm25_min_value;
//
//    @ApiModelProperty(value = "一氧化碳是否超标")
//    @Field(type = FieldType.Integer)
//    private Integer co_is_over;
//
//    @ApiModelProperty(value = "一氧化碳区间最大值")
//    @Field(type = FieldType.Double)
//    private BigDecimal co_max_value;
//
//    @ApiModelProperty(value = "一氧化碳区间最小值")
//    @Field(type = FieldType.Double)
//    private BigDecimal co_min_value;
//
//    @ApiModelProperty(value = "臭氧是否超标")
//    @Field(type = FieldType.Integer)
//    private Integer o3_is_over;
//
//    @ApiModelProperty(value = "臭氧区间最大值")
//    @Field(type = FieldType.Double)
//    private BigDecimal o3_max_value;
//
//    @ApiModelProperty(value = "臭氧区间最小值")
//    @Field(type = FieldType.Double)
//    private BigDecimal o3_min_value;
//
//    @ApiModelProperty(value = "温度是否超标")
//    @Field(type = FieldType.Integer)
//    private Integer temp_is_over;
//
//    @ApiModelProperty(value = "温度区间最大值")
//    @Field(type = FieldType.Double)
//    private BigDecimal temp_max_value;
//
//    @ApiModelProperty(value = "温度区间最小值")
//    @Field(type = FieldType.Double)
//    private BigDecimal temp_min_value;
//
//    @ApiModelProperty(value = "湿度是否超标")
//    @Field(type = FieldType.Integer)
//    private Integer humi_is_over;
//
//    @ApiModelProperty(value = "湿度区间最大值")
//    @Field(type = FieldType.Double)
//    private BigDecimal humi_max_value;
//
//    @ApiModelProperty(value = "湿度区间最小值")
//    @Field(type = FieldType.Double)
//    private BigDecimal humi_min_value;
//
//    @ApiModelProperty(value = "风速是否超标")
//    @Field(type = FieldType.Integer)
//    private Integer winds_is_over;
//
//    @ApiModelProperty(value = "风速区间最大值")
//    @Field(type = FieldType.Double)
//    private BigDecimal winds_max_value;
//
//    @ApiModelProperty(value = "风速区间最小值")
//    @Field(type = FieldType.Double)
//    private BigDecimal winds_min_value;
//
//    @ApiModelProperty(value = "气压是否超标")
//    @Field(type = FieldType.Integer)
//    private Integer pres_is_over;
//
//    @ApiModelProperty(value = "气压区间最大值")
//    @Field(type = FieldType.Double)
//    private BigDecimal pres_max_value;
//
//    @ApiModelProperty(value = "气压区间最小值")
//    @Field(type = FieldType.Double)
//    private BigDecimal pres_min_value;
//
//    @ApiModelProperty(value = "创建时间")
//    @Field(type = FieldType.Keyword)
//    private String create_time;
//
//    @ApiModelProperty(value = "更新时间")
//    @Field(type = FieldType.Keyword)
//    private String updateTime;
//
//
//    @ApiModelProperty(value = "Url")
//    @Field(type = FieldType.Keyword)
//    private String cd_resource_url;
//
//
//    @ApiModelProperty(value = "名称")
//    @Field(type = FieldType.Keyword)
//    private String cd_resource_name;
//
//
//    @ApiModelProperty(value = "类型")
//    @Field(type = FieldType.Keyword)
//    private String cd_resource_type;
//
//
//    @ApiModelProperty(value = "等级")
//    @Field(type = FieldType.Keyword)
//    private String cd_resource_level;
//
//
//    @ApiModelProperty(value = "区域等级")
//    @Field(type = FieldType.Keyword)
//    private String cd_resource_region_level;
//
//}
