package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 基本信息-废气、废水排口档案-动态管控信息调整 -参数对象 s_main_dynamic_control_param
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "基本信息-废气、废水排口档案-动态管控信息调整 -参数")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_main_dynamic_control_param")
public class SMainDynamicControlParam extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;


    @ApiModelProperty(value = "管控类型编码")
    /** 管控类型编码 */
    @Excel(name = "管控类型编码")
    private String controlTypeCode;


    @ApiModelProperty(value = "参数编码")
    /** 参数编码 */
    @Excel(name = "参数编码")
    private String argumentsCode;


    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    @Excel(name = "参数名称")
    private String argumentsName;


    @ApiModelProperty(value = "是否启用")
    /** 是否启用 */
    @Excel(name = "是否启用")
    private String argumentsEnable;

    private String mn;
}
