package cn.cecep.talroad.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain.dto
 * @ClassName: PollutantCharacterAnalysisDto
 * @Author: wyg
 * @Description:
 * @Date: 2023/6/13 15:12
 * @Version: 1.0
 */

@ApiModel(value = "污染特征分析dto")
@Data
public class PollutantCharacterAnalysisDto {
    @ApiModelProperty(value = "区域类型 1:区域 2:站点")
    private Integer areaType;
    @ApiModelProperty(value = "区域/站点code")
    private String siteOrRegion;
    @ApiModelProperty(value = "时间类型 1:小时 2:日")
    private Integer timeType;
    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "结束时间")
    private String endTime;
    @ApiModelProperty(value = "比值类型")
    private List<Integer> ratioType;
}
