package cn.cecep.talroad.domain.dto;

import cn.cecep.talroad.common.core.web.page.PageData;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 审核记录添加企业列表表单
 */
@Data
@ApiModel(value = "审核记录添加企业列表表单")
public class RecordListDTO {

    @ApiModelProperty(value = "排污许可单位名称")
    private String factoryName;
    @ApiModelProperty(value = "行业类别编码")
    private String industryCode;
    @ApiModelProperty(value = "区县名称")
    private String countryName;
    @ApiModelProperty(value = "管理类别")
    private String licenseManType;
    @ApiModelProperty(value = "提交时间开始")
    private String commitTimeStart;
    @ApiModelProperty(value = "提交时间结束")
    private String commitTimeEnd;

    private Integer pageNum;

    private Integer pageSize;

}
