package cn.cecep.talroad.domain.effective;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author zhangshiji
 * @date 2022/7/26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("p_code_index_pollutant")
@ApiModel(value="PCodeIndexPollutant对象", description="达标展示污染物表")
public class PCodeIndexPollutant implements Serializable {

    @TableField(value = "pk_id")
    private Integer pkId;
    @TableField(value = "name")
    private String name;
    @TableField(value = "day_show")
    private Integer dayShow;
    @TableField(value = "month_show")
    private Integer monthShow;
    @TableField(value = "year_show")
    private Integer yearShow;
    @TableField(value = "field")
    private String field;
    @TableField(value = "target_calc")
    private Integer targetCalc;
    @TableField(value = "winter_calc")
    private Integer winterCalc;
}
