package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "污染防治协同管控展示类")
public class AirDataVO {
    @ApiModelProperty(value = "空气质量展示类")
    private AirQualityDataVO airQualityDataVO;
    @ApiModelProperty(value = "空气质量预报展示类，0下标为最近一天")
    private List<AirForecastDataVO> airForecastData;
    @ApiModelProperty(value = "污染管控展示类")
    private PolluteControlDataVO polluteControlData;
}
