package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel(value = "区县任务统计")
@AllArgsConstructor
@NoArgsConstructor
public class AreaTaskCountVO {
    @ApiModelProperty(value = "区县名称")
    private String areaName;
    @ApiModelProperty(value = "执法人次数量")
    private Integer enforcementPersonCount;
    @ApiModelProperty(value = "执法任务数量")
    private Integer enforcementCount;
    @ApiModelProperty(value = "发现问题数量")
    private Integer questionCount;
}
