package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "排口数量展示类")
public class OutletCountVO {

    @ApiModelProperty(value = "总数量")
    private Integer totalCount;
    @ApiModelProperty(value = "废气/废气排污许可 数量")
    private Integer gasCount;
    @ApiModelProperty(value = "废气在线检测数量")
    private Integer gasMonitorCount;
    @ApiModelProperty(value = "废气动态管控数量")
    private Integer gasDynamicCount;
    @ApiModelProperty(value = "废水/废水排污许可数量")
    private Integer waterCount;
    @ApiModelProperty(value = "废水在线监测数量")
    private Integer waterMonitorCount;
    @ApiModelProperty(value = "废水动态管控数量")
    private Integer waterDynamicCount;
    @ApiModelProperty(value = "废气无组织/排污许可数量")
    private Integer gasNoGroupCount;
    @ApiModelProperty(value = "废气无组织在线检测数量")
    private Integer gasNoGroupMonitorCount;
}
