package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "关联分析返回展示类")
public class ProblemDataCountVO {
    @ApiModelProperty(value = "问题类型数量统计")
    private ProblemTypeCountVO problemTypeCountVO;
    @ApiModelProperty(value = "问题处置情况数量统计")
    private ProblemDoingCountVO problemDoingCountVO;
    @ApiModelProperty(value = "大类分组问题数量统计")
    private List<ProblemGroupCountVO> levelOneGroupCount;
    @ApiModelProperty(value = "小类分组问题数量统计")
    private List<ProblemGroupCountVO> levelTwoGroupCount;
}
