package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel(value = "问题分类分组数量统计")
@AllArgsConstructor
@NoArgsConstructor
public class ProblemGroupCountVO {

    @ApiModelProperty(value = "问题类别")
    private String name;
    @ApiModelProperty(value = "问题数量")
    private String totalCount;
    @ApiModelProperty(value = "问题类型代码")
    private String problemId;


}
