package cn.cecep.talroad.domain.leader.vo;

import cn.cecep.talroad.vo.EChartsVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@ApiModel(value = "监管能力展示类")
@AllArgsConstructor
@NoArgsConstructor
public class RegulatoryCapacityCountVO {
    @ApiModelProperty(value = "执法人员数量")
    private Integer implementPersonCount;
    @ApiModelProperty(value = "执法车辆数量")
    private Integer implementCarCount;
    @ApiModelProperty(value = "执法终端数量")
    private Integer implementClientCount;
    @ApiModelProperty(value = "图表数据")
    private EChartsVO countData;
}
