package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 站点类型字典展示层
 */
@Data
@ApiModel(value = "站点类型字典展示层")
public class StationTypeDictVO {

    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @ApiModelProperty(value = "类型编码")
    private String typeCode;

    @ApiModelProperty(value = "站点类型1：废气，2：废水")
    private Integer stationType;
}
