package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel(value = "任务统计展示类")
@AllArgsConstructor
@NoArgsConstructor
public class TaskCountVO {
    @ApiModelProperty(value = "任务总计")
    private Integer totalCount;
    @ApiModelProperty(value = "完成率")
    private String finishRate;
    @ApiModelProperty(value = "市县两级联动数量")
    private Integer cityAreaCount;
    @ApiModelProperty(value = "区县跨部门数量")
    private Integer areaCrossDeptCount;
    @ApiModelProperty(value = "跨部门数量")
    private Integer crossDeptCount;
    @ApiModelProperty(value = "待办任务")
    private Integer unDoTaskCount;
    @ApiModelProperty(value = "监测部门")
    private Integer monitorDeptCount;
    @ApiModelProperty(value = "监督部门")
    private Integer manageDeptCount;
    @ApiModelProperty(value = "执法部门")
    private Integer enforcementDeptCount;
}
