package cn.cecep.talroad.domain.leader.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@ApiModel(value = "三监联动展示类")

public class ThreeMonitorCountVO {

    @ApiModelProperty(value = "任务总计")
    private TaskCountVO taskCountVO;

    @ApiModelProperty(value = "问题总计")
    private QuestionCountVO questionCountVO;

    @ApiModelProperty(value = "Top10问题总计")
    private List<QuestionTop10CountVO> questionTop10CountVO;
}
