package cn.cecep.talroad.domain.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "新建审核企业列表展示类")
public class AuditRecordLIstVO {

    @ApiModelProperty(value = "待审核数据主键")
    private String id;
    @ApiModelProperty(value = "企业名称")
    @Excel(name = "企业名称" ,width = 40)
    private String factoryName;
    @ApiModelProperty(value = "报告时间")
    @Excel(name = "报告时间" ,width = 25 )
    private String reportTime ;
    @ApiModelProperty(value = "市级名称")
    @Excel(name = "市级名称" ,width = 25)
    private String cityName ;
    @ApiModelProperty(value = "区县名称")
    @Excel(name = "区县名称" ,width = 25)
    private String countryName;
    @ApiModelProperty(value = "行业类别名称")
    @Excel(name = "行业类别名称" ,width = 25)
    private String industryName ;
    @ApiModelProperty(value = "管理级别")
    @Excel(name = "管理级别" ,width = 25)
    private String licenseManType;
    @ApiModelProperty(value = "提交时间")
    @Excel(name = "提交时间" ,width = 25)
    private String commitTime;
    @ApiModelProperty(value = "排污许可编号")
    @Excel(name = "排污许可编号" ,width = 25)
    private String pollDisLicenseCode;

}

