package cn.cecep.talroad.domain.vo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
/**
 * @ProjectName: szhpt-business
 * @Package: cn.cecep.talroad.domain.vo
 * @ClassName: PCodCompanyVo
 * @Author: wyg
 * @Description: PCodCompanyVo
 * @Date: 2023/6/13 14:56
 * @Version: 1.0
 */


@Data
@ApiModel(value = "污染源信息Vo")
public class PCodCompanyVo {
    @ApiModelProperty(value = "污染源id")
    private String companyId;
    @ApiModelProperty(value = "序号")
    private Integer indexNo;
    @ApiModelProperty(value = "企业名称")
    private String companyName;
    @ApiModelProperty(value = "企业标签id")
    private Integer companyTag;
    @ApiModelProperty(value = "企业标签名称")
    private String companyTagName;
    @ApiModelProperty(value = "统一社会信用代码")
    private String creditCode;
    @ApiModelProperty(value = "排污许可证编码")
    private String pwxkz;
    @ApiModelProperty(value = "企业类别id")
    private Integer companyType;
    @ApiModelProperty(value = "企业类别名称")
    private String companyTypeName;
    @ApiModelProperty(value = "行业类别id")
    private Integer industry;
    @ApiModelProperty(value = "行业类别id")
    private Integer[] industryArray;
    @ApiModelProperty(value = "行业类别名称")
    private String industryName;
    @ApiModelProperty(value = "登记地址")
    private String registAddress;
    @ApiModelProperty(value = "详细地址")
    private String address;
    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;
    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;
    @ApiModelProperty(value = "涉气污染物")
    private String fkAirPollutant;
    @ApiModelProperty(value = "涉气污染物ids")
    private String fkAirPollutantids;
    @ApiModelProperty(value = "状态id")
    private String status;
    @ApiModelProperty(value = "状态名称")
    private String statusName;
    @ApiModelProperty(value = "所属省份编号")
    private String provinceCode;
    @ApiModelProperty(value = "所属城市编号")
    private String cityCode;
    @ApiModelProperty(value = "所属区县编号")
    private String districtCode;
    @ApiModelProperty(value = "区域地址")
    private String areaName;
}
