package cn.cecep.talroad.domain.vo;

import lombok.Data;

import java.util.List;

@Data
public class QEnvgasWqDayVo {

    /**
     * 查询类型 0区县 1站点
     */
    private String queryType;

    /**
     * 站点区域编码
     */
    private String areaOrStationId;

    /**
     * 对比时间 0近3年  1近5年  2自定义
     */
    private String contrastType;

    /**
     * 对比时间自定义值 (当contrastType为3时,此字段不为空,格式为 "2020,2022")
     */
    private String contrastTime;

    /**
     * 数据类型 (0小时,1日,2周,3月,4季度,5半年,6年,7自定义)
     */
    private String dataType;

    /**
     * 数据时间
     */
    private String dataTime;

    /**
     * 后端根据dataTime 用,进行切割
     */
    private String startTime;
    private String endTime;

    /**
     * 对比时间集合(前端不用传)
     */
    private List<String> contrastTimeList;

    /**
     * 污染因子同比分析
     */
    private String pollutantCode;



}
