package cn.cecep.talroad.domain.vo;

import lombok.Data;

import java.util.List;


@Data
public class SiteQueryParamVo {
    //站点名称
    private String stationName;
    //站点类型 1:大气
    private Integer stationType;
    //所属区域code 包含 districtCode/regionCode/provinceCode
    private String areaCode;
    //是否使用 0:使用  1:不使用
    private Integer isUsed;
    //站点id
    private String stationId;
    //站点id集合
    private List<String> stationIdList;
    //站点控制级别:1:国控  2:省控 3:市控 4:微站  7:扬尘
    private String stationLevel;
    //站点控制级别集合
    private List<String> stationLevelList;
    //排序
    private String citySort;
    //区县code集合
    private List<String> districtCodeList;
    /**
     * 默认查询  使用中  类型为大气的站点
     */
    public SiteQueryParamVo() {
        this.isUsed = 0;
        this.stationType = 1;
    }
}
