package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BEnterpriseIrEes;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 知识库-生态环境标准Mapper接口
 *
 * @author szhpt
 * @date 2023-03-14*/
@Mapper
public interface BEnterpriseIrEesMapper extends BaseMapper<BEnterpriseIrEes>
{
    /**
     * 查询知识库-生态环境标准列表
     *
     * @param bEnterpriseIrEes 知识库-生态环境标准
     * @return 知识库-生态环境标准集合
     */
    public List<BEnterpriseIrEes> selectBEnterpriseIrEesList(BEnterpriseIrEes bEnterpriseIrEes);

}
