package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BEnterpriseIrNotifierproNotice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 通知提醒-通知公告Mapper接口
 *
 * @author szhpt
 * @date 2023-03-14*/
@Mapper
public interface BEnterpriseIrNotifierproNoticeMapper extends BaseMapper<BEnterpriseIrNotifierproNotice>
{
    /**
     * 查询通知提醒-通知公告列表
     *
     * @param bEnterpriseIrNotifierproNotice 通知提醒-通知公告
     * @return 通知提醒-通知公告集合
     */
    public List<BEnterpriseIrNotifierproNotice> selectBEnterpriseIrNotifierproNoticeList(BEnterpriseIrNotifierproNotice bEnterpriseIrNotifierproNotice);

    List<Map<String, String>> selectOptions(String factoryId);
}
