package cn.cecep.talroad.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BEnterpriseRiskAssessmentLast;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业风险评估Mapper接口
 *
 * @author szhpt
 * @date 2023-03-29
 */
@Mapper
public interface BEnterpriseRiskAssessmentLastMapper extends BaseMapper<BEnterpriseRiskAssessmentLast> {

    List<BEnterpriseRiskAssessmentLast> selectListByFactoryId(@Param("factoryId") String factoryId);

    void insertBEnterpriseRiskAssessmentLasts(List<BEnterpriseRiskAssessmentLast> list);
}
