package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainActionReports;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 执行报告Mapper接口
 *
 * @author szhpt
 * @date 2023-01-11*/
@Mapper
public interface BMainActionReportsMapper extends BaseMapper<BMainActionReports>
{
    /**
     * 查询执行报告列表
     *
     * @param bMainActionReports 执行报告
     * @return 执行报告集合
     */
    public List<BMainActionReports> selectBMainActionReportsList(BMainActionReports bMainActionReports);

}
