package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainAllowablePollutionAir;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 总许可量-大气排放总许可量要求Mapper接口
 *
 * @author szhpt
 * @date 2023-01-31*/
@Mapper
public interface BMainAllowablePollutionAirMapper extends BaseMapper<BMainAllowablePollutionAir>
{
    /**
     * 查询总许可量-大气排放总许可量要求列表
     *
     * @param bMainAllowablePollutionAir 总许可量-大气排放总许可量要求
     * @return 总许可量-大气排放总许可量要求集合
     */
    public List<BMainAllowablePollutionAir> selectBMainAllowablePollutionAirList(BMainAllowablePollutionAir bMainAllowablePollutionAir);

    IPage<BMainAllowablePollutionAir> selectBMainAllowablePollutionAirPageList(Page<BMainAllowablePollutionAir> page, @Param("ew") QueryWrapper<BMainAllowablePollutionAir> lambdaQueryWrapper);

    List<BMainAllowablePollutionAir> selectLabelBMainAllowablePollutionAir();

}
