package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainAllowablePollutionAir;
import cn.cecep.talroad.domain.BMainAllowablePollutionWater;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 总许可量- 废水排放总许可量要求Mapper接口
 *
 * @author szhpt
 * @date 2023-01-31*/
@Mapper
public interface BMainAllowablePollutionWaterMapper extends BaseMapper<BMainAllowablePollutionWater>
{
    /**
     * 查询总许可量- 废水排放总许可量要求列表
     *
     * @param bMainAllowablePollutionWater 总许可量- 废水排放总许可量要求
     * @return 总许可量- 废水排放总许可量要求集合
     */
    public List<BMainAllowablePollutionWater> selectBMainAllowablePollutionWaterList(BMainAllowablePollutionWater bMainAllowablePollutionWater);

    List<BMainAllowablePollutionAir> selectLabelWater();

    IPage<BMainAllowablePollutionWater> selectBMainAllowablePollutionWaterPageList(Page<?> page, @Param("ew") QueryWrapper<BMainAllowablePollutionWater> lambdaQueryWrapper);
}
