package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainEmissionSourceAir;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 企业排放信息-多来源排放量对比-废气Mapper接口
 *
 * @author szhpt
 * @date 2023-01-31*/
@Mapper
public interface BMainEmissionSourceAirMapper extends BaseMapper<BMainEmissionSourceAir>
{
    /**
     * 查询企业排放信息-多来源排放量对比-废气列表
     *
     * @param bMainEmissionSourceAir 企业排放信息-多来源排放量对比-废气
     * @return 企业排放信息-多来源排放量对比-废气集合
     */
    public List<BMainEmissionSourceAir> selectBMainEmissionSourceAirList(BMainEmissionSourceAir bMainEmissionSourceAir);

}
