package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainEmissionSourceWater;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 企业排放信息-多来源排放量对比-废水Mapper接口
 *
 * @author szhpt
 * @date 2023-01-31*/
@Mapper
public interface BMainEmissionSourceWaterMapper extends BaseMapper<BMainEmissionSourceWater>
{
    /**
     * 查询企业排放信息-多来源排放量对比-废水列表
     *
     * @param bMainEmissionSourceWater 企业排放信息-多来源排放量对比-废水
     * @return 企业排放信息-多来源排放量对比-废水集合
     */
    public List<BMainEmissionSourceWater> selectBMainEmissionSourceWaterList(BMainEmissionSourceWater bMainEmissionSourceWater);

}
