package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainHazardousSolidWasteCr;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 固体废物环境管理要求Mapper接口
 *
 * @author szhpt
 * @date 2023-01-11*/
@Mapper
public interface BMainHazardousSolidWasteCrMapper extends BaseMapper<BMainHazardousSolidWasteCr>
{
    /**
     * 查询固体废物环境管理要求列表
     *
     * @param bMainHazardousSolidWasteCr 固体废物环境管理要求
     * @return 固体废物环境管理要求集合
     */
    public List<BMainHazardousSolidWasteCr> selectBMainHazardousSolidWasteCrList(BMainHazardousSolidWasteCr bMainHazardousSolidWasteCr);

}
