package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainHazardousSolidWasteFa;
import cn.cecep.talroad.vo.BMainHazardousSolidWasteFaVo;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 自行贮存和自行利用处置设施信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface BMainHazardousSolidWasteFaMapper extends BaseMapper<BMainHazardousSolidWasteFa>
{
    /**
     * 查询自行贮存和自行利用处置设施信息列表
     *
     * @param bMainHazardousSolidWasteFa 自行贮存和自行利用处置设施信息
     * @return 自行贮存和自行利用处置设施信息集合
     */
    public List<BMainHazardousSolidWasteFa> selectBMainHazardousSolidWasteFaList(BMainHazardousSolidWasteFa bMainHazardousSolidWasteFa);

     List<BMainHazardousSolidWasteFaVo> selectListAndFactory(BStatTablepPwxkWaterQuery strings);
}
