package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainHazardousSolidWasteLe;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 固体废物排放信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface BMainHazardousSolidWasteLeMapper extends BaseMapper<BMainHazardousSolidWasteLe>
{
    /**
     * 查询固体废物排放信息列表
     *
     * @param bMainHazardousSolidWasteLe 固体废物排放信息
     * @return 固体废物排放信息集合
     */
    public List<BMainHazardousSolidWasteLe> selectBMainHazardousSolidWasteLeList(BMainHazardousSolidWasteLe bMainHazardousSolidWasteLe);

}
