package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainHazardousSolidWaste;
import cn.cecep.talroad.vo.BMainHazardousSolidWasteVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 固体废物基础信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface BMainHazardousSolidWasteMapper extends BaseMapper<BMainHazardousSolidWaste>
{
    /**
     * 查询固体废物基础信息列表
     *
     * @param bMainHazardousSolidWaste 固体废物基础信息
     * @return 固体废物基础信息集合
     */
    public List<BMainHazardousSolidWaste> selectBMainHazardousSolidWasteList(BMainHazardousSolidWaste bMainHazardousSolidWaste);

     List<BMainHazardousSolidWasteVo> selectListAndFactory(List<String> strings);
}
