package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainNoiseEmissions;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 噪声排放信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface BMainNoiseEmissionsMapper extends BaseMapper<BMainNoiseEmissions>
{
    /**
     * 查询噪声排放信息列表
     *
     * @param bMainNoiseEmissions 噪声排放信息
     * @return 噪声排放信息集合
     */
    public List<BMainNoiseEmissions> selectBMainNoiseEmissionsList(BMainNoiseEmissions bMainNoiseEmissions);

}
