package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisEnforcement;
import cn.cecep.talroad.vo.BMainPollDisEnforcementVo;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可执行守法报告Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisEnforcementMapper extends BaseMapper<BMainPollDisEnforcement>
{
    /**
     * 查询排污许可执行守法报告列表
     *
     * @param bMainPollDisEnforcement 排污许可执行守法报告
     * @return 排污许可执行守法报告集合
     */
    public List<BMainPollDisEnforcement> selectBMainPollDisEnforcementList(BMainPollDisEnforcement bMainPollDisEnforcement);

    List<BMainPollDisEnforcementVo> selectListAndFactory(BStatTablepPwxkWaterQuery strings);
}
