package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisNoise;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可其他许可噪声排放Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisNoiseMapper extends BaseMapper<BMainPollDisNoise>
{
    /**
     * 查询排污许可其他许可噪声排放列表
     *
     * @param bMainPollDisNoise 排污许可其他许可噪声排放
     * @return 排污许可其他许可噪声排放集合
     */
    public List<BMainPollDisNoise> selectBMainPollDisNoiseList(BMainPollDisNoise bMainPollDisNoise);

}
