package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisNoiseRegulation;
import cn.cecep.talroad.vo.BMainPollDisNoiseRegulationVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可其他许可改正规定Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisNoiseRegulationMapper extends BaseMapper<BMainPollDisNoiseRegulation>
{
    /**
     * 查询排污许可其他许可改正规定列表
     *
     * @param bMainPollDisNoiseRegulation 排污许可其他许可改正规定
     * @return 排污许可其他许可改正规定集合
     */
    public List<BMainPollDisNoiseRegulation> selectBMainPollDisNoiseRegulationList(BMainPollDisNoiseRegulation bMainPollDisNoiseRegulation);

    List<BMainPollDisNoiseRegulationVo> selectListAndFactory(List<String> strings);
}
