package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisNoiseRequire;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可环境管理要求Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisNoiseRequireMapper extends BaseMapper<BMainPollDisNoiseRequire>
{
    /**
     * 查询排污许可环境管理要求列表
     *
     * @param bMainPollDisNoiseRequire 排污许可环境管理要求
     * @return 排污许可环境管理要求集合
     */
    public List<BMainPollDisNoiseRequire> selectBMainPollDisNoiseRequireList(BMainPollDisNoiseRequire bMainPollDisNoiseRequire);

}
