package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisWaterOout;
import cn.cecep.talroad.vo.analysis.PollDisPollutantGroupVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 排污许可水污染物一般排放口Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisWaterOoutMapper extends BaseMapper<BMainPollDisWaterOout>
{
    /**
     * 查询排污许可水污染物一般排放口列表
     *
     * @param bMainPollDisWaterOout 排污许可水污染物一般排放口
     * @return 排污许可水污染物一般排放口集合
     */
    public List<BMainPollDisWaterOout> selectBMainPollDisWaterOoutList(BMainPollDisWaterOout bMainPollDisWaterOout);

    List<PollDisPollutantGroupVO> selectPollutantGroupList(@Param("factoryId") String factoryId, @Param("licenseId")int licenseId, @Param("outletCode")String outletCode);
}
