package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisWaterSout;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可水污染物特殊情况Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisWaterSoutMapper extends BaseMapper<BMainPollDisWaterSout>
{
    /**
     * 查询排污许可水污染物特殊情况列表
     *
     * @param bMainPollDisWaterSout 排污许可水污染物特殊情况
     * @return 排污许可水污染物特殊情况集合
     */
    public List<BMainPollDisWaterSout> selectBMainPollDisWaterSoutList(BMainPollDisWaterSout bMainPollDisWaterSout);

}
