package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainPollDisWaterTout;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 排污许可水污染物排放总计Mapper接口
 *
 * @author szhpt
 * @date 2023-01-18*/
@Mapper
public interface BMainPollDisWaterToutMapper extends BaseMapper<BMainPollDisWaterTout>
{
    /**
     * 查询排污许可水污染物排放总计列表
     *
     * @param bMainPollDisWaterTout 排污许可水污染物排放总计
     * @return 排污许可水污染物排放总计集合
     */
    public List<BMainPollDisWaterTout> selectBMainPollDisWaterToutList(BMainPollDisWaterTout bMainPollDisWaterTout);

}
