package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainProductionWater;
import cn.cecep.talroad.vo.BMainProductionWaterVo;
import cn.cecep.talroad.vo.query.BMainProductionWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 废水排放产治排信息Mapper接口
 *
 * @author szhpt
 * @date 2023-02-08*/
@Mapper
public interface BMainProductionWaterMapper extends BaseMapper<BMainProductionWater>
{
    /**
     * 查询废水排放产治排信息列表
     *
     * @param bMainProductionWater 废水排放产治排信息
     * @return 废水排放产治排信息集合
     */
    public List<BMainProductionWater> selectBMainProductionWaterList(BMainProductionWater bMainProductionWater);

    List<BMainProductionWaterVo.PwxkCzp> selectPwxkList(@Param("factoryIds") List<String> factoryIds, @Param("query") BMainProductionWaterQuery.PwxkCzp query);
}
