package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainSolidWasteOutput;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 固废产生与处理Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface BMainSolidWasteOutputMapper extends BaseMapper<BMainSolidWasteOutput>
{
    /**
     * 查询固废产生与处理列表
     *
     * @param bMainSolidWasteOutput 固废产生与处理
     * @return 固废产生与处理集合
     */
    public List<BMainSolidWasteOutput> selectBMainSolidWasteOutputList(BMainSolidWasteOutput bMainSolidWasteOutput);

}
