package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BMainSysFeedback;
import cn.cecep.talroad.vo.BMainSysFeedbackVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 系统使用反馈Mapper接口
 */
@Mapper
public interface BMainSysFeedbackMapper extends BaseMapper<BMainSysFeedback>
{

    List<BMainSysFeedbackVo> selectSysFeedbackList(@Param("page") Page<BMainSysFeedbackVo> page, @Param("searchVo") BMainSysFeedbackVo.SearchVo searchVo);
}
