package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.BMainThreeSupervisionEnforcVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BMainThreeSupervisionEnforc;

/**
 * 三监联动执法信息Mapper接口
 *
 * @author szhpt
 * @date 2023-03-29*/
@Mapper
public interface BMainThreeSupervisionEnforcMapper extends BaseMapper<BMainThreeSupervisionEnforc>
{
    /**
     * 查询三监联动执法信息列表
     *
     * @param bMainThreeSupervisionEnforc 三监联动执法信息
     * @return 三监联动执法信息集合
     */
    public List<BMainThreeSupervisionEnforc> selectBMainThreeSupervisionEnforcList(BMainThreeSupervisionEnforc bMainThreeSupervisionEnforc);

    BMainThreeSupervisionEnforcVo selectTaskById(String taskId);
}
