package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmissionSpeed;

/**
 * 固定源产排治--执行报告--有组织废气污染物排放速率监测Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgGasEmissionSpeedMapper extends BaseMapper<BStatTableZxbgGasEmissionSpeed>
{
    /**
     * 查询固定源产排治--执行报告--有组织废气污染物排放速率监测列表
     *
     * @param bStatTableZxbgGasEmissionSpeed 固定源产排治--执行报告--有组织废气污染物排放速率监测
     * @return 固定源产排治--执行报告--有组织废气污染物排放速率监测集合
     */
    public List<BStatTableZxbgGasEmissionSpeed> selectBStatTableZxbgGasEmissionSpeedList(BStatTableZxbgGasEmissionSpeed bStatTableZxbgGasEmissionSpeed);

    public List<BStatTableZxbgGasEmissionSpeed> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
