package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgGtProduction;

/**
 * 固定源产排治--执行报告--钢铁-生产单元运行情况Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgGtProductionMapper extends BaseMapper<BStatTableZxbgGtProduction>
{
    /**
     * 查询固定源产排治--执行报告--钢铁-生产单元运行情况列表
     *
     * @param bStatTableZxbgGtProduction 固定源产排治--执行报告--钢铁-生产单元运行情况
     * @return 固定源产排治--执行报告--钢铁-生产单元运行情况集合
     */
    public List<BStatTableZxbgGtProduction> selectBStatTableZxbgGtProductionList(BStatTableZxbgGtProduction bStatTableZxbgGtProduction);

    public List<BStatTableZxbgGtProduction> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
