package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtFuel;

/**
 * 固定源产排治--执行报告--火电、钢铁燃料信息Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgHdGtFuelMapper extends BaseMapper<BStatTableZxbgHdGtFuel>
{
    /**
     * 查询固定源产排治--执行报告--火电、钢铁燃料信息列表
     *
     * @param bStatTableZxbgHdGtFuel 固定源产排治--执行报告--火电、钢铁燃料信息
     * @return 固定源产排治--执行报告--火电、钢铁燃料信息集合
     */
    public List<BStatTableZxbgHdGtFuel> selectBStatTableZxbgHdGtFuelList(BStatTableZxbgHdGtFuel bStatTableZxbgHdGtFuel);

    public List<BStatTableZxbgHdGtFuel> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
