package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtInvestment;

/**
 * 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgHdGtInvestmentMapper extends BaseMapper<BStatTableZxbgHdGtInvestment>
{
    /**
     * 查询固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况列表
     *
     * @param bStatTableZxbgHdGtInvestment 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况
     * @return 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况集合
     */
    public List<BStatTableZxbgHdGtInvestment> selectBStatTableZxbgHdGtInvestmentList(BStatTableZxbgHdGtInvestment bStatTableZxbgHdGtInvestment);

    public List<BStatTableZxbgHdGtInvestment> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
