package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirOther;

/**
 * 固定源产排治--执行报告--废气其他排放总计Mapper接口
 *
 * @author szhpt
 * @date 2023-07-27*/
@Mapper
public interface BStatTableZxbgPflAirOtherMapper extends BaseMapper<BStatTableZxbgPflAirOther>
{
    /**
     * 查询固定源产排治--执行报告--废气其他排放总计列表
     *
     * @param bStatTableZxbgPflAirOther 固定源产排治--执行报告--废气其他排放总计
     * @return 固定源产排治--执行报告--废气其他排放总计集合
     */
    public List<BStatTableZxbgPflAirOther> selectBStatTableZxbgPflAirOtherList(BStatTableZxbgPflAirOther bStatTableZxbgPflAirOther);

    List<BStatTableZxbgPflAirOther> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
