package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirSpecial;

/**
 * 固定源产排治--执行报告--特殊时段废气排放量Mapper接口
 *
 * @author szhpt
 * @date 2023-07-31*/
@Mapper
public interface BStatTableZxbgPflAirSpecialMapper extends BaseMapper<BStatTableZxbgPflAirSpecial>
{
    /**
     * 查询固定源产排治--执行报告--特殊时段废气排放量列表
     *
     * @param bStatTableZxbgPflAirSpecial 固定源产排治--执行报告--特殊时段废气排放量
     * @return 固定源产排治--执行报告--特殊时段废气排放量集合
     */
    public List<BStatTableZxbgPflAirSpecial> selectBStatTableZxbgPflAirSpecialList(BStatTableZxbgPflAirSpecial bStatTableZxbgPflAirSpecial);

    public List<BStatTableZxbgPflAirSpecial> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
