package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflWater;

/**
 * 固定源产排治--执行报告--废水实际排放量Mapper接口
 *
 * @author szhpt
 * @date 2023-07-28*/
@Mapper
public interface BStatTableZxbgPflWaterMapper extends BaseMapper<BStatTableZxbgPflWater>
{
    /**
     * 查询固定源产排治--执行报告--废水实际排放量列表
     *
     * @param bStatTableZxbgPflWater 固定源产排治--执行报告--废水实际排放量
     * @return 固定源产排治--执行报告--废水实际排放量集合
     */
    public List<BStatTableZxbgPflWater> selectBStatTableZxbgPflWaterList(BStatTableZxbgPflWater bStatTableZxbgPflWater);

    List<BStatTableZxbgPflWater> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
