package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflWaterVoerproof;

/**
 * 固定源产排治--执行报告--废水超标排放信息Mapper接口
 *
 * @author szhpt
 * @date 2023-07-28*/
@Mapper
public interface BStatTableZxbgPflWaterVoerproofMapper extends BaseMapper<BStatTableZxbgPflWaterVoerproof>
{
    /**
     * 查询固定源产排治--执行报告--废水超标排放信息列表
     *
     * @param bStatTableZxbgPflWaterVoerproof 固定源产排治--执行报告--废水超标排放信息
     * @return 固定源产排治--执行报告--废水超标排放信息集合
     */
    public List<BStatTableZxbgPflWaterVoerproof> selectBStatTableZxbgPflWaterVoerproofList(BStatTableZxbgPflWaterVoerproof bStatTableZxbgPflWaterVoerproof);

    List<BStatTableZxbgPflWaterVoerproof> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
