package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflallWater;

/**
 * 固定源产排治--执行报告--总计废水实际排放量Mapper接口
 *
 * @author szhpt
 * @date 2023-07-28*/
@Mapper
public interface BStatTableZxbgPflallWaterMapper extends BaseMapper<BStatTableZxbgPflallWater>
{
    /**
     * 查询固定源产排治--执行报告--总计废水实际排放量列表
     *
     * @param bStatTableZxbgPflallWater 固定源产排治--执行报告--总计废水实际排放量
     * @return 固定源产排治--执行报告--总计废水实际排放量集合
     */
    public List<BStatTableZxbgPflallWater> selectBStatTableZxbgPflallWaterList(BStatTableZxbgPflallWater bStatTableZxbgPflallWater);

    List<BStatTableZxbgPflallWater> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
