package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgPfltotalWater;

/**
 * 固定源产排治--执行报告--废水正常排放总计（一般排放口）Mapper接口
 *
 * @author szhpt
 * @date 2023-07-28*/
@Mapper
public interface BStatTableZxbgPfltotalWaterMapper extends BaseMapper<BStatTableZxbgPfltotalWater>
{
    /**
     * 查询固定源产排治--执行报告--废水正常排放总计（一般排放口）列表
     *
     * @param bStatTableZxbgPfltotalWater 固定源产排治--执行报告--废水正常排放总计（一般排放口）
     * @return 固定源产排治--执行报告--废水正常排放总计（一般排放口）集合
     */
    public List<BStatTableZxbgPfltotalWater> selectBStatTableZxbgPfltotalWaterList(BStatTableZxbgPfltotalWater bStatTableZxbgPfltotalWater);

    List<BStatTableZxbgPfltotalWater> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
