package cn.cecep.talroad.mapper;

import java.util.List;

import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BStatTableZxbgWaterEmission;

/**
 * 固定源产排治--执行报告--废水污染物排放浓度监测数据Mapper接口
 *
 * @author szhpt
 * @date 2023-08-01*/
@Mapper
public interface BStatTableZxbgWaterEmissionMapper extends BaseMapper<BStatTableZxbgWaterEmission>
{
    /**
     * 查询固定源产排治--执行报告--废水污染物排放浓度监测数据列表
     *
     * @param bStatTableZxbgWaterEmission 固定源产排治--执行报告--废水污染物排放浓度监测数据
     * @return 固定源产排治--执行报告--废水污染物排放浓度监测数据集合
     */
    public List<BStatTableZxbgWaterEmission> selectBStatTableZxbgWaterEmissionList(BStatTableZxbgWaterEmission bStatTableZxbgWaterEmission);

    public List<BStatTableZxbgWaterEmission>  selectListAndFactory(BStatTablepPwxkWaterQuery query);
}
