package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BasDevToElec;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 有组织-分表计电设备对应Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface BasDevToElecMapper extends BaseMapper<BasDevToElec>
{
    /**
     * 查询有组织-分表计电设备对应列表
     *
     * @param basDevToElec 有组织-分表计电设备对应
     * @return 有组织-分表计电设备对应集合
     */
    public List<BasDevToElec> selectBasDevToElecList(BasDevToElec basDevToElec);

}
