package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BasDeviceZlConfig;

/**
 * 转炉设备与转炉煤气放散设备映射关系Mapper接口
 *
 * @author szhpt
 * @date 2023-06-30*/
@Mapper
public interface BasDeviceZlConfigMapper extends BaseMapper<BasDeviceZlConfig>
{
    /**
     * 查询转炉设备与转炉煤气放散设备映射关系列表
     *
     * @param basDeviceZlConfig 转炉设备与转炉煤气放散设备映射关系
     * @return 转炉设备与转炉煤气放散设备映射关系集合
     */
    public List<BasDeviceZlConfig> selectBasDeviceZlConfigList(BasDeviceZlConfig basDeviceZlConfig);

}
