package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BasElecDevice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 分表计电设备信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface BasElecDeviceMapper extends BaseMapper<BasElecDevice>
{
    /**
     * 查询分表计电设备信息列表
     *
     * @param basElecDevice 分表计电设备信息
     * @return 分表计电设备信息集合
     */
    public List<BasElecDevice> selectBasElecDeviceList(BasElecDevice basElecDevice);

}
