package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.BasThresholdConfig;
import org.apache.ibatis.annotations.Param;

/**
 * 关联分析-阈值设置Mapper接口
 *
 * @author szhpt
 * @date 2023-05-18*/
@Mapper
public interface BasThresholdConfigMapper extends BaseMapper<BasThresholdConfig>
{
    /**
     * 查询关联分析-阈值设置列表
     *
     * @param basThresholdConfig 关联分析-阈值设置
     * @return 关联分析-阈值设置集合
     */
    public List<BasThresholdConfig> selectBasThresholdConfigList(BasThresholdConfig basThresholdConfig);

    BasThresholdConfig selectByParamCode(@Param("paramCode") String paramCode);
}
