package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.MonDevJhHour;
import cn.cecep.talroad.vo.MonDevJhVO;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备数据-焦化-小时 保存设备的小时数据Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface MonDevJhHourMapper extends BaseMapper<MonDevJhHour>
{
    /**
     * 查询设备数据-焦化-小时 保存设备的小时数据列表
     *
     * @param monDevJhHour 设备数据-焦化-小时 保存设备的小时数据
     * @return 设备数据-焦化-小时 保存设备的小时数据集合
     */
    public List<MonDevJhHour> selectMonDevJhHourList(MonDevJhHour monDevJhHour);

    List<MonDevJhVO> getDataPage(Page page, @Param(Constants.WRAPPER) QueryWrapper<MonDevJhVO> queryWrapper);
}
