package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.MonDevSnOther;
import cn.cecep.talroad.vo.MonDevSnVO;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 设备数据-水泥-其它时间 保存设备的小时以上的数据Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface MonDevSnOtherMapper extends BaseMapper<MonDevSnOther>
{
    /**
     * 查询设备数据-水泥-其它时间 保存设备的小时以上的数据列表
     *
     * @param monDevSnOther 设备数据-水泥-其它时间 保存设备的小时以上的数据
     * @return 设备数据-水泥-其它时间 保存设备的小时以上的数据集合
     */
    public List<MonDevSnOther> selectMonDevSnOtherList(MonDevSnOther monDevSnOther);

    List<MonDevSnVO> getDataPage(Page page, QueryWrapper<MonDevSnVO> queryWrapper);
}
