package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.MonDevTcReal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 设备数据-陶瓷-实时 保存设备的实时数据Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface MonDevTcRealMapper extends BaseMapper<MonDevTcReal>
{
    /**
     * 查询设备数据-陶瓷-实时 保存设备的实时数据列表
     *
     * @param monDevTcReal 设备数据-陶瓷-实时 保存设备的实时数据
     * @return 设备数据-陶瓷-实时 保存设备的实时数据集合
     */
    public List<MonDevTcReal> selectMonDevTcRealList(MonDevTcReal monDevTcReal);

}
