package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.OdsMeshingWeiStationHourI;

/**
 * ods层网格化微站站点小时增量Mapper接口
 *
 * @author szhpt
 * @date 2023-06-10*/
@Mapper
public interface OdsMeshingWeiStationHourIMapper extends BaseMapper<OdsMeshingWeiStationHourI>
{
    /**
     * 查询ods层网格化微站站点小时增量列表
     *
     * @param odsMeshingWeiStationHourI ods层网格化微站站点小时增量
     * @return ods层网格化微站站点小时增量集合
     */
    public List<OdsMeshingWeiStationHourI> selectOdsMeshingWeiStationHourIList(OdsMeshingWeiStationHourI odsMeshingWeiStationHourI);

}
