package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcAdsl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 企业接入数据类型Mapper接口
 *
 * @author szhpt
 * @date 2023-02-02*/
@Mapper
public interface PcAdslMapper extends BaseMapper<PcAdsl>
{
    /**
     * 查询企业接入数据类型列表
     *
     * @param pcAdsl 企业接入数据类型
     * @return 企业接入数据类型集合
     */
    public List<PcAdsl> selectPcAdslList(PcAdsl pcAdsl);

}
