package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcFactoryPollutant;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业与污染物关系Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface PcFactoryPollutantMapper extends BaseMapper<PcFactoryPollutant>
{
    /**
     * 查询企业与污染物关系列表
     *
     * @param pcFactoryPollutant 企业与污染物关系
     * @return 企业与污染物关系集合
     */
    public List<PcFactoryPollutant> selectPcFactoryPollutantList(PcFactoryPollutant pcFactoryPollutant);

    void batchUpdateValue(@Param("addList") List<PcFactoryPollutant> addList);
}
