package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcIndustry;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 行业Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface PcIndustryMapper extends BaseMapper<PcIndustry>
{
    /**
     * 查询行业列表
     *
     * @param pcIndustry 行业
     * @return 行业集合
     */
    public List<PcIndustry> selectPcIndustryList(PcIndustry pcIndustry);

    List<PcIndustry> industryPermissionList(PcIndustry pcIndustry);
}
