package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcPollutant;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 污染物Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface PcPollutantMapper extends BaseMapper<PcPollutant>
{
    /**
     * 查询污染物列表
     *
     * @param pcPollutant 污染物
     * @return 污染物集合
     */
    public List<PcPollutant> selectPcPollutantList(PcPollutant pcPollutant);

}
