package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcProductionFacility;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 生产设施Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface PcProductionFacilityMapper extends BaseMapper<PcProductionFacility>
{
    /**
     * 查询生产设施列表
     *
     * @param pcProductionFacility 生产设施
     * @return 生产设施集合
     */
    public List<PcProductionFacility> selectPcProductionFacilityList(PcProductionFacility pcProductionFacility);

}
