package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.PcStationBuilding;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 站房基本信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface PcStationBuildingMapper extends BaseMapper<PcStationBuilding>
{
    /**
     * 查询站房基本信息列表
     *
     * @param pcStationBuilding 站房基本信息
     * @return 站房基本信息集合
     */
    public List<PcStationBuilding> selectPcStationBuildingList(PcStationBuilding pcStationBuilding);

  List<PcStationBuilding> selectByStationBuildingIds(
      @Param("list") List<String> stationBuildingIds);
}
