package cn.cecep.talroad.mapper;

import org.apache.ibatis.annotations.Mapper;

/**
 * 开发公司：中节能天融科技有限公司
 *
 * ProductionScheduledMapper
 * 产治排定时任务
 * @author fzx
 * @date 2023-6-7 00:07:32
 */
@Mapper
public interface ProductionScheduledMapper {

    /**
     * 定时更新废气有组织生产设施关联关系
     */
    void updateOrganizProDevice();

    /**
     * 定时更新废气有组织治理设施关联关系
     */
    void updateOrganizCepDevice();

}
