package cn.cecep.talroad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.cecep.talroad.domain.SEnvGasSelfDay;

/**
 * 多源排放量汇总分析-废气-手工监测数据Mapper接口
 *
 * @author szhpt
 * @date 2023-07-26*/
@Mapper
public interface SEnvGasSelfDayMapper extends BaseMapper<SEnvGasSelfDay>
{
    /**
     * 查询多源排放量汇总分析-废气-手工监测数据列表
     *
     * @param sEnvGasSelfDay 多源排放量汇总分析-废气-手工监测数据
     * @return 多源排放量汇总分析-废气-手工监测数据集合
     */
    public List<SEnvGasSelfDay> selectSEnvGasSelfDayList(SEnvGasSelfDay sEnvGasSelfDay);

}
