package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.SIntegratedRoutineInspection;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 日常检查信息Mapper接口
 *
 * @author szhpt
 * @date 2023-01-10*/
@Mapper
public interface SIntegratedRoutineInspectionMapper extends BaseMapper<SIntegratedRoutineInspection>
{
    /**
     * 查询日常检查信息列表
     *
     * @param sIntegratedRoutineInspection 日常检查信息
     * @return 日常检查信息集合
     */
    public List<SIntegratedRoutineInspection> selectSIntegratedRoutineInspectionList(SIntegratedRoutineInspection sIntegratedRoutineInspection);

}
