package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.SMainDynamicControl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 基本信息-废气、废水排口档案-动态管控信息Mapper接口
 *
 * @author szhpt
 * @date 2023-02-02*/
@Mapper
public interface SMainDynamicControlMapper extends BaseMapper<SMainDynamicControl>
{
    /**
     * 查询基本信息-废气、废水排口档案-动态管控信息列表
     *
     * @param sMainDynamicControl 基本信息-废气、废水排口档案-动态管控信息
     * @return 基本信息-废气、废水排口档案-动态管控信息集合
     */
    public List<SMainDynamicControl> selectSMainDynamicControlList(SMainDynamicControl sMainDynamicControl);

}
