package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.SRaDayMonTimeFbjd;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.sql.Timestamp;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author thy
 * @since 2023-03-31
 */
@Mapper
public interface SRaDayMonTimeFbjdMapper extends BaseMapper<SRaDayMonTimeFbjd> {

    List<SRaDayMonTimeFbjd> selectListByDate(@Param("startTime") Timestamp startTime, @Param("endTime") Timestamp endTime);

    void insertinsertSRaDayMonTimeFbjds(List<SRaDayMonTimeFbjd> list);
}
