package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.STaskYieldTrend;
import cn.cecep.talroad.vo.STaskYieldTrendVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface STaskYieldTrendMapper extends BaseMapper<STaskYieldTrend> {

    List<STaskYieldTrendVo> selectMonthListGroupByIndustry(@Param("industry") String industry, @Param("startMonth") Date startMonth, @Param("endMonth") Date endMonth,@Param("regionCodes") List<String> regionCodes);

    List<STaskYieldTrend> analyseDayTaskYieldTrendData(@Param("dayTime") String dayTime);
}
