package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.BCoDischargePlanInfo;
import cn.cecep.talroad.domain.analysis.BMaintenancePlanInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface BMaintenancePlanInfoMapper extends BaseMapper<BMaintenancePlanInfo> {
    int updateBatch(List<BMaintenancePlanInfo> list);

    int updateBatchSelective(List<BMaintenancePlanInfo> list);

    int batchInsert(@Param("list") List<BMaintenancePlanInfo> list);

    List<BMaintenancePlanInfo> selectAllDevice(@Param("factoryId")String factoryId, @Param("planId") Integer planId);

    List<BMaintenancePlanInfo> infoPageList(Page<BMaintenancePlanInfo> page,@Param("factoryId")String factoryId, @Param("planId") Integer planId,@Param("deviceType") String deviceType,
                                            @Param("deviceName") String deviceName);
}