package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.BasDeviceParam;
import cn.cecep.talroad.vo.query.analysis.BasDeviceParamQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository("basDeviceParamNewMapper")
public interface BasDeviceParamMapper extends BaseMapper<BasDeviceParam> {
    int updateBatch(List<BasDeviceParam> list);

    int updateBatchSelective(List<BasDeviceParam> list);

    int batchInsert(@Param("list") List<BasDeviceParam> list);

    IPage<BasDeviceParam> pageDao(Page<BasDeviceParam> page, @Param("query") BasDeviceParamQuery query);
}