package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaActionReportsActualEmissions;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 执行报告实际排放情况Mapper接口
 *
 * @author szhpt
 * @date 2023-03-28*/
@Mapper
public interface SRaActionReportsActualEmissionsMapper extends BaseMapper<SRaActionReportsActualEmissions>
{
    /**
     * 查询执行报告实际排放情况列表
     *
     * @param lambdaQueryWrapper 执行报告实际排放情况
     * @return 执行报告实际排放情况集合
     */
    public List<SRaActionReportsActualEmissions> selectSRaActionReportsActualEmissionsList(@Param("ew") QueryWrapper<SRaActionReportsActualEmissions> lambdaQueryWrapper);

    IPage<SRaActionReportsActualEmissions> selectSRaActionReportsActualEmissionsPage(Page<SRaActionReportsActualEmissions> page, @Param("ew") QueryWrapper<SRaActionReportsActualEmissions> lambdaQueryWrapper);
}
