package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaActionReportsActualYield;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 执行报告实际产量情况Mapper接口
 *
 * @author szhpt
 * @date 2023-03-28*/
@Mapper
public interface SRaActionReportsActualYieldMapper extends BaseMapper<SRaActionReportsActualYield>
{
    /**
     * 查询执行报告实际产量情况列表
     *
     * @param sRaActionReportsActualYield 执行报告实际产量情况
     * @return 执行报告实际产量情况集合
     */
    public List<SRaActionReportsActualYield> selectSRaActionReportsActualYieldList(@Param("ew") QueryWrapper<SRaActionReportsActualYield> lambdaQueryWrapper);

    IPage<SRaActionReportsActualYield> selectSRaActionReportsActualYieldPage(Page<SRaActionReportsActualYield> page, @Param("ew") QueryWrapper<SRaActionReportsActualYield> lambdaQueryWrapper);
}
