package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaActionReportsAudit;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 执行报告规范性审核Mapper接口
 *
 * @author szhpt
 * @date 2023-03-28*/
@Mapper
public interface SRaActionReportsAuditMapper extends BaseMapper<SRaActionReportsAudit>
{
    /**
     * 查询执行报告规范性审核列表
     *
     * @param sRaActionReportsAudit 执行报告规范性审核
     * @return 执行报告规范性审核集合
     */
    public List<SRaActionReportsAudit> selectSRaActionReportsAuditList(SRaActionReportsAudit sRaActionReportsAudit);

}
