package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaAreaRegulatoryIssues;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 区域证后监管问题总表Mapper接口
 *
 * @author szhpt
 * @date 2023-03-28*/
@Mapper
public interface SRaAreaRegulatoryIssuesMapper extends BaseMapper<SRaAreaRegulatoryIssues>
{
    /**
     * 查询区域证后监管问题总表列表
     *
     * @param sRaAreaRegulatoryIssues 区域证后监管问题总表
     * @return 区域证后监管问题总表集合
     */
    public List<SRaAreaRegulatoryIssues> selectSRaAreaRegulatoryIssuesList(SRaAreaRegulatoryIssues sRaAreaRegulatoryIssues);

}
