package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaOverRateGas;
import cn.cecep.talroad.vo.analysis.SRaOverRateGasVo;
import cn.cecep.talroad.vo.query.analysis.SRaOverRateGasQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;

/**
 * 超标率分析-气污染要素Mapper接口
 *
 * @author szhpt
 * @date 2023-03-24*/
@Mapper
public interface SRaOverRateGasMapper extends BaseMapper<SRaOverRateGas>
{
    List<SRaOverRateGasVo> selectOverRateGasPage(Page<SRaOverRateGasVo> page, @Param("query") SRaOverRateGasQuery query);

    List<SRaOverRateGas> selectByMonthData(@Param("monthList") List<String> monthList);
}
