package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaPollManTypeChange;
import cn.cecep.talroad.vo.analysis.SRaPollManTypeChangeVo;
import cn.cecep.talroad.vo.query.analysis.SRaPollManTypeChangeQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SRaPollManTypeChangeMapper extends BaseMapper<SRaPollManTypeChange> {
    int updateBatch(List<SRaPollManTypeChange> list);

    int updateBatchSelective(List<SRaPollManTypeChange> list);

    int batchInsert(@Param("list") List<SRaPollManTypeChange> list);

    IPage<SRaPollManTypeChangeVo> selectListInfo(Page<SRaPollManTypeChangeVo> page, @Param("query") SRaPollManTypeChangeQuery query);

    List<String> selectIndustryPermissionNameList(SRaPollManTypeChangeQuery query);

}