package cn.cecep.talroad.mapper.analysis;

import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.SRaRealTimeAnalysicComsitSt;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysicComsit;
import cn.cecep.talroad.vo.analysis.SRaRealTimeAnalysicComsitMonitorVo;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysicComsitQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 关联分析系统-企业生产过程分析-监测点位对比分析-分组Mapper接口
 *
 * @author szhpt
 * @date 2023-07-14*/
@Mapper
public interface SRaRealTimeAnalysicComsitMapper extends BaseMapper<SRaRealTimeAnalysicComsit>
{
    /**
     * 查询关联分析系统-企业生产过程分析-监测点位对比分析-分组列表
     *
     * @param sRaRealTimeAnalysicComsit 关联分析系统-企业生产过程分析-监测点位对比分析-分组
     * @return 关联分析系统-企业生产过程分析-监测点位对比分析-分组集合
     */
    public List<SRaRealTimeAnalysicComsit> selectSRaRealTimeAnalysicComsitList(SRaRealTimeAnalysicComsit sRaRealTimeAnalysicComsit);

    List<SRaRealTimeAnalysicComsitMonitorVo> selectSRaRealTimeAnalysicComsitListBy(Page<SRaRealTimeAnalysicComsitMonitorVo> page, @Param("sRaRealTimeAnalysicComsit") SRaRealTimeAnalysicComsitMonitorVo sRaRealTimeAnalysicComsit);

    List<SRaRealTimeAnalysicComsit> selectSRaRealTimeAnalysicComsitListBys(Page<?> page, @Param("comsitQuery") SRaRealTimeAnalysicComsitQuery comsitQuery);

    List<SRaRealTimeAnalysicComsitMonitorVo> abnormalList(Page<?> page, @Param("sRaRealTimeAnalysicComsit") SRaRealTimeAnalysicComsitMonitorVo sRaRealTimeAnalysicComsit);

    List<SRaRealTimeAnalysicComsitSt> abnormalEcharts(@Param("sRaRealTimeAnalysicComsit") SRaRealTimeAnalysicComsitMonitorVo sRaRealTimeAnalysicComsit);

    List<Map<String, Object>> editListDropdown(@Param("sRaRealTimeAnalysicComsit")  SRaRealTimeAnalysicComsitMonitorVo sRaRealTimeAnalysicComsit);

}
