package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.AmDoorMonitorAccountFi;
import cn.cecep.talroad.vo.AmDoorMonitorAccountFiVo;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 门禁监控Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IAmDoorMonitorAccountFiService extends  IService<AmDoorMonitorAccountFi>
{
    /**
     * 查询门禁监控列表
     *
     * @param amDoorMonitorAccountFi 门禁监控
     * @return 门禁监控集合
     */
    public List<AmDoorMonitorAccountFi> selectAmDoorMonitorAccountFiList(AmDoorMonitorAccountFi amDoorMonitorAccountFi);

    List<AmDoorMonitorAccountFiVo> selectLabelAccount(String lastDayBegin, String lastDayEnd);

    List<AmDoorMonitorAccountFiVo> selectCarEntryCount(String controlStartTime, String controlEndTime, String lastHourBegin, String lastHourEnd);
}
