package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BEnterpriseIrEesType;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 知识库-生态环境标准-分类Service接口
 *
 * @author szhpt
 * @date 2023-03-14*/
public interface IBEnterpriseIrEesTypeService extends  IService<BEnterpriseIrEesType>
{
    /**
     * 查询知识库-生态环境标准-分类列表
     *
     * @param bEnterpriseIrEesType 知识库-生态环境标准-分类
     * @return 知识库-生态环境标准-分类集合
     */
    public List<BEnterpriseIrEesType> selectBEnterpriseIrEesTypeList(BEnterpriseIrEesType bEnterpriseIrEesType);

    List<BEnterpriseIrEesType> selectTreeList(String eesClassify);
}
