package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainAllowablePollutionAir;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 总许可量-大气排放总许可量要求Service接口
 *
 * @author szhpt
 * @date 2023-01-31*/
public interface IBMainAllowablePollutionAirService extends  IService<BMainAllowablePollutionAir>
{
    /**
     * 查询总许可量-大气排放总许可量要求列表
     *
     * @param bMainAllowablePollutionAir 总许可量-大气排放总许可量要求
     * @return 总许可量-大气排放总许可量要求集合
     */
    public List<BMainAllowablePollutionAir> selectBMainAllowablePollutionAirList(BMainAllowablePollutionAir bMainAllowablePollutionAir);

    IPage<BMainAllowablePollutionAir> selectBMainAllowablePollutionAirPageList(Page<BMainAllowablePollutionAir> page, QueryWrapper<BMainAllowablePollutionAir> lambdaQueryWrapper);

}
