package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainEmissionOnlineMonWater;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业排放信息-在线监测排放趋势-废水Service接口
 *
 * @author szhpt
 * @date 2023-01-31*/
public interface IBMainEmissionOnlineMonWaterService extends  IService<BMainEmissionOnlineMonWater>
{
    /**
     * 查询企业排放信息-在线监测排放趋势-废水列表
     *
     * @param bMainEmissionOnlineMonWater 企业排放信息-在线监测排放趋势-废水
     * @return 企业排放信息-在线监测排放趋势-废水集合
     */
    public List<BMainEmissionOnlineMonWater> selectBMainEmissionOnlineMonWaterList(BMainEmissionOnlineMonWater bMainEmissionOnlineMonWater);
    
}
