package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainEmissionPollutionSolidWaste;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业排放信息-不同污染物年度排放趋势-固废Service接口
 *
 * @author szhpt
 * @date 2023-01-31*/
public interface IBMainEmissionPollutionSolidWasteService extends  IService<BMainEmissionPollutionSolidWaste>
{
    /**
     * 查询企业排放信息-不同污染物年度排放趋势-固废列表
     *
     * @param bMainEmissionPollutionSolidWaste 企业排放信息-不同污染物年度排放趋势-固废
     * @return 企业排放信息-不同污染物年度排放趋势-固废集合
     */
    public List<BMainEmissionPollutionSolidWaste> selectBMainEmissionPollutionSolidWasteList(BMainEmissionPollutionSolidWaste bMainEmissionPollutionSolidWaste);
    
}
