package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainEmissionSourceWater;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业排放信息-多来源排放量对比-废水Service接口
 *
 * @author szhpt
 * @date 2023-01-31*/
public interface IBMainEmissionSourceWaterService extends  IService<BMainEmissionSourceWater>
{
    /**
     * 查询企业排放信息-多来源排放量对比-废水列表
     *
     * @param bMainEmissionSourceWater 企业排放信息-多来源排放量对比-废水
     * @return 企业排放信息-多来源排放量对比-废水集合
     */
    public List<BMainEmissionSourceWater> selectBMainEmissionSourceWaterList(BMainEmissionSourceWater bMainEmissionSourceWater);
    
}
