package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainHazardousSolidWasteCr;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 固体废物环境管理要求Service接口
 *
 * @author szhpt
 * @date 2023-01-11*/
public interface IBMainHazardousSolidWasteCrService extends  IService<BMainHazardousSolidWasteCr>
{
    /**
     * 查询固体废物环境管理要求列表
     *
     * @param bMainHazardousSolidWasteCr 固体废物环境管理要求
     * @return 固体废物环境管理要求集合
     */
    public List<BMainHazardousSolidWasteCr> selectBMainHazardousSolidWasteCrList(BMainHazardousSolidWasteCr bMainHazardousSolidWasteCr);
    
}
