package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainHazardousSolidWasteFa;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 自行贮存和自行利用处置设施信息Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IBMainHazardousSolidWasteFaService extends  IService<BMainHazardousSolidWasteFa>
{
    /**
     * 查询自行贮存和自行利用处置设施信息列表
     *
     * @param bMainHazardousSolidWasteFa 自行贮存和自行利用处置设施信息
     * @return 自行贮存和自行利用处置设施信息集合
     */
    public List<BMainHazardousSolidWasteFa> selectBMainHazardousSolidWasteFaList(BMainHazardousSolidWasteFa bMainHazardousSolidWasteFa);
    
}
