package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainMobileEnforcement;
import cn.cecep.talroad.vo.query.BMainMobileEnforcementQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 移动执法信息Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IBMainMobileEnforcementService extends  IService<BMainMobileEnforcement>
{
    /**
     * 查询移动执法信息列表
     *
     * @param bMainMobileEnforcement 移动执法信息
     * @return 移动执法信息集合
     */
    public List<BMainMobileEnforcement> selectBMainMobileEnforcementList(BMainMobileEnforcement bMainMobileEnforcement);

    IPage<BMainMobileEnforcement> pullPage(BMainMobileEnforcementQuery bMainMobileEnforcement);

}
