package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainNoiseEmissions;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 噪声排放信息Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IBMainNoiseEmissionsService extends  IService<BMainNoiseEmissions>
{
    /**
     * 查询噪声排放信息列表
     *
     * @param bMainNoiseEmissions 噪声排放信息
     * @return 噪声排放信息集合
     */
    public List<BMainNoiseEmissions> selectBMainNoiseEmissionsList(BMainNoiseEmissions bMainNoiseEmissions);
    
}
