package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisGasMout;
import cn.cecep.talroad.vo.query.BMainPollDisGasMoutQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可大气主排放口Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisGasMoutService extends  IService<BMainPollDisGasMout>
{
    /**
     * 查询排污许可大气主排放口列表
     *
     * @param bMainPollDisGasMout 排污许可大气主排放口
     * @return 排污许可大气主排放口集合
     */
    public List<BMainPollDisGasMout> selectBMainPollDisGasMoutList(BMainPollDisGasMout bMainPollDisGasMout);

    IPage<BMainPollDisGasMout> pullPage(BMainPollDisGasMoutQuery bMainPollDisGasMout);
}
