package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisGasOout;
import cn.cecep.talroad.vo.query.BMainPollDisGasOoutQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可大气一般排放口Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisGasOoutService extends  IService<BMainPollDisGasOout>
{
    /**
     * 查询排污许可大气一般排放口列表
     *
     * @param bMainPollDisGasOout 排污许可大气一般排放口
     * @return 排污许可大气一般排放口集合
     */
    public List<BMainPollDisGasOout> selectBMainPollDisGasOoutList(BMainPollDisGasOout bMainPollDisGasOout);

    IPage<BMainPollDisGasOout> pullPage(BMainPollDisGasOoutQuery bMainPollDisGasOout);
}
