package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisInformation;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可信息公开Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisInformationService extends  IService<BMainPollDisInformation>
{
    /**
     * 查询排污许可信息公开列表
     *
     * @param bMainPollDisInformation 排污许可信息公开
     * @return 排污许可信息公开集合
     */
    public List<BMainPollDisInformation> selectBMainPollDisInformationList(BMainPollDisInformation bMainPollDisInformation);

    /**
     * 查询排污许可信息公开要求
     * @param xkzId 许可证主键
     * @return
     */
    BMainPollDisInformation pullInformationDisclosure(String xkzId);
}
