package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisNoiseRequire;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可环境管理要求Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisNoiseRequireService extends  IService<BMainPollDisNoiseRequire>
{
    /**
     * 查询排污许可环境管理要求列表
     *
     * @param bMainPollDisNoiseRequire 排污许可环境管理要求
     * @return 排污许可环境管理要求集合
     */
    public List<BMainPollDisNoiseRequire> selectBMainPollDisNoiseRequireList(BMainPollDisNoiseRequire bMainPollDisNoiseRequire);


    BMainPollDisNoiseRequire pullOtherXkAskManage(String xkzId);
}
