package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisNoise;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可其他许可噪声排放Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisNoiseService extends  IService<BMainPollDisNoise>
{
    /**
     * 查询排污许可其他许可噪声排放列表
     *
     * @param bMainPollDisNoise 排污许可其他许可噪声排放
     * @return 排污许可其他许可噪声排放集合
     */
    public List<BMainPollDisNoise> selectBMainPollDisNoiseList(BMainPollDisNoise bMainPollDisNoise);
    
}
