package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisSelfMonOther;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可自行监测记录Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisSelfMonOtherService extends  IService<BMainPollDisSelfMonOther>
{
    /**
     * 查询排污许可自行监测记录列表
     *
     * @param bMainPollDisSelfMonOther 排污许可自行监测记录
     * @return 排污许可自行监测记录集合
     */
    public List<BMainPollDisSelfMonOther> selectBMainPollDisSelfMonOtherList(BMainPollDisSelfMonOther bMainPollDisSelfMonOther);
    
}
