package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisWaterOout;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可水污染物一般排放口Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisWaterOoutService extends  IService<BMainPollDisWaterOout>
{
    /**
     * 查询排污许可水污染物一般排放口列表
     *
     * @param bMainPollDisWaterOout 排污许可水污染物一般排放口
     * @return 排污许可水污染物一般排放口集合
     */
    public List<BMainPollDisWaterOout> selectBMainPollDisWaterOoutList(BMainPollDisWaterOout bMainPollDisWaterOout);
    
}
