package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainPollDisWaterSout;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 排污许可水污染物特殊情况Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainPollDisWaterSoutService extends  IService<BMainPollDisWaterSout>
{
    /**
     * 查询排污许可水污染物特殊情况列表
     *
     * @param bMainPollDisWaterSout 排污许可水污染物特殊情况
     * @return 排污许可水污染物特殊情况集合
     */
    public List<BMainPollDisWaterSout> selectBMainPollDisWaterSoutList(BMainPollDisWaterSout bMainPollDisWaterSout);
    
}
