package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainSolidHazardous;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 固危废贮存信息Service接口
 *
 * @author szhpt
 * @date 2023-01-18*/
public interface IBMainSolidHazardousService extends  IService<BMainSolidHazardous>
{
    /**
     * 查询固危废贮存信息列表
     *
     * @param bMainSolidHazardous 固危废贮存信息
     * @return 固危废贮存信息集合
     */
    public List<BMainSolidHazardous> selectBMainSolidHazardousList(BMainSolidHazardous bMainSolidHazardous);
    
}
