package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BMainSolidWasteOutput;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.BMainSolidWasteOutputQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 固废产生与处理Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IBMainSolidWasteOutputService extends  IService<BMainSolidWasteOutput>
{
    /**
     * 查询固废产生与处理列表
     *
     * @param bMainSolidWasteOutput 固废产生与处理
     * @return 固废产生与处理集合
     */
    public List<BMainSolidWasteOutput> selectBMainSolidWasteOutputList(BMainSolidWasteOutput bMainSolidWasteOutput);

    EChartsVO getCharData(BMainSolidWasteOutputQuery bMainSolidWasteOutput);
}
