package cn.cecep.talroad.service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BMainThreeSupervisionEnforcRecord;

/**
 * 三监联动执法信息记录Service接口
 *
 * @author szhpt
 * @date 2023-03-29*/
public interface IBMainThreeSupervisionEnforcRecordService extends  IService<BMainThreeSupervisionEnforcRecord>
{
    /**
     * 查询三监联动执法信息记录列表
     *
     * @param bMainThreeSupervisionEnforcRecord 三监联动执法信息记录
     * @return 三监联动执法信息记录集合
     */
    public List<BMainThreeSupervisionEnforcRecord> selectBMainThreeSupervisionEnforcRecordList(BMainThreeSupervisionEnforcRecord bMainThreeSupervisionEnforcRecord);
    
}
