package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmissionSpeed;

/**
 * 固定源产排治--执行报告--有组织废气污染物排放速率监测Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgGasEmissionSpeedService extends  IService<BStatTableZxbgGasEmissionSpeed>
{
    /**
     * 查询固定源产排治--执行报告--有组织废气污染物排放速率监测列表
     *
     * @param bStatTableZxbgGasEmissionSpeed 固定源产排治--执行报告--有组织废气污染物排放速率监测
     * @return 固定源产排治--执行报告--有组织废气污染物排放速率监测集合
     */
    public List<BStatTableZxbgGasEmissionSpeed> selectBStatTableZxbgGasEmissionSpeedList(BStatTableZxbgGasEmissionSpeed bStatTableZxbgGasEmissionSpeed);

    AjaxResults<IPage<BStatTableZxbgGasEmissionSpeed>> selectBStatTableZxbgGasEmissionSpeedListBy(BStatTablepPwxkWaterQuery query);
}
