package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgGasEmissionStatistics;

/**
 * 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgGasEmissionStatisticsService extends  IService<BStatTableZxbgGasEmissionStatistics>
{
    /**
     * 查询固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计列表
     *
     * @param bStatTableZxbgGasEmissionStatistics 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计
     * @return 固定源产排治--执行报告--无组织废气污染物排放浓度监测数据统计集合
     */
    public List<BStatTableZxbgGasEmissionStatistics> selectBStatTableZxbgGasEmissionStatisticsList(BStatTableZxbgGasEmissionStatistics bStatTableZxbgGasEmissionStatistics);

    AjaxResults<IPage<BStatTableZxbgGasEmissionStatistics>> selectBStatTableZxbgGasEmissionStatisticsListBy(BStatTablepPwxkWaterQuery query);
}
