package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgGtFuel;

/**
 * 固定源产排治--执行报告--钢铁-燃料分析Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgGtFuelService extends  IService<BStatTableZxbgGtFuel>
{
    /**
     * 查询固定源产排治--执行报告--钢铁-燃料分析列表
     *
     * @param bStatTableZxbgGtFuel 固定源产排治--执行报告--钢铁-燃料分析
     * @return 固定源产排治--执行报告--钢铁-燃料分析集合
     */
    public List<BStatTableZxbgGtFuel> selectBStatTableZxbgGtFuelList(BStatTableZxbgGtFuel bStatTableZxbgGtFuel);

    AjaxResults<IPage<BStatTableZxbgGtFuel>> selectBStatTableZxbgGtFuelListBy(BStatTablepPwxkWaterQuery query);
}
