package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgGtProduction;

/**
 * 固定源产排治--执行报告--钢铁-生产单元运行情况Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgGtProductionService extends  IService<BStatTableZxbgGtProduction>
{
    /**
     * 查询固定源产排治--执行报告--钢铁-生产单元运行情况列表
     *
     * @param bStatTableZxbgGtProduction 固定源产排治--执行报告--钢铁-生产单元运行情况
     * @return 固定源产排治--执行报告--钢铁-生产单元运行情况集合
     */
    public List<BStatTableZxbgGtProduction> selectBStatTableZxbgGtProductionList(BStatTableZxbgGtProduction bStatTableZxbgGtProduction);

    AjaxResults<IPage<BStatTableZxbgGtProduction>> selectBStatTableZxbgGtProductionListBy(BStatTablepPwxkWaterQuery query);
}
