package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtBasic;

/**
 * 固定源产排治--执行报告--火电、钢铁基本信息Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgHdGtBasicService extends  IService<BStatTableZxbgHdGtBasic>
{
    /**
     * 查询固定源产排治--执行报告--火电、钢铁基本信息列表
     *
     * @param bStatTableZxbgHdGtBasic 固定源产排治--执行报告--火电、钢铁基本信息
     * @return 固定源产排治--执行报告--火电、钢铁基本信息集合
     */
    public List<BStatTableZxbgHdGtBasic> selectBStatTableZxbgHdGtBasicList(BStatTableZxbgHdGtBasic bStatTableZxbgHdGtBasic);

    AjaxResults<IPage<BStatTableZxbgHdGtBasic>> selectBStatTableZxbgHdGtBasicListBy(BStatTablepPwxkWaterQuery query);
}
