package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgHdGtInvestment;

/**
 * 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgHdGtInvestmentService extends  IService<BStatTableZxbgHdGtInvestment>
{
    /**
     * 查询固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况列表
     *
     * @param bStatTableZxbgHdGtInvestment 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况
     * @return 固定源产排治--执行报告--火电、钢铁污染治理设施计划投资情况集合
     */
    public List<BStatTableZxbgHdGtInvestment> selectBStatTableZxbgHdGtInvestmentList(BStatTableZxbgHdGtInvestment bStatTableZxbgHdGtInvestment);

    AjaxResults<IPage<BStatTableZxbgHdGtInvestment>> selectBStatTableZxbgHdGtInvestmentListBy(BStatTablepPwxkWaterQuery query);
}
