package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirOther;

/**
 * 固定源产排治--执行报告--废气其他排放总计Service接口
 *
 * @author szhpt
 * @date 2023-07-27*/
public interface IBStatTableZxbgPflAirOtherService extends  IService<BStatTableZxbgPflAirOther>
{
    /**
     * 查询固定源产排治--执行报告--废气其他排放总计列表
     *
     * @param bStatTableZxbgPflAirOther 固定源产排治--执行报告--废气其他排放总计
     * @return 固定源产排治--执行报告--废气其他排放总计集合
     */
    public List<BStatTableZxbgPflAirOther> selectBStatTableZxbgPflAirOtherList(BStatTableZxbgPflAirOther bStatTableZxbgPflAirOther);

    AjaxResults<IPage<BStatTableZxbgPflAirOther>> selectBStatTableZxbgPflAirOtherListBy(BStatTablepPwxkWaterQuery query);
}
