package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirSpecial;

/**
 * 固定源产排治--执行报告--特殊时段废气排放量Service接口
 *
 * @author szhpt
 * @date 2023-07-31*/
public interface IBStatTableZxbgPflAirSpecialService extends  IService<BStatTableZxbgPflAirSpecial>
{
    /**
     * 查询固定源产排治--执行报告--特殊时段废气排放量列表
     *
     * @param bStatTableZxbgPflAirSpecial 固定源产排治--执行报告--特殊时段废气排放量
     * @return 固定源产排治--执行报告--特殊时段废气排放量集合
     */
    public List<BStatTableZxbgPflAirSpecial> selectBStatTableZxbgPflAirSpecialList(BStatTableZxbgPflAirSpecial bStatTableZxbgPflAirSpecial);

    AjaxResults<IPage<BStatTableZxbgPflAirSpecial>> selectBStatTableZxbgPflAirSpecialListBy(BStatTablepPwxkWaterQuery query);
}
