package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgPflWaterVoerproof;

/**
 * 固定源产排治--执行报告--废水超标排放信息Service接口
 *
 * @author szhpt
 * @date 2023-07-28*/
public interface IBStatTableZxbgPflWaterVoerproofService extends  IService<BStatTableZxbgPflWaterVoerproof>
{
    /**
     * 查询固定源产排治--执行报告--废水超标排放信息列表
     *
     * @param bStatTableZxbgPflWaterVoerproof 固定源产排治--执行报告--废水超标排放信息
     * @return 固定源产排治--执行报告--废水超标排放信息集合
     */
    public List<BStatTableZxbgPflWaterVoerproof> selectBStatTableZxbgPflWaterVoerproofList(BStatTableZxbgPflWaterVoerproof bStatTableZxbgPflWaterVoerproof);

    AjaxResults<IPage<BStatTableZxbgPflWaterVoerproof>> selectBStatTableZxbgPflWaterVoerproofListBy(BStatTablepPwxkWaterQuery query);
}
