package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BStatTableZxbgSnFuel;

/**
 * 固定源产排治--执行报告--水泥燃料分析Service接口
 *
 * @author szhpt
 * @date 2023-08-01*/
public interface IBStatTableZxbgSnFuelService extends  IService<BStatTableZxbgSnFuel>
{
    /**
     * 查询固定源产排治--执行报告--水泥燃料分析列表
     *
     * @param bStatTableZxbgSnFuel 固定源产排治--执行报告--水泥燃料分析
     * @return 固定源产排治--执行报告--水泥燃料分析集合
     */
    public List<BStatTableZxbgSnFuel> selectBStatTableZxbgSnFuelList(BStatTableZxbgSnFuel bStatTableZxbgSnFuel);

    AjaxResults<IPage<BStatTableZxbgSnFuel>> selectBStatTableZxbgSnFuelListBy(BStatTablepPwxkWaterQuery query);
}
