package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BasDevToElec;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 有组织-分表计电设备对应Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IBasDevToElecService extends  IService<BasDevToElec>
{
    /**
     * 查询有组织-分表计电设备对应列表
     *
     * @param basDevToElec 有组织-分表计电设备对应
     * @return 有组织-分表计电设备对应集合
     */
    public List<BasDevToElec> selectBasDevToElecList(BasDevToElec basDevToElec);
    
}
