package cn.cecep.talroad.service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.BasDeviceZlConfig;

/**
 * 转炉设备与转炉煤气放散设备映射关系Service接口
 *
 * @author szhpt
 * @date 2023-06-30*/
public interface IBasDeviceZlConfigService extends  IService<BasDeviceZlConfig>
{
    /**
     * 查询转炉设备与转炉煤气放散设备映射关系列表
     *
     * @param basDeviceZlConfig 转炉设备与转炉煤气放散设备映射关系
     * @return 转炉设备与转炉煤气放散设备映射关系集合
     */
    public List<BasDeviceZlConfig> selectBasDeviceZlConfigList(BasDeviceZlConfig basDeviceZlConfig);
    
}
