package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BasElecDevice;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 分表计电设备信息Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IBasElecDeviceService extends  IService<BasElecDevice>
{
    /**
     * 查询分表计电设备信息列表
     *
     * @param basElecDevice 分表计电设备信息
     * @return 分表计电设备信息集合
     */
    public List<BasElecDevice> selectBasElecDeviceList(BasElecDevice basElecDevice);
    
}
