package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.BasParam;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 监测参数汇总(有组织)Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IBasParamService extends  IService<BasParam>
{
    /**
     * 查询监测参数汇总(有组织)列表
     *
     * @param basParam 监测参数汇总(有组织)
     * @return 监测参数汇总(有组织)集合
     */
    public List<BasParam> selectBasParamList(BasParam basParam);

    Map<String, Object> getMonitroingParam();
}
