package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.vo.query.EarlyWarningQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.EarlyWarning;

/**
 * 管控浓度超标预警Service接口
 *
 * @author szhpt
 * @date 2023-04-24*/
public interface IEarlyWarningService extends  IService<EarlyWarning>
{
    /**
     * 查询管控浓度超标预警列表
     *
     * @param earlyWarning 管控浓度超标预警
     * @return 管控浓度超标预警集合
     */
    public List<EarlyWarning> selectEarlyWarningList(EarlyWarningQuery earlyWarning);
    
}
