package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.vo.FactoryReportingRemindersVo;
import cn.cecep.talroad.vo.query.FactoryReportingRemindersQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.FactoryReportingReminders;

/**
 * 企业信息上报提交提示Service接口
 *
 * @author szhpt
 * @date 2023-05-09*/
public interface IFactoryReportingRemindersService extends  IService<FactoryReportingReminders>
{
    /**
     * 查询企业信息上报提交提示列表
     *
     * @param factoryReportingReminders 企业信息上报提交提示
     * @return 企业信息上报提交提示集合
     */
    public List<FactoryReportingReminders> selectFactoryReportingRemindersList(FactoryReportingReminders factoryReportingReminders);

    Integer updateReminder(FactoryReportingRemindersVo factoryId);

    void factoryReportingReminders();

    public List<FactoryReportingRemindersVo> factoryReportingRemindersList(Page<FactoryReportingRemindersVo> page, FactoryReportingRemindersQuery query);
}
