package cn.cecep.talroad.service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.FactoryReportingTask;

/**
 * 企业信息上报任务Service接口
 *
 * @author szhpt
 * @date 2023-05-09*/
public interface IFactoryReportingTaskService extends  IService<FactoryReportingTask>
{
    /**
     * 查询企业信息上报任务列表
     *
     * @param factoryReportingTask 企业信息上报任务
     * @return 企业信息上报任务集合
     */
    public List<FactoryReportingTask> selectFactoryReportingTaskList(FactoryReportingTask factoryReportingTask);

    void informationReporting();
}
