package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MAmVideoDevFi;
import cn.cecep.talroad.vo.MAmVideoDevFiVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 基础信息 与 产治排跟踪--视频设施清单Service接口
 *
 * @author szhpt
 * @date 2023-02-10*/
public interface IMAmVideoDevFiService extends  IService<MAmVideoDevFi>
{
    /**
     * 查询基础信息 与 产治排跟踪--视频设施清单列表
     *
     * @param mAmVideoDevFi 基础信息 与 产治排跟踪--视频设施清单
     * @return 基础信息 与 产治排跟踪--视频设施清单集合
     */
    public List<MAmVideoDevFi> selectMAmVideoDevFiList(MAmVideoDevFi mAmVideoDevFi);


    void editBatch(MAmVideoDevFiVo[] mAmVideoDevFiVoArr);
}
