package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevBlHour;
import cn.cecep.talroad.vo.MonDevBlVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备数据-玻璃-小时 保存设备的小时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevBlHourService extends  IService<MonDevBlHour>
{
    /**
     * 查询设备数据-玻璃-小时 保存设备的小时数据列表
     *
     * @param monDevBlHour 设备数据-玻璃-小时 保存设备的小时数据
     * @return 设备数据-玻璃-小时 保存设备的小时数据集合
     */
    public List<MonDevBlHour> selectMonDevBlHourList(MonDevBlHour monDevBlHour);

    List<MonDevBlVO> getDataPage(String factoryId, List<String> deviceIds, String startTime, String endTime, String orderField, String orderType, Page page);


}
