package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevDlHour;
import cn.cecep.talroad.vo.MonDevDlVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备数据-电力-小时 保存设备的小时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevDlHourService extends  IService<MonDevDlHour>
{
    /**
     * 查询设备数据-电力-小时 保存设备的小时数据列表
     *
     * @param monDevDlHour 设备数据-电力-小时 保存设备的小时数据
     * @return 设备数据-电力-小时 保存设备的小时数据集合
     */
    public List<MonDevDlHour> selectMonDevDlHourList(MonDevDlHour monDevDlHour);

    List<MonDevDlVO> getDataPage(String factoryId, List<String> deviceIds, String startTime, String endTime, String orderField, String orderType, Page page);


}
