package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevJhHour;
import cn.cecep.talroad.vo.MonDevJhVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备数据-焦化-小时 保存设备的小时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevJhHourService extends  IService<MonDevJhHour>
{
    /**
     * 查询设备数据-焦化-小时 保存设备的小时数据列表
     *
     * @param monDevJhHour 设备数据-焦化-小时 保存设备的小时数据
     * @return 设备数据-焦化-小时 保存设备的小时数据集合
     */
    public List<MonDevJhHour> selectMonDevJhHourList(MonDevJhHour monDevJhHour);

    List<MonDevJhVO> getDataPage(String factoryId, List<String> deviceIds, String startTime, String endTime, String orderField, String orderType, Page page);

}
