package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevTcHour;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备数据-陶瓷-小时 保存设备的小时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevTcHourService extends  IService<MonDevTcHour>
{
    /**
     * 查询设备数据-陶瓷-小时 保存设备的小时数据列表
     *
     * @param monDevTcHour 设备数据-陶瓷-小时 保存设备的小时数据
     * @return 设备数据-陶瓷-小时 保存设备的小时数据集合
     */
    public List<MonDevTcHour> selectMonDevTcHourList(MonDevTcHour monDevTcHour);
    
}
