package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonElecEvent;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 有组织-分表计电设备对应 两类设备为多对多的关系Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonElecEventService extends  IService<MonElecEvent>
{
    /**
     * 查询有组织-分表计电设备对应 两类设备为多对多的关系列表
     *
     * @param monElecEvent 有组织-分表计电设备对应 两类设备为多对多的关系
     * @return 有组织-分表计电设备对应 两类设备为多对多的关系集合
     */
    public List<MonElecEvent> selectMonElecEventList(MonElecEvent monElecEvent);
    
}
