package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcAdslFactory;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 企业与接入数据类型关联Service接口
 *
 * @author szhpt
 * @date 2023-02-02*/
public interface IPcAdslFactoryService extends  IService<PcAdslFactory>
{
    /**
     * 查询企业与接入数据类型关联列表
     *
     * @param pcAdslFactory 企业与接入数据类型关联
     * @return 企业与接入数据类型关联集合
     */
    public List<PcAdslFactory> selectPcAdslFactoryList(PcAdslFactory pcAdslFactory);

    List<Map<String, String>> selectEntInDatas(String factoryId);
}
