package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcAdsl;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业接入数据类型Service接口
 *
 * @author szhpt
 * @date 2023-02-02*/
public interface IPcAdslService extends  IService<PcAdsl>
{
    /**
     * 查询企业接入数据类型列表
     *
     * @param pcAdsl 企业接入数据类型
     * @return 企业接入数据类型集合
     */
    public List<PcAdsl> selectPcAdslList(PcAdsl pcAdsl);
    
}
