package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcFactoryPollutant;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业与污染物关系Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IPcFactoryPollutantService extends  IService<PcFactoryPollutant>
{
    /**
     * 查询企业与污染物关系列表
     *
     * @param pcFactoryPollutant 企业与污染物关系
     * @return 企业与污染物关系集合
     */
    public List<PcFactoryPollutant> selectPcFactoryPollutantList(PcFactoryPollutant pcFactoryPollutant);
    
}
