package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcIndustry;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 行业Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IPcIndustryService extends  IService<PcIndustry>
{
    /**
     * 查询行业列表
     *
     * @param pcIndustry 行业
     * @return 行业集合
     */
    public List<PcIndustry> selectPcIndustryList(PcIndustry pcIndustry);

    List<PcIndustry> industryPermissionList(PcIndustry pcIndustry);
}
