package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcManagementFacilities;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 治理设施Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IPcManagementFacilitiesService extends  IService<PcManagementFacilities>
{
    /**
     * 查询治理设施列表
     *
     * @param pcManagementFacilities 治理设施
     * @return 治理设施集合
     */
    public List<PcManagementFacilities> selectPcManagementFacilitiesList(PcManagementFacilities pcManagementFacilities);
    
}
