package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcStationBuildingOps;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 站房运维签到信息Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IPcStationBuildingOpsService extends  IService<PcStationBuildingOps>
{
    /**
     * 查询站房运维签到信息列表
     *
     * @param pcStationBuildingOps 站房运维签到信息
     * @return 站房运维签到信息集合
     */
    public List<PcStationBuildingOps> selectPcStationBuildingOpsList(PcStationBuildingOps pcStationBuildingOps);
    
}
