package cn.cecep.talroad.service;
import java.util.List;

import cn.cecep.talroad.vo.PcStationBuildingStatVo;
import cn.cecep.talroad.vo.query.PcStationBuildingStatQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.PcStationBuildingStat;

/**
 * 站房信息--站房门禁进出统计分析Service接口
 *
 * @author szhpt
 * @date 2023-06-27*/
public interface IPcStationBuildingStatService extends  IService<PcStationBuildingStat>
{
    List<PcStationBuildingStatVo> selectPage(Page<PcStationBuildingStatVo> page, PcStationBuildingStatQuery query);
    /**
     * 查询站房信息--站房门禁进出统计分析列表
     *
     * @param pcStationBuildingStat 站房信息--站房门禁进出统计分析
     * @return 站房信息--站房门禁进出统计分析集合
     */
    public List<PcStationBuildingStat> selectPcStationBuildingStatList(PcStationBuildingStat pcStationBuildingStat);

}
