package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.SIntegratedRoutineInspection;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 日常检查信息Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface ISIntegratedRoutineInspectionService extends  IService<SIntegratedRoutineInspection>
{
    /**
     * 查询日常检查信息列表
     *
     * @param sIntegratedRoutineInspection 日常检查信息
     * @return 日常检查信息集合
     */
    public List<SIntegratedRoutineInspection> selectSIntegratedRoutineInspectionList(SIntegratedRoutineInspection sIntegratedRoutineInspection);
    
}
