package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.SMainDynamicControl;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 基本信息-废气、废水排口档案-动态管控信息Service接口
 *
 * @author szhpt
 * @date 2023-02-02*/
public interface ISMainDynamicControlService extends  IService<SMainDynamicControl>
{
    /**
     * 查询基本信息-废气、废水排口档案-动态管控信息列表
     *
     * @param sMainDynamicControl 基本信息-废气、废水排口档案-动态管控信息
     * @return 基本信息-废气、废水排口档案-动态管控信息集合
     */
    public List<SMainDynamicControl> selectSMainDynamicControlList(SMainDynamicControl sMainDynamicControl);
    
}
