package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaAbNalysisCar;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 管控期车辆异常分析Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaAbNalysisCarService extends IService<SRaAbNalysisCar>
{
    /**
     * 查询管控期车辆异常分析列表
     *
     * @param sRaAbNalysisCar 管控期车辆异常分析
     * @return 管控期车辆异常分析集合
     */
    public List<SRaAbNalysisCar> selectSRaAbNalysisCarList(SRaAbNalysisCar sRaAbNalysisCar);
    
}
