package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaActionReportsActualEmissions;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 执行报告实际排放情况Service接口
 *
 * @author szhpt
 * @date 2023-03-28*/
public interface ISRaActionReportsActualEmissionsService extends  IService<SRaActionReportsActualEmissions>
{
    /**
     * 查询执行报告实际排放情况列表
     *
     * @param lambdaQueryWrapper 执行报告实际排放情况
     * @return 执行报告实际排放情况集合
     */
    public List<SRaActionReportsActualEmissions> selectSRaActionReportsActualEmissionsList(QueryWrapper<SRaActionReportsActualEmissions> lambdaQueryWrapper);

    IPage<SRaActionReportsActualEmissions> selectSRaActionReportsActualEmissionsPage(Page<SRaActionReportsActualEmissions> page, QueryWrapper<SRaActionReportsActualEmissions> lambdaQueryWrapper);
}
