package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaActionReportsAudit;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 执行报告规范性审核Service接口
 *
 * @author szhpt
 * @date 2023-03-28*/
public interface ISRaActionReportsAuditService extends IService<SRaActionReportsAudit>
{
    /**
     * 查询执行报告规范性审核列表
     *
     * @param sRaActionReportsAudit 执行报告规范性审核
     * @return 执行报告规范性审核集合
     */
    public List<SRaActionReportsAudit> selectSRaActionReportsAuditList(SRaActionReportsAudit sRaActionReportsAudit);

    /**
     * 下载未提交审核的企业清单
     * @param reportId
     */
    void reportDownload(String reportId, HttpServletResponse response);
}
