package cn.cecep.talroad.service.analysis;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.cecep.talroad.domain.analysis.SRaControlScheme;

/**
 * 关联分析系统-减排方案管理-管控时间段信息Service接口
 *
 * @author szhpt
 * @date 2023-04-02*/
public interface ISRaControlSchemeService extends  IService<SRaControlScheme>
{
    /**
     * 查询关联分析系统-减排方案管理-管控时间段信息列表
     *
     * @param sRaControlScheme 关联分析系统-减排方案管理-管控时间段信息
     * @return 关联分析系统-减排方案管理-管控时间段信息集合
     */
    public List<SRaControlScheme> selectSRaControlSchemeList(SRaControlScheme sRaControlScheme);

}
