package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaEmissionsDiff;
import cn.cecep.talroad.vo.analysis.SRaEmissionsDiffVo;
import cn.cecep.talroad.vo.query.analysis.SRaEmissionsDiffQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 企业排放量差异分析Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaEmissionsDiffService extends IService<SRaEmissionsDiff>
{
    public List<SRaEmissionsDiffVo> selectEmissionsDiffList(Page<SRaEmissionsDiffVo> page, SRaEmissionsDiffQuery query);
}
