package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaGasFlag;
import cn.cecep.talroad.vo.analysis.SRaGasFlagVo;
import cn.cecep.talroad.vo.query.analysis.SRaGasFlagQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 关联分析系统-企业异常行为分析-企业排放分析-废气在线监测标记汇总Service接口
 */
public interface ISRaGasFlagService extends IService<SRaGasFlag> {

    List<SRaGasFlagVo.Row> getGasFlagList(Page<SRaGasFlagVo.Row> page, SRaGasFlagQuery query);

    List<SRaGasFlagVo.DetailRow> getGasFlagDetailList(Page<SRaGasFlagVo.DetailRow> page, SRaGasFlagQuery query);

}
