package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaOverRateGas;
import cn.cecep.talroad.enums.StatisticsTypeEnum;
import cn.cecep.talroad.vo.analysis.SRaOverRateGasVo;
import cn.cecep.talroad.vo.query.analysis.SRaOverRateGasQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;

public interface ISRaOverRateGasService extends IService<SRaOverRateGas>
{
    List<SRaOverRateGasVo> selectOverRateGasPage(Page<SRaOverRateGasVo> page, SRaOverRateGasQuery query);

    Boolean periodTask(StatisticsTypeEnum statisticsTypeEnum, String statisticsTime, Date startTime, Date endTime);
}
