package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaOverRateWater;
import cn.cecep.talroad.enums.StatisticsTypeEnum;
import cn.cecep.talroad.vo.analysis.SRaOverRateWaterVo;
import cn.cecep.talroad.vo.query.analysis.SRaOverRateWaterQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;

/**
 * 超标率分析-水污染要素Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaOverRateWaterService extends IService<SRaOverRateWater>
{

    List<SRaOverRateWaterVo> selectOverRateWaterPage(Page<SRaOverRateWaterVo> page, SRaOverRateWaterQuery query);

    List<SRaOverRateWater> selectWaterDataByMonth(List<String> monthList);
}
