package cn.cecep.talroad.service.analysis;
import java.util.List;
import java.util.Map;

import cn.cecep.talroad.domain.SRaRealTimeAnalysicComsitSt;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysicComsit;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.analysis.SRaRealTimeAnalysicComsitMonitorVo;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysicComsitQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 关联分析系统-企业生产过程分析-监测点位对比分析-分组Service接口
 *
 * @author szhpt
 * @date 2023-07-14*/
public interface ISRaRealTimeAnalysicComsitService extends  IService<SRaRealTimeAnalysicComsit>
{
    /**
     * 查询关联分析系统-企业生产过程分析-监测点位对比分析-分组列表
     *
     * @param sRaRealTimeAnalysicComsit 关联分析系统-企业生产过程分析-监测点位对比分析-分组
     * @return 关联分析系统-企业生产过程分析-监测点位对比分析-分组集合
     */
    public List<SRaRealTimeAnalysicComsit> selectSRaRealTimeAnalysicComsitList(SRaRealTimeAnalysicComsit sRaRealTimeAnalysicComsit);

    IPage<SRaRealTimeAnalysicComsitMonitorVo> selectSRaRealTimeAnalysicComsitListBy(SRaRealTimeAnalysicComsitMonitorVo sRaRealTimeAnalysicComsit);

    IPage<SRaRealTimeAnalysicComsit> selectSRaRealTimeAnalysicComsitListBys(SRaRealTimeAnalysicComsitQuery sRaRealTimeAnalysicComsit);

    List<Map<String, Object>> pullParam();

    IPage<SRaRealTimeAnalysicComsitMonitorVo> abnormalList(SRaRealTimeAnalysicComsitMonitorVo sRaRealTimeAnalysicComsit);

    List<SRaRealTimeAnalysicComsitMonitorVo> abnormalExport(SRaRealTimeAnalysicComsitMonitorVo sRaRealTimeAnalysicComsit);

    EChartsVO.DiagramVo abnormalEcharts(SRaRealTimeAnalysicComsitMonitorVo sRaRealTimeAnalysicComsit);

    List<Map<String, Object>> editListDropdown(SRaRealTimeAnalysicComsitMonitorVo sRaRealTimeAnalysicComsit);

}
