package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaWaterFlag;
import cn.cecep.talroad.vo.analysis.SRaWaterFlagVo;
import cn.cecep.talroad.vo.query.analysis.SRaWaterFlagQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 关联分析系统-企业异常行为分析-企业排放分析-废水在线监测标记汇总Service接口
 */
public interface ISRaWaterFlagService extends  IService<SRaWaterFlag>
{

    List<SRaWaterFlagVo.Row> getWaterFlagList(Page<SRaWaterFlagVo.Row> page, SRaWaterFlagQuery query);

    List<SRaWaterFlagVo.DetailRow> getWaterFlagDetailList(Page<SRaWaterFlagVo.DetailRow> page, SRaWaterFlagQuery query);
}
