package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.analysis.SRaEmissionsStatistics;
import cn.cecep.talroad.domain.leader.vo.ProblemGroupCountVO;
import cn.cecep.talroad.vo.analysis.FactoryTop10ProblemCountVO;
import cn.cecep.talroad.vo.query.analysis.SREStatisticsQuery;
import cn.cecep.talroad.vo.EChartsVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface SRaEmissionsStatisticsService extends IService<SRaEmissionsStatistics>{


    AjaxResults<EChartsVO> selectChartData(SREStatisticsQuery query);

    List<FactoryTop10ProblemCountVO> selectChartDataTop(SREStatisticsQuery query);

    EChartsVO selectChartDataIndustry(SREStatisticsQuery query);
}
