package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.PcOutlet;
import cn.cecep.talroad.domain.analysis.SRaOverWaterPollutionTraceability;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.SEnvWaterMonRealVo;
import cn.cecep.talroad.vo.query.SEnvWaterMonRealQuery;
import cn.cecep.talroad.vo.query.analysis.SRaOverWaterPollutionTraceabilityQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface SRaOverWaterPollutionTraceabilityService extends IService<SRaOverWaterPollutionTraceability>{


    Map<String,Object> workWithMapData(List<SRaOverWaterPollutionTraceability> list);

    EChartsVO chartData(List<SEnvWaterMonRealVo> records, String pollName, Date startTime ,Date endTime);
}
