package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BEnterpriseIrEes;
import cn.cecep.talroad.mapper.BEnterpriseIrEesMapper;
import cn.cecep.talroad.service.IBEnterpriseIrEesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 知识库-生态环境标准Service业务层处理
 *
 * @author szhpt
 * @date 2023-03-14*/
@Service
public class BEnterpriseIrEesServiceImpl extends ServiceImpl<BEnterpriseIrEesMapper,BEnterpriseIrEes> implements IBEnterpriseIrEesService
{
    @Autowired
    private BEnterpriseIrEesMapper bEnterpriseIrEesMapper;

    /**
     * 查询知识库-生态环境标准列表
     *
     * @param bEnterpriseIrEes 知识库-生态环境标准
     * @return 知识库-生态环境标准
     */
    @Override
    public List<BEnterpriseIrEes> selectBEnterpriseIrEesList(BEnterpriseIrEes bEnterpriseIrEes)
    {
        return bEnterpriseIrEesMapper.selectBEnterpriseIrEesList(bEnterpriseIrEes);
    }
    
}
