package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainEmissionOnlineMonWater;
import cn.cecep.talroad.mapper.BMainEmissionOnlineMonWaterMapper;
import cn.cecep.talroad.service.IBMainEmissionOnlineMonWaterService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 企业排放信息-在线监测排放趋势-废水Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-31*/
@Service
public class BMainEmissionOnlineMonWaterServiceImpl extends ServiceImpl<BMainEmissionOnlineMonWaterMapper,BMainEmissionOnlineMonWater> implements IBMainEmissionOnlineMonWaterService
{
    @Autowired
    private BMainEmissionOnlineMonWaterMapper bMainEmissionOnlineMonWaterMapper;

    /**
     * 查询企业排放信息-在线监测排放趋势-废水列表
     *
     * @param bMainEmissionOnlineMonWater 企业排放信息-在线监测排放趋势-废水
     * @return 企业排放信息-在线监测排放趋势-废水
     */
    @Override
    public List<BMainEmissionOnlineMonWater> selectBMainEmissionOnlineMonWaterList(BMainEmissionOnlineMonWater bMainEmissionOnlineMonWater)
    {
        return bMainEmissionOnlineMonWaterMapper.selectBMainEmissionOnlineMonWaterList(bMainEmissionOnlineMonWater);
    }
    
}
