package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainEmissionPollutionSolidWaste;
import cn.cecep.talroad.mapper.BMainEmissionPollutionSolidWasteMapper;
import cn.cecep.talroad.service.IBMainEmissionPollutionSolidWasteService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 企业排放信息-不同污染物年度排放趋势-固废Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-31*/
@Service
public class BMainEmissionPollutionSolidWasteServiceImpl extends ServiceImpl<BMainEmissionPollutionSolidWasteMapper,BMainEmissionPollutionSolidWaste> implements IBMainEmissionPollutionSolidWasteService
{
    @Autowired
    private BMainEmissionPollutionSolidWasteMapper bMainEmissionPollutionSolidWasteMapper;

    /**
     * 查询企业排放信息-不同污染物年度排放趋势-固废列表
     *
     * @param bMainEmissionPollutionSolidWaste 企业排放信息-不同污染物年度排放趋势-固废
     * @return 企业排放信息-不同污染物年度排放趋势-固废
     */
    @Override
    public List<BMainEmissionPollutionSolidWaste> selectBMainEmissionPollutionSolidWasteList(BMainEmissionPollutionSolidWaste bMainEmissionPollutionSolidWaste)
    {
        return bMainEmissionPollutionSolidWasteMapper.selectBMainEmissionPollutionSolidWasteList(bMainEmissionPollutionSolidWaste);
    }
    
}
