package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainEmissionSourceAir;
import cn.cecep.talroad.mapper.BMainEmissionSourceAirMapper;
import cn.cecep.talroad.service.IBMainEmissionSourceAirService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 企业排放信息-多来源排放量对比-废气Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-31*/
@Service
public class BMainEmissionSourceAirServiceImpl extends ServiceImpl<BMainEmissionSourceAirMapper,BMainEmissionSourceAir> implements IBMainEmissionSourceAirService
{
    @Autowired
    private BMainEmissionSourceAirMapper bMainEmissionSourceAirMapper;

    /**
     * 查询企业排放信息-多来源排放量对比-废气列表
     *
     * @param bMainEmissionSourceAir 企业排放信息-多来源排放量对比-废气
     * @return 企业排放信息-多来源排放量对比-废气
     */
    @Override
    public List<BMainEmissionSourceAir> selectBMainEmissionSourceAirList(BMainEmissionSourceAir bMainEmissionSourceAir)
    {
        return bMainEmissionSourceAirMapper.selectBMainEmissionSourceAirList(bMainEmissionSourceAir);
    }
    
}
