package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainHazardousSolidWasteFa;
import cn.cecep.talroad.mapper.BMainHazardousSolidWasteFaMapper;
import cn.cecep.talroad.service.IBMainHazardousSolidWasteFaService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 自行贮存和自行利用处置设施信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class BMainHazardousSolidWasteFaServiceImpl extends ServiceImpl<BMainHazardousSolidWasteFaMapper,BMainHazardousSolidWasteFa> implements IBMainHazardousSolidWasteFaService
{
    @Autowired
    private BMainHazardousSolidWasteFaMapper bMainHazardousSolidWasteFaMapper;

    /**
     * 查询自行贮存和自行利用处置设施信息列表
     *
     * @param bMainHazardousSolidWasteFa 自行贮存和自行利用处置设施信息
     * @return 自行贮存和自行利用处置设施信息
     */
    @Override
    public List<BMainHazardousSolidWasteFa> selectBMainHazardousSolidWasteFaList(BMainHazardousSolidWasteFa bMainHazardousSolidWasteFa)
    {
        return bMainHazardousSolidWasteFaMapper.selectBMainHazardousSolidWasteFaList(bMainHazardousSolidWasteFa);
    }
    
}
