package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisSelfMon;
import cn.cecep.talroad.mapper.BMainPollDisSelfMonMapper;
import cn.cecep.talroad.service.IBMainPollDisSelfMonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可自行监测要求Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisSelfMonServiceImpl extends ServiceImpl<BMainPollDisSelfMonMapper,BMainPollDisSelfMon> implements IBMainPollDisSelfMonService
{
    @Autowired
    private BMainPollDisSelfMonMapper bMainPollDisSelfMonMapper;

    /**
     * 查询排污许可自行监测要求列表
     *
     * @param bMainPollDisSelfMon 排污许可自行监测要求
     * @return 排污许可自行监测要求
     */
    @Override
    public List<BMainPollDisSelfMon> selectBMainPollDisSelfMonList(BMainPollDisSelfMon bMainPollDisSelfMon)
    {
        return bMainPollDisSelfMonMapper.selectBMainPollDisSelfMonList(bMainPollDisSelfMon);
    }
    
}
