package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisWaterOout;
import cn.cecep.talroad.mapper.BMainPollDisWaterOoutMapper;
import cn.cecep.talroad.service.IBMainPollDisWaterOoutService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可水污染物一般排放口Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisWaterOoutServiceImpl extends ServiceImpl<BMainPollDisWaterOoutMapper,BMainPollDisWaterOout> implements IBMainPollDisWaterOoutService
{
    @Autowired
    private BMainPollDisWaterOoutMapper bMainPollDisWaterOoutMapper;

    /**
     * 查询排污许可水污染物一般排放口列表
     *
     * @param bMainPollDisWaterOout 排污许可水污染物一般排放口
     * @return 排污许可水污染物一般排放口
     */
    @Override
    public List<BMainPollDisWaterOout> selectBMainPollDisWaterOoutList(BMainPollDisWaterOout bMainPollDisWaterOout)
    {
        return bMainPollDisWaterOoutMapper.selectBMainPollDisWaterOoutList(bMainPollDisWaterOout);
    }
    
}
