package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.BMainPollDisWaterSout;
import cn.cecep.talroad.mapper.BMainPollDisWaterSoutMapper;
import cn.cecep.talroad.service.IBMainPollDisWaterSoutService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 排污许可水污染物特殊情况Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-18*/
@Service
public class BMainPollDisWaterSoutServiceImpl extends ServiceImpl<BMainPollDisWaterSoutMapper,BMainPollDisWaterSout> implements IBMainPollDisWaterSoutService
{
    @Autowired
    private BMainPollDisWaterSoutMapper bMainPollDisWaterSoutMapper;

    /**
     * 查询排污许可水污染物特殊情况列表
     *
     * @param bMainPollDisWaterSout 排污许可水污染物特殊情况
     * @return 排污许可水污染物特殊情况
     */
    @Override
    public List<BMainPollDisWaterSout> selectBMainPollDisWaterSoutList(BMainPollDisWaterSout bMainPollDisWaterSout)
    {
        return bMainPollDisWaterSoutMapper.selectBMainPollDisWaterSoutList(bMainPollDisWaterSout);
    }
    
}
