package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgGtFuel;
import cn.cecep.talroad.mapper.BStatTableZxbgGtFuelMapper;
import cn.cecep.talroad.service.IBStatTableZxbgGtFuelService;
import cn.cecep.talroad.mapper.BStatTableZxbgGtFuelMapper;
import cn.cecep.talroad.domain.BStatTableZxbgGtFuel;
import cn.cecep.talroad.service.IBStatTableZxbgGtFuelService;




/**
 * 固定源产排治--执行报告--钢铁-燃料分析Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgGtFuelServiceImpl extends ServiceImpl<BStatTableZxbgGtFuelMapper,BStatTableZxbgGtFuel> implements IBStatTableZxbgGtFuelService
{
    @Autowired
    private BStatTableZxbgGtFuelMapper bStatTableZxbgGtFuelMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--钢铁-燃料分析列表
     *
     * @param bStatTableZxbgGtFuel 固定源产排治--执行报告--钢铁-燃料分析
     * @return 固定源产排治--执行报告--钢铁-燃料分析
     */
    @Override
    public List<BStatTableZxbgGtFuel> selectBStatTableZxbgGtFuelList(BStatTableZxbgGtFuel bStatTableZxbgGtFuel)
    {
        return bStatTableZxbgGtFuelMapper.selectBStatTableZxbgGtFuelList(bStatTableZxbgGtFuel);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgGtFuel>> selectBStatTableZxbgGtFuelListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgGtFuelMapper::selectListAndFactory,query);
    }
}
