package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgGtProduction;
import cn.cecep.talroad.mapper.BStatTableZxbgGtProductionMapper;
import cn.cecep.talroad.service.IBStatTableZxbgGtProductionService;
import cn.cecep.talroad.mapper.BStatTableZxbgGtProductionMapper;
import cn.cecep.talroad.domain.BStatTableZxbgGtProduction;
import cn.cecep.talroad.service.IBStatTableZxbgGtProductionService;




/**
 * 固定源产排治--执行报告--钢铁-生产单元运行情况Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgGtProductionServiceImpl extends ServiceImpl<BStatTableZxbgGtProductionMapper,BStatTableZxbgGtProduction> implements IBStatTableZxbgGtProductionService
{
    @Autowired
    private BStatTableZxbgGtProductionMapper bStatTableZxbgGtProductionMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--钢铁-生产单元运行情况列表
     *
     * @param bStatTableZxbgGtProduction 固定源产排治--执行报告--钢铁-生产单元运行情况
     * @return 固定源产排治--执行报告--钢铁-生产单元运行情况
     */
    @Override
    public List<BStatTableZxbgGtProduction> selectBStatTableZxbgGtProductionList(BStatTableZxbgGtProduction bStatTableZxbgGtProduction)
    {
        return bStatTableZxbgGtProductionMapper.selectBStatTableZxbgGtProductionList(bStatTableZxbgGtProduction);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgGtProduction>> selectBStatTableZxbgGtProductionListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgGtProductionMapper::selectListAndFactory,query);
    }
}
