package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgHdGasPollution;
import cn.cecep.talroad.mapper.BStatTableZxbgHdGasPollutionMapper;
import cn.cecep.talroad.service.IBStatTableZxbgHdGasPollutionService;
import cn.cecep.talroad.mapper.BStatTableZxbgHdGasPollutionMapper;
import cn.cecep.talroad.domain.BStatTableZxbgHdGasPollution;
import cn.cecep.talroad.service.IBStatTableZxbgHdGasPollutionService;




/**
 * 固定源产排治--执行报告--火电废气污染治理设施正常情况Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgHdGasPollutionServiceImpl extends ServiceImpl<BStatTableZxbgHdGasPollutionMapper,BStatTableZxbgHdGasPollution> implements IBStatTableZxbgHdGasPollutionService
{
    @Autowired
    private BStatTableZxbgHdGasPollutionMapper bStatTableZxbgHdGasPollutionMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--火电废气污染治理设施正常情况列表
     *
     * @param bStatTableZxbgHdGasPollution 固定源产排治--执行报告--火电废气污染治理设施正常情况
     * @return 固定源产排治--执行报告--火电废气污染治理设施正常情况
     */
    @Override
    public List<BStatTableZxbgHdGasPollution> selectBStatTableZxbgHdGasPollutionList(BStatTableZxbgHdGasPollution bStatTableZxbgHdGasPollution)
    {
        return bStatTableZxbgHdGasPollutionMapper.selectBStatTableZxbgHdGasPollutionList(bStatTableZxbgHdGasPollution);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgHdGasPollution>> selectBStatTableZxbgHdGasPollutionListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgHdGasPollutionMapper::selectListAndFactory,query);
    }
}
