package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.BStatTableZxbgJbxxInfo;
import cn.cecep.talroad.mapper.BStatTableZxbgJbxxInfoMapper;
import cn.cecep.talroad.service.IBStatTableZxbgJbxxInfoService;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 固定源产排治--执行报告--企业基本信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-27*/
@Service
public class BStatTableZxbgJbxxInfoServiceImpl extends ServiceImpl<BStatTableZxbgJbxxInfoMapper,BStatTableZxbgJbxxInfo> implements IBStatTableZxbgJbxxInfoService
{
    @Autowired
    private BStatTableZxbgJbxxInfoMapper bStatTableZxbgJbxxInfoMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--企业基本信息列表
     *
     * @param bStatTableZxbgJbxxInfo 固定源产排治--执行报告--企业基本信息
     * @return 固定源产排治--执行报告--企业基本信息
     */
    @Override
    public List<BStatTableZxbgJbxxInfo> selectBStatTableZxbgJbxxInfoList(BStatTableZxbgJbxxInfo bStatTableZxbgJbxxInfo)
    {
        return bStatTableZxbgJbxxInfoMapper.selectBStatTableZxbgJbxxInfoList(bStatTableZxbgJbxxInfo);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgJbxxInfo>> selectBStatTableZxbgJbxxInfoListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgJbxxInfoMapper::selectListAndFactory,query);
    }
}
