package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirOther;
import cn.cecep.talroad.mapper.BStatTableZxbgPflAirOtherMapper;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirOtherService;
import cn.cecep.talroad.mapper.BStatTableZxbgPflAirOtherMapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirOther;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirOtherService;




/**
 * 固定源产排治--执行报告--废气其他排放总计Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-27*/
@Service
public class BStatTableZxbgPflAirOtherServiceImpl extends ServiceImpl<BStatTableZxbgPflAirOtherMapper,BStatTableZxbgPflAirOther> implements IBStatTableZxbgPflAirOtherService
{
    @Autowired
    private BStatTableZxbgPflAirOtherMapper bStatTableZxbgPflAirOtherMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--废气其他排放总计列表
     *
     * @param bStatTableZxbgPflAirOther 固定源产排治--执行报告--废气其他排放总计
     * @return 固定源产排治--执行报告--废气其他排放总计
     */
    @Override
    public List<BStatTableZxbgPflAirOther> selectBStatTableZxbgPflAirOtherList(BStatTableZxbgPflAirOther bStatTableZxbgPflAirOther)
    {
        return bStatTableZxbgPflAirOtherMapper.selectBStatTableZxbgPflAirOtherList(bStatTableZxbgPflAirOther);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgPflAirOther>> selectBStatTableZxbgPflAirOtherListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgPflAirOtherMapper::selectListAndFactory,query);
    }
}
