package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirSpecial;
import cn.cecep.talroad.mapper.BStatTableZxbgPflAirSpecialMapper;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirSpecialService;
import cn.cecep.talroad.mapper.BStatTableZxbgPflAirSpecialMapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflAirSpecial;
import cn.cecep.talroad.service.IBStatTableZxbgPflAirSpecialService;




/**
 * 固定源产排治--执行报告--特殊时段废气排放量Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-31*/
@Service
public class BStatTableZxbgPflAirSpecialServiceImpl extends ServiceImpl<BStatTableZxbgPflAirSpecialMapper,BStatTableZxbgPflAirSpecial> implements IBStatTableZxbgPflAirSpecialService
{
    @Autowired
    private BStatTableZxbgPflAirSpecialMapper bStatTableZxbgPflAirSpecialMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--特殊时段废气排放量列表
     *
     * @param bStatTableZxbgPflAirSpecial 固定源产排治--执行报告--特殊时段废气排放量
     * @return 固定源产排治--执行报告--特殊时段废气排放量
     */
    @Override
    public List<BStatTableZxbgPflAirSpecial> selectBStatTableZxbgPflAirSpecialList(BStatTableZxbgPflAirSpecial bStatTableZxbgPflAirSpecial)
    {
        return bStatTableZxbgPflAirSpecialMapper.selectBStatTableZxbgPflAirSpecialList(bStatTableZxbgPflAirSpecial);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgPflAirSpecial>> selectBStatTableZxbgPflAirSpecialListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgPflAirSpecialMapper::selectListAndFactory,query);
    }

}
