package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgPflWater;
import cn.cecep.talroad.mapper.BStatTableZxbgPflWaterMapper;
import cn.cecep.talroad.service.IBStatTableZxbgPflWaterService;
import cn.cecep.talroad.mapper.BStatTableZxbgPflWaterMapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflWater;
import cn.cecep.talroad.service.IBStatTableZxbgPflWaterService;




/**
 * 固定源产排治--执行报告--废水实际排放量Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-28*/
@Service
public class BStatTableZxbgPflWaterServiceImpl extends ServiceImpl<BStatTableZxbgPflWaterMapper,BStatTableZxbgPflWater> implements IBStatTableZxbgPflWaterService
{
    @Autowired
    private BStatTableZxbgPflWaterMapper bStatTableZxbgPflWaterMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--废水实际排放量列表
     *
     * @param bStatTableZxbgPflWater 固定源产排治--执行报告--废水实际排放量
     * @return 固定源产排治--执行报告--废水实际排放量
     */
    @Override
    public List<BStatTableZxbgPflWater> selectBStatTableZxbgPflWaterList(BStatTableZxbgPflWater bStatTableZxbgPflWater)
    {
        return bStatTableZxbgPflWaterMapper.selectBStatTableZxbgPflWaterList(bStatTableZxbgPflWater);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgPflWater>> selectBStatTableZxbgPflWaterListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgPflWaterMapper::selectListAndFactory,query);
    }
}
