package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgPflallWater;
import cn.cecep.talroad.mapper.BStatTableZxbgPflallWaterMapper;
import cn.cecep.talroad.service.IBStatTableZxbgPflallWaterService;
import cn.cecep.talroad.mapper.BStatTableZxbgPflallWaterMapper;
import cn.cecep.talroad.domain.BStatTableZxbgPflallWater;
import cn.cecep.talroad.service.IBStatTableZxbgPflallWaterService;




/**
 * 固定源产排治--执行报告--总计废水实际排放量Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-28*/
@Service
public class BStatTableZxbgPflallWaterServiceImpl extends ServiceImpl<BStatTableZxbgPflallWaterMapper,BStatTableZxbgPflallWater> implements IBStatTableZxbgPflallWaterService
{
    @Autowired
    private BStatTableZxbgPflallWaterMapper bStatTableZxbgPflallWaterMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--总计废水实际排放量列表
     *
     * @param bStatTableZxbgPflallWater 固定源产排治--执行报告--总计废水实际排放量
     * @return 固定源产排治--执行报告--总计废水实际排放量
     */
    @Override
    public List<BStatTableZxbgPflallWater> selectBStatTableZxbgPflallWaterList(BStatTableZxbgPflallWater bStatTableZxbgPflallWater)
    {
        return bStatTableZxbgPflallWaterMapper.selectBStatTableZxbgPflallWaterList(bStatTableZxbgPflallWater);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgPflallWater>> selectBStatTableZxbgPflallWaterListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgPflallWaterMapper::selectListAndFactory,query);
    }
}
