package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgSnFuel;
import cn.cecep.talroad.mapper.BStatTableZxbgSnFuelMapper;
import cn.cecep.talroad.service.IBStatTableZxbgSnFuelService;
import cn.cecep.talroad.mapper.BStatTableZxbgSnFuelMapper;
import cn.cecep.talroad.domain.BStatTableZxbgSnFuel;
import cn.cecep.talroad.service.IBStatTableZxbgSnFuelService;




/**
 * 固定源产排治--执行报告--水泥燃料分析Service业务层处理
 *
 * @author szhpt
 * @date 2023-08-01*/
@Service
public class BStatTableZxbgSnFuelServiceImpl extends ServiceImpl<BStatTableZxbgSnFuelMapper,BStatTableZxbgSnFuel> implements IBStatTableZxbgSnFuelService
{
    @Autowired
    private BStatTableZxbgSnFuelMapper bStatTableZxbgSnFuelMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTableWaterService;
    /**
     * 查询固定源产排治--执行报告--水泥燃料分析列表
     *
     * @param bStatTableZxbgSnFuel 固定源产排治--执行报告--水泥燃料分析
     * @return 固定源产排治--执行报告--水泥燃料分析
     */
    @Override
    public List<BStatTableZxbgSnFuel> selectBStatTableZxbgSnFuelList(BStatTableZxbgSnFuel bStatTableZxbgSnFuel)
    {
        return bStatTableZxbgSnFuelMapper.selectBStatTableZxbgSnFuelList(bStatTableZxbgSnFuel);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgSnFuel>> selectBStatTableZxbgSnFuelListBy(BStatTablepPwxkWaterQuery query) {
        return bStatTableWaterService.selectDataByQuery(bStatTableZxbgSnFuelMapper::selectListAndFactory,query);
    }
}
