package cn.cecep.talroad.service.impl;

import java.util.List;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.BStatTableZxbgWrzlAbnormalities;
import cn.cecep.talroad.mapper.BStatTableZxbgWrzlAbnormalitiesMapper;
import cn.cecep.talroad.service.IBStatTableZxbgWrzlAbnormalitiesService;
import cn.cecep.talroad.mapper.BStatTableZxbgWrzlAbnormalitiesMapper;
import cn.cecep.talroad.domain.BStatTableZxbgWrzlAbnormalities;
import cn.cecep.talroad.service.IBStatTableZxbgWrzlAbnormalitiesService;




/**
 * 固定源产排治--执行报告--污染治理设施异常情况Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-31*/
@Service
public class BStatTableZxbgWrzlAbnormalitiesServiceImpl extends ServiceImpl<BStatTableZxbgWrzlAbnormalitiesMapper,BStatTableZxbgWrzlAbnormalities> implements IBStatTableZxbgWrzlAbnormalitiesService
{
    @Autowired
    private BStatTableZxbgWrzlAbnormalitiesMapper bStatTableZxbgWrzlAbnormalitiesMapper;
    @Autowired
    private BStatTablePwxkWaterAndOtherServiceImpl bStatTablePwxkWaterAndOtherService;
    /**
     * 查询固定源产排治--执行报告--污染治理设施异常情况列表
     *
     * @param bStatTableZxbgWrzlAbnormalities 固定源产排治--执行报告--污染治理设施异常情况
     * @return 固定源产排治--执行报告--污染治理设施异常情况
     */
    @Override
    public List<BStatTableZxbgWrzlAbnormalities> selectBStatTableZxbgWrzlAbnormalitiesList(BStatTableZxbgWrzlAbnormalities bStatTableZxbgWrzlAbnormalities)
    {
        return bStatTableZxbgWrzlAbnormalitiesMapper.selectBStatTableZxbgWrzlAbnormalitiesList(bStatTableZxbgWrzlAbnormalities);
    }

    @Override
    public AjaxResults<IPage<BStatTableZxbgWrzlAbnormalities>> selectBStatTableZxbgWrzlAbnormalitiesListBy(BStatTablepPwxkWaterQuery query) {

        return bStatTablePwxkWaterAndOtherService.selectDataByQuery(bStatTableZxbgWrzlAbnormalitiesMapper::selectListAndFactory,query);
    }
}
