package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.MonDevTcOther;
import cn.cecep.talroad.mapper.MonDevTcOtherMapper;
import cn.cecep.talroad.service.IMonDevTcOtherService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 设备数据-陶瓷-其它时间 保存设备的小时以上的数据Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class MonDevTcOtherServiceImpl extends ServiceImpl<MonDevTcOtherMapper,MonDevTcOther> implements IMonDevTcOtherService
{
    @Autowired
    private MonDevTcOtherMapper monDevTcOtherMapper;

    /**
     * 查询设备数据-陶瓷-其它时间 保存设备的小时以上的数据列表
     *
     * @param monDevTcOther 设备数据-陶瓷-其它时间 保存设备的小时以上的数据
     * @return 设备数据-陶瓷-其它时间 保存设备的小时以上的数据
     */
    @Override
    public List<MonDevTcOther> selectMonDevTcOtherList(MonDevTcOther monDevTcOther)
    {
        return monDevTcOtherMapper.selectMonDevTcOtherList(monDevTcOther);
    }
    
}
