package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcAdsl;
import cn.cecep.talroad.mapper.PcAdslMapper;
import cn.cecep.talroad.service.IPcAdslService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 企业接入数据类型Service业务层处理
 *
 * @author szhpt
 * @date 2023-02-02*/
@Service
public class PcAdslServiceImpl extends ServiceImpl<PcAdslMapper,PcAdsl> implements IPcAdslService
{
    @Autowired
    private PcAdslMapper pcAdslMapper;

    /**
     * 查询企业接入数据类型列表
     *
     * @param pcAdsl 企业接入数据类型
     * @return 企业接入数据类型
     */
    @Override
    public List<PcAdsl> selectPcAdslList(PcAdsl pcAdsl)
    {
        return pcAdslMapper.selectPcAdslList(pcAdsl);
    }
    
}
