package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcFactoryPollutant;
import cn.cecep.talroad.mapper.PcFactoryPollutantMapper;
import cn.cecep.talroad.service.IPcFactoryPollutantService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 企业与污染物关系Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class PcFactoryPollutantServiceImpl extends ServiceImpl<PcFactoryPollutantMapper,PcFactoryPollutant> implements IPcFactoryPollutantService
{
    @Autowired
    private PcFactoryPollutantMapper pcFactoryPollutantMapper;

    /**
     * 查询企业与污染物关系列表
     *
     * @param pcFactoryPollutant 企业与污染物关系
     * @return 企业与污染物关系
     */
    @Override
    public List<PcFactoryPollutant> selectPcFactoryPollutantList(PcFactoryPollutant pcFactoryPollutant)
    {
        return pcFactoryPollutantMapper.selectPcFactoryPollutantList(pcFactoryPollutant);
    }
    
}
