package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcNoiseType;
import cn.cecep.talroad.mapper.PcNoiseTypeMapper;
import cn.cecep.talroad.service.IPcNoiseTypeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 噪声排放类型Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-11*/
@Service
public class PcNoiseTypeServiceImpl extends ServiceImpl<PcNoiseTypeMapper,PcNoiseType> implements IPcNoiseTypeService
{
    @Autowired
    private PcNoiseTypeMapper pcNoiseTypeMapper;

    /**
     * 查询噪声排放类型列表
     *
     * @param pcNoiseType 噪声排放类型
     * @return 噪声排放类型
     */
    @Override
    public List<PcNoiseType> selectPcNoiseTypeList(PcNoiseType pcNoiseType)
    {
        return pcNoiseTypeMapper.selectPcNoiseTypeList(pcNoiseType);
    }
    
}
