package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcProductionFacility;
import cn.cecep.talroad.mapper.PcProductionFacilityMapper;
import cn.cecep.talroad.service.IPcProductionFacilityService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 生产设施Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class PcProductionFacilityServiceImpl extends ServiceImpl<PcProductionFacilityMapper,PcProductionFacility> implements IPcProductionFacilityService
{
    @Autowired
    private PcProductionFacilityMapper pcProductionFacilityMapper;

    /**
     * 查询生产设施列表
     *
     * @param pcProductionFacility 生产设施
     * @return 生产设施
     */
    @Override
    public List<PcProductionFacility> selectPcProductionFacilityList(PcProductionFacility pcProductionFacility)
    {
        return pcProductionFacilityMapper.selectPcProductionFacilityList(pcProductionFacility);
    }
    
}
