package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.PcStationBuildingOps;
import cn.cecep.talroad.mapper.PcStationBuildingOpsMapper;
import cn.cecep.talroad.service.IPcStationBuildingOpsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 站房运维签到信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class PcStationBuildingOpsServiceImpl extends ServiceImpl<PcStationBuildingOpsMapper,PcStationBuildingOps> implements IPcStationBuildingOpsService
{
    @Autowired
    private PcStationBuildingOpsMapper pcStationBuildingOpsMapper;

    /**
     * 查询站房运维签到信息列表
     *
     * @param pcStationBuildingOps 站房运维签到信息
     * @return 站房运维签到信息
     */
    @Override
    public List<PcStationBuildingOps> selectPcStationBuildingOpsList(PcStationBuildingOps pcStationBuildingOps)
    {
        return pcStationBuildingOpsMapper.selectPcStationBuildingOpsList(pcStationBuildingOps);
    }
    
}
