package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.SEnvGasMonDay;
import cn.cecep.talroad.mapper.SEnvGasMonDayMapper;
import cn.cecep.talroad.service.ISEnvGasMonDayService;
import cn.cecep.talroad.vo.analysis.FactoryOutletStaticsVo;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Auther: cjh
 * @Date: 2023-06-21 17:15
 * @Class: SEnvGasMonDayServiceImpl
 * @Deseription:
 * @Version V1.0
 */
@Service
public class SEnvGasMonDayServiceImpl extends ServiceImpl<SEnvGasMonDayMapper, SEnvGasMonDay> implements ISEnvGasMonDayService {

    @Autowired
    private SEnvGasMonDayMapper sEnvGasMonDayMapper;

    @Override
    public List<FactoryOutletStaticsVo> selectLastDayData(DateTime queryBeginTime, DateTime queryEndTime) {
        return sEnvGasMonDayMapper.selectLastDayData(queryBeginTime,queryEndTime);
    }
}
