package cn.cecep.talroad.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.SEnvGasSelfDay;
import cn.cecep.talroad.mapper.SEnvGasSelfDayMapper;
import cn.cecep.talroad.service.ISEnvGasSelfDayService;
import cn.cecep.talroad.mapper.SEnvGasSelfDayMapper;
import cn.cecep.talroad.domain.SEnvGasSelfDay;
import cn.cecep.talroad.service.ISEnvGasSelfDayService;




/**
 * 多源排放量汇总分析-废气-手工监测数据Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-26*/
@Service
public class SEnvGasSelfDayServiceImpl extends ServiceImpl<SEnvGasSelfDayMapper,SEnvGasSelfDay> implements ISEnvGasSelfDayService
{
    @Autowired
    private SEnvGasSelfDayMapper sEnvGasSelfDayMapper;

    /**
     * 查询多源排放量汇总分析-废气-手工监测数据列表
     *
     * @param sEnvGasSelfDay 多源排放量汇总分析-废气-手工监测数据
     * @return 多源排放量汇总分析-废气-手工监测数据
     */
    @Override
    public List<SEnvGasSelfDay> selectSEnvGasSelfDayList(SEnvGasSelfDay sEnvGasSelfDay)
    {
        return sEnvGasSelfDayMapper.selectSEnvGasSelfDayList(sEnvGasSelfDay);
    }
    
}
