package cn.cecep.talroad.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.cecep.talroad.domain.SEnvWaterSelfDay;
import cn.cecep.talroad.mapper.SEnvWaterSelfDayMapper;
import cn.cecep.talroad.service.ISEnvWaterSelfDayService;
import cn.cecep.talroad.mapper.SEnvWaterSelfDayMapper;
import cn.cecep.talroad.domain.SEnvWaterSelfDay;
import cn.cecep.talroad.service.ISEnvWaterSelfDayService;




/**
 * 多源排放量汇总分析-废水-手工监测数据Service业务层处理
 *
 * @author szhpt
 * @date 2023-07-26*/
@Service
public class SEnvWaterSelfDayServiceImpl extends ServiceImpl<SEnvWaterSelfDayMapper,SEnvWaterSelfDay> implements ISEnvWaterSelfDayService
{
    @Autowired
    private SEnvWaterSelfDayMapper sEnvWaterSelfDayMapper;

    /**
     * 查询多源排放量汇总分析-废水-手工监测数据列表
     *
     * @param sEnvWaterSelfDay 多源排放量汇总分析-废水-手工监测数据
     * @return 多源排放量汇总分析-废水-手工监测数据
     */
    @Override
    public List<SEnvWaterSelfDay> selectSEnvWaterSelfDayList(SEnvWaterSelfDay sEnvWaterSelfDay)
    {
        return sEnvWaterSelfDayMapper.selectSEnvWaterSelfDayList(sEnvWaterSelfDay);
    }
    
}
