package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.SIntegratedRoutineInspection;
import cn.cecep.talroad.mapper.SIntegratedRoutineInspectionMapper;
import cn.cecep.talroad.service.ISIntegratedRoutineInspectionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;




/**
 * 日常检查信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-01-10*/
@Service
public class SIntegratedRoutineInspectionServiceImpl extends ServiceImpl<SIntegratedRoutineInspectionMapper,SIntegratedRoutineInspection> implements ISIntegratedRoutineInspectionService
{
    @Autowired
    private SIntegratedRoutineInspectionMapper sIntegratedRoutineInspectionMapper;

    /**
     * 查询日常检查信息列表
     *
     * @param sIntegratedRoutineInspection 日常检查信息
     * @return 日常检查信息
     */
    @Override
    public List<SIntegratedRoutineInspection> selectSIntegratedRoutineInspectionList(SIntegratedRoutineInspection sIntegratedRoutineInspection)
    {
        return sIntegratedRoutineInspectionMapper.selectSIntegratedRoutineInspectionList(sIntegratedRoutineInspection);
    }
    
}
