package cn.cecep.talroad.service.impl.analysis;

import cn.cecep.talroad.domain.analysis.SRaControlScheme;
import cn.cecep.talroad.mapper.analysis.SRaControlSchemeMapper;
import cn.cecep.talroad.service.analysis.ISRaControlSchemeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;




/**
 * 关联分析系统-减排方案管理-管控时间段信息Service业务层处理
 *
 * @author szhpt
 * @date 2023-04-02*/
@Service
public class SRaControlSchemeServiceImpl extends ServiceImpl<SRaControlSchemeMapper,SRaControlScheme> implements ISRaControlSchemeService
{
    @Autowired
    private SRaControlSchemeMapper sRaControlSchemeMapper;

    /**
     * 查询关联分析系统-减排方案管理-管控时间段信息列表
     *
     * @param sRaControlScheme 关联分析系统-减排方案管理-管控时间段信息
     * @return 关联分析系统-减排方案管理-管控时间段信息
     */
    @Override
    public List<SRaControlScheme> selectSRaControlSchemeList(SRaControlScheme sRaControlScheme)
    {
        return sRaControlSchemeMapper.selectSRaControlSchemeList(sRaControlScheme);
    }

}
