package cn.cecep.talroad.service.strategy.support.gt;

import cn.cecep.talroad.domain.MonDevReal;
import cn.cecep.talroad.vo.FactoryDeviceVo;
import java.util.Date;
import java.util.List;
import org.springframework.stereotype.Service;

/**
 * @Auther: cjh
 * @Date: 2023-05-17 17:03
 * @Class: GtSlYieldAdapter
 * @Deseription:
 * @Version V1.0
 */
@Service("GTSLSL")
public class GtSlYieldAdapter extends GtYieldStrategyAdapter {

    @Override
    protected void doProcessYieldData(FactoryDeviceVo vo, List<MonDevReal> currList, List<MonDevReal> oldList, Date lastHour, boolean flag) {
        // 调用公共处理方法，布袋除尘器，压差是否频繁超高报警分析
        super.doProcessPressData(vo,currList,lastHour);
    }
}
