package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 门禁监控对象 m_am_door_monitor_account_fi
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "门禁监控")
@EqualsAndHashCode(callSuper = false)
@Data
public class AmDoorMonitorAccountFiVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "车牌号码")
    /** 车牌号码*/
    private String lpnCode;

    @ApiModelProperty(value = "出入类型")
    /** 出入类型*/
    private String entryType;

    @ApiModelProperty(value = "出入时间")
    /** 出入时间*/
    private String entryTime;

    @ApiModelProperty(value = "车队名称")
    /** 车队名称*/
    private String carTeam;

    @ApiModelProperty(value = "排放阶段")
    /** 排放阶段*/
    private String dischargeStage;

    @ApiModelProperty(value = "发动机号码")
    /** 发动机号码*/
    private String ngineCode;

    @ApiModelProperty(value = "货物名称")
    /** 货物名称*/
    private String ioType;

    @ApiModelProperty(value = "货物净重")
    /** 货物净重*/
    private String cargoQuantity;

    @ApiModelProperty(value = "行驶证照片")
    /** 行驶证照片*/
    private String drivingLicenseImage;

    @ApiModelProperty(value = "随车清单")
    /** 随车清单*/
    private String accessoryListImage;
    private Integer quantity;

}
