package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 知识库-法律法规对象 b_enterprise_ir_legal
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "知识库-法律法规")
@EqualsAndHashCode(callSuper = false)
@Data
public class BEnterpriseIrLegalVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "法律法规分类")
    /** 法律法规分类 */
    private String legalType;

    @ApiModelProperty(value = "法律法规名称")
    /** 法律法规名称 */
    private String legalName;

    @ApiModelProperty(value = "法律法规标题")
    /** 法律法规标题 */
    private String legalTitle;

    @ApiModelProperty(value = "法律法规内容")
    /** 法律法规内容 */
    private String legalDetails;

    @ApiModelProperty(value = "法律法规附件名称")
    /** 法律法规附件名称 */
    private String legalFileName;

    @ApiModelProperty(value = "法律法规附件url")
    /** 法律法规附件url */
    private String legalFileUrl;

    @ApiModelProperty(value = "发布时间")
    /** 发布时间 */
    private String legalTime;

}
