package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;



/**
 * 通知提醒-通知公告对象 b_enterprise_ir_notifierpro_notice
 *
 * @author szhpt
 * @date 2023-03-14*/
@ApiModel(value = "通知提醒-通知公告")
@EqualsAndHashCode(callSuper = false)
@Data
public class BEnterpriseIrNotifierproNoticeVo
{


    @ApiModelProperty(value = "通知公告主键")
    /** $column.columnComment */
    private Long noticeId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "公告类型")
    /** 公告类型 */
    private String announcementType;

    @ApiModelProperty(value = "公告标题")
    /** 公告标题 */
    private String announcementTitle;

    @ApiModelProperty(value = "公告内容")
    /** 公告内容 */
    private String announcementDetails;

    @ApiModelProperty(value = "公告发布时间")
    /** 公告发布时间 */
    private Date announcementTime;

    @ApiModelProperty(value = "状态")
    /** 状态 */
    private String status;

}
