package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 执行报告对象 b_main_action_reports
 *
 * @author szhpt
 * @date 2023-01-11*/
@ApiModel(value = "执行报告")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainActionReportsVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "报告类型")
    /** 报告类型*/
    private String reportsType;

    @ApiModelProperty(value = "报告期")
    /** 报告期*/
    private String reportsTime;

    @ApiModelProperty(value = "执行报告")
    /** 执行报告*/
    private String reportsFile;

}
