package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业排放信息-多来源排放量对比-废水对象 b_main_emission_source_water
 *
 * @author szhpt
 * @date 2023-01-31*/
@ApiModel(value = "企业排放信息-多来源排放量对比-废水")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainEmissionSourceWaterVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "年份")
    /** 年份 */
    private String pollYear;

    @ApiModelProperty(value = "污染物类别")
    /** 污染物类别 */
    private String pollutionCategory;

    @ApiModelProperty(value = "COD系统核算排放量")
    /** COD系统核算排放量 */
    private String systematicAccountingCod;

    @ApiModelProperty(value = "COD执行报告排放量")
    /** COD执行报告排放量 */
    private String actionReportsCod;

    @ApiModelProperty(value = "COD许可排放量")
    /** COD许可排放量 */
    private String permissionCod;

}
