package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 移动执法信息-异常任务核查-流程步骤对象 b_main_exception_task_check_step
 *
 * @author szhpt
 * @date 2023-03-29*/
@ApiModel(value = "移动执法信息-异常任务核查-流程步骤")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainExceptionTaskCheckStepVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String id;

    @ApiModelProperty(value = "异常任务核查id")
    /** 异常任务核查id */
    private String exceptionTaskCheckId;

    @ApiModelProperty(value = "步骤名")
    /** 步骤名 */
    private String stepName;

    @ApiModelProperty(value = "操作时间")
    /** 操作时间 */
    private String operateTime;

    @ApiModelProperty(value = "操作人名称")
    /** 操作人名称 */
    private String operateUserName;

}
