package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 危废产生与处理对象 b_main_hazardous_waste_output
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "危废产生与处理")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainHazardousWasteOutputVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;

    @ApiModelProperty(value = "年份")
    /** 年份*/
    private String particularYear;

    @ApiModelProperty(value = "月份")
    /** 月份*/
    private String particularMonth;

    @ApiModelProperty(value = "废物类别")
    /** 废物类别*/
    private String materialsType;

    @ApiModelProperty(value = "废物代码")
    /** 废物代码*/
    private String materialsCode;

    @ApiModelProperty(value = "废物名称")
    /** 废物名称*/
    private String materialsName;

    @ApiModelProperty(value = "上月贮存量")
    /** 上月贮存量*/
    private String materialsLastMonth;

    @ApiModelProperty(value = "产生量")
    /** 产生量*/
    private String materialsOutput;

    @ApiModelProperty(value = "修正量")
    /** 修正量*/
    private String materialsAllowance;

    @ApiModelProperty(value = "转移量")
    /** 转移量*/
    private String materialsAsFollows;

    @ApiModelProperty(value = "利用处置量")
    /** 利用处置量*/
    private String materialsUse;

    @ApiModelProperty(value = "期末库存")
    /** 期末库存*/
    private String materialsRepertory;

    @ApiModelProperty(value = "期末超一年库存")
    /** 期末超一年库存*/
    private String materialsRepertoryYear;

    @ApiModelProperty(value = "计量单位")
    /** 计量单位*/
    private String unit;
}
