package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 排污许可其他许可噪声排放对象 b_main_poll_dis_noise
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可其他许可噪声排放")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisNoiseVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long noiseId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    private String pollDisId;

    @ApiModelProperty(value = "噪声类别")
    /** 噪声类别 */
    private String noiseType;

    @ApiModelProperty(value = "生产时段昼间")
    /** 生产时段昼间 */
    private String productionTimeDay;

    @ApiModelProperty(value = "生产时段夜间")
    /** 生产时段夜间 */
    private String productionTimeNight;

    @ApiModelProperty(value = "执行排放标准名称")
    /** 执行排放标准名称 */
    private String emissionStandardsName;

    @ApiModelProperty(value = "厂界噪声排放限制昼间")
    /** 厂界噪声排放限制昼间 */
    private String noiseOuelatDay;

    @ApiModelProperty(value = "厂界噪声排放限制夜间")
    /** 厂界噪声排放限制夜间 */
    private String noiseOuelatNight;

    @ApiModelProperty(value = "其他信息")
    /** 其他信息 */
    private String otherInformation;

}
