package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 排污许可自行监测记录对象 b_main_poll_dis_self_mon_other
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可自行监测记录")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisSelfMonOtherVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long monOtherId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    private String pollDisId;

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutantType;

    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    private String outletCode;

    @ApiModelProperty(value = "排放口名称")
    /** 排放口名称 */
    private String outletName;

    @ApiModelProperty(value = "监测内容")
    /** 监测内容 */
    private String monitoringContent;

    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    private String pollutantsName;

    @ApiModelProperty(value = "监测设施")
    /** 监测设施 */
    private String monitoringFacility;

    @ApiModelProperty(value = "自动监测是否联网")
    /** 自动监测是否联网 */
    private String monitoringAutomaticNetworking;

    @ApiModelProperty(value = "自动监测仪器名称")
    /** 自动监测仪器名称 */
    private String monitoringAutomaticName;

    @ApiModelProperty(value = "自动监测设施安装位置")
    /** 自动监测设施安装位置 */
    private String monitoringAutomaticAddress;

    @ApiModelProperty(value = "自动监测实施是否符合管理要求")
    /** 自动监测实施是否符合管理要求 */
    private String monitoringAutomaticRequire;

    @ApiModelProperty(value = "手工监测采样方法及个数")
    /** 手工监测采样方法及个数 */
    private String monitoringManualSampling;

    @ApiModelProperty(value = "手工监测频次")
    /** 手工监测频次 */
    private String monitoringManualFrequency;

    @ApiModelProperty(value = "手工测定方法")
    /** 手工测定方法 */
    private String monitoringManualMeans;

    @ApiModelProperty(value = "其他信息")
    /** 其他信息 */
    private String otherInformation;

}
