package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 排污许可水污染物排放总计对象 b_main_poll_dis_water_tout
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "排污许可水污染物排放总计")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainPollDisWaterToutVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long toutId;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排污许可表id")
    /** 排污许可表id */
    private String pollDisId;

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutantsType;

    @ApiModelProperty(value = "第一年")
    /** 第一年 */
    private String pollutantsTotalFrist;

    @ApiModelProperty(value = "第二年")
    /** 第二年 */
    private String pollutantsTotalSecond;

    @ApiModelProperty(value = "第三年")
    /** 第三年 */
    private String pollutantsTotalThird;

    @ApiModelProperty(value = "第四年")
    /** 第四年 */
    private String pollutantsTotalFourth;

    @ApiModelProperty(value = "第五年")
    /** 第五年 */
    private String pollutantsTotalFifth;

}
