package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 废气无组织排放产治排信息对象 b_main_production_inorg_gas
 *
 * @author szhpt
 * @date 2023-02-08*/
@ApiModel(value = "废气无组织排放产治排信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainProductionInorgGasVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "许可证无组织监测点位名称")
    /** 许可证无组织监测点位名称 */
    private String licenceMonName;

    @ApiModelProperty(value = "监测类型")
    /** 监测类型 */
    private String monitoringType;

    @ApiModelProperty(value = "无组织监测点位")
    /** 无组织监测点位 */
    private String monitoringInorganization;

    @ApiModelProperty(value = "主要污染防治措施")
    /** 主要污染防治措施 */
    private String pollutionPrevention;

    @ApiModelProperty(value = "产污环节")
    /** 产污环节 */
    private String pollutionProductionLink;

    @ApiModelProperty(value = "对应生产设施编号")
    /** 对应生产设施编号 */
    private String correspondingProductionCode;

    @ApiModelProperty(value = "视频监控")
    /** 视频监控 */
    private String devId;

    @ApiModelProperty(value = "对应生产设施名称")
    /** 对应生产设施名称 */
    private String correspondingProductionName;

    @ApiModelProperty(value = "生产设施参数")
    /** 生产设施参数 */
    private String proFacilityParam;

    @ApiModelProperty(value = "污染物种类")
    /** 污染物种类 */
    private String pollutionType;

}
