package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 固危废贮存信息对象 b_main_solid_hazardous
 *
 * @author szhpt
 * @date 2023-01-18*/
@ApiModel(value = "固危废贮存信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainSolidHazardousVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "自行贮存设施名称")
    /** 自行贮存设施名称 */
    private String facilityName;

    @ApiModelProperty(value = "自行贮存设施编号")
    /** 自行贮存设施编号 */
    private String facilityCode;

}
