package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 移动执法信息-双随机任务-流程步骤对象 b_main_two_random_task_step
 *
 * @author szhpt
 * @date 2023-03-29*/
@ApiModel(value = "移动执法信息-双随机任务-流程步骤")
@EqualsAndHashCode(callSuper = false)
@Data
public class BMainTwoRandomTaskStepVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String id;

    @ApiModelProperty(value = "双随机任务id")
    /** 双随机任务id */
    private String twoRandomTaskId;

    @ApiModelProperty(value = "步骤名")
    /** 步骤名 */
    private String stepName;

    @ApiModelProperty(value = "操作时间")
    /** 操作时间 */
    private String operateTime;

    @ApiModelProperty(value = "操作人名称")
    /** 操作人名称 */
    private String operateUserName;

}
