package cn.cecep.talroad.vo;

import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.annotation.ExcelNew;
import cn.cecep.talroad.domain.BStatTablePwxkBoilerFuelGas;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BStatTablePwxkBoilerFuelGasVo extends BStatTablePwxkBoilerFuelGas {
    @Excel(name = "排污许可证编号", sort = 0)
    @ApiModelProperty(value = "排污许可证编码")
    private String pollDisLicenseCode;

    @Excel(name = "排污单位名称", sort = 10)
    @ApiModelProperty(value = "排污单位名称")
    private String factoryName;

    @ApiModelProperty(value = "管理类别")
    @Excel(name = "管理类别", readConverterExp = "FOCUS=重点,SIMPLIFY=简化,REGISTER=登记", sort = 20)
    private String licenseManType;

    @ApiModelProperty(value = "所在区县")
    @Excel(name = "所在区县", sort = 30)
    private String countryName;

    @ApiModelProperty(value = "所在流域")
    @Excel(name = "所在流域", sort = 31)
    private String riverBasin;

    @ApiModelProperty(value = "所属工业园区名称")
    @Excel(name = "所属工业园区名称", sort = 40)
    private String industrialParkName;

    @ApiModelProperty(value = "所属工业园区编码")
    @Excel(name = "所属工业园区编码", sort = 50)
    private String industrialParkCode;

    @ApiModelProperty(value = "行业类别")
    @Excel(name = "行业类别", sort = 60)
    private String industryPermissionName;
}
