package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--企业基本信息对象 b_stat_table_zxbg_jbxx_info
 *
 * @author szhpt
 * @date 2023-07-27*/
@ApiModel(value = "固定源产排治--执行报告--企业基本信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgJbxxInfoVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "执行报告记录内容")
    /** 执行报告记录内容 */
    private String zxbgRecord;

    @ApiModelProperty(value = "执行报告生产单元")
    /** 执行报告生产单元 */
    private String zxbgProPress;

    @ApiModelProperty(value = "名称")
    /** 名称 */
    private String zxbgName;

    @ApiModelProperty(value = "参数")
    /** 参数 */
    private String zxbgParam;

    @ApiModelProperty(value = "单位")
    /** 单位 */
    private String zxbgUnit;

    @ApiModelProperty(value = "数量")
    /** 数量 */
    private Long zxbgNum;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String zsbgRemark;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "是否删除")
    /** 是否删除 */
    private String isDelete;

}
