package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 固定源产排治--执行报告--水泥燃料分析对象 b_stat_table_zxbg_sn_fuel
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--水泥燃料分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class BStatTableZxbgSnFuelVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    private String zxbgType;

    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    private String zxbgPeriod;

    @ApiModelProperty(value = "参数")
    /** 参数 */
    private String parameter;

    @ApiModelProperty(value = "记录内容")
    /** 记录内容 */
    private String recordTheContent;

    @ApiModelProperty(value = "名称")
    /** 名称 */
    private String name;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "类型")
    /** 类型 */
    private String type;

    @ApiModelProperty(value = "使用情况")
    /** 使用情况 */
    private String usage;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
