package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 有组织-分表计电设备对应对象 bas_dev_to_elec
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "有组织-分表计电设备对应")
@EqualsAndHashCode(callSuper = false)
@Data
public class BasDevToElecVo
{


    @ApiModelProperty(value = "有组织设备ID")
    /** 有组织设备ID */
    private String deviceId;

    @ApiModelProperty(value = "计电设备ID")
    /** 计电设备ID */
    private String elecDeviceId;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
