package cn.cecep.talroad.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 企业设备参数配置对象 bas_device_config
 *
 * @author szhpt
 * @date 2023-04-05*/
@ApiModel(value = "企业设备参数配置")
@EqualsAndHashCode(callSuper = false)
@Data
public class BasDeviceConfigVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "data_id",type = IdType.ASSIGN_UUID)
    private String dataId;

    @ApiModelProperty(value = "企业ID")
    /** 企业ID */
    private String factoryId;

    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    private String deviceName;

    @ApiModelProperty(value = "参数编码")
    /** 参数编码 */
    private String paramCode;

    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    private String paramName;

    @ApiModelProperty(value = "单位")
    /** 单位 */
    private String unit;

    @ApiModelProperty(value = "行业")
    /** 行业 */
    private String industry;

    @ApiModelProperty(value = "设备类型")
    /** 设备类型 */
    private String deviceType;

    @ApiModelProperty(value = "配置值")
    /** 配置值 */
    private String normalValue;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
