package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 转炉设备与转炉煤气放散设备映射关系对象 bas_device_zl_config
 *
 * @author szhpt
 * @date 2023-06-30*/
@ApiModel(value = "转炉设备与转炉煤气放散设备映射关系")
@EqualsAndHashCode(callSuper = false)
@Data
public class BasDeviceZlConfigVo
{


    @ApiModelProperty(value = "主键ID")
    /** 主键ID */
    private String dataId;

    @ApiModelProperty(value = "企业ID")
    /** 企业ID */
    private String factoryId;

    @ApiModelProperty(value = "转炉设备ID")
    /** 转炉设备ID */
    private String deviceId;

    @ApiModelProperty(value = "转炉煤气放散设备ID")
    /** 转炉煤气放散设备ID */
    private String fsDeviceId;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
