package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 分表计电设备信息对象 bas_elec_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "分表计电设备信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class BasElecDeviceVo
{


    @ApiModelProperty(value = "计电设备ID")
    /** 计电设备ID */
    private String elecDeviceId;

    @ApiModelProperty(value = "所属企业")
    /** 所属企业 */
    private String factoryId;

    @ApiModelProperty(value = "设备名称")
    /** 设备名称 */
    private String name;

    @ApiModelProperty(value = "所属行业 枚举。钢铁/焦化/水泥...")
    /** 所属行业 枚举。钢铁/焦化/水泥... */
    private String industry;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String memo;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

}
