package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 关联分析-阈值设置对象 bas_threshold_config
 *
 * @author szhpt
 * @date 2023-05-18*/
@ApiModel(value = "关联分析-阈值设置")
@EqualsAndHashCode(callSuper = false)
@Data
public class BasThresholdConfigVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private Long dataId;

    @ApiModelProperty(value = "分析任务名称")
    /** 分析任务名称 */
    private String taskName;

    @ApiModelProperty(value = "参数编码")
    /** 参数编码 */
    private String paramCode;

    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    private String paramName;

    @ApiModelProperty(value = "阈值频次：D:日 H：小时")
    /** 阈值频次：D:日 H：小时 */
    private String frequency;

    @ApiModelProperty(value = "阈值")
    /** 阈值 */
    private String thresholdValue;

    @ApiModelProperty(value = "单位")
    /** 单位 */
    private String unit;

    @ApiModelProperty(value = "备注")
    /** 备注 */
    private String remark;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "更新人")
    /** 更新人 */
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

}
