package cn.cecep.talroad.vo;

import cn.cecep.talroad.domain.BaseRegionalControlObjectives;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class BaseRegionalControlObjectivesVo extends BaseRegionalControlObjectives {

    /**
     * 区县code
     */
    @ApiModelProperty(value="区县名称")
    @TableField(exist = false)
    private String countryName;

    /**
     * 区县code
     */
    @ApiModelProperty(value="污染物名称")
    @TableField(exist = false)
    private String pollName;
}
