package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 企业信息上报任务清单对象 factory_reporting_manifest
 *
 * @author szhpt
 * @date 2023-05-09*/
@ApiModel(value = "企业信息上报任务清单")
@EqualsAndHashCode(callSuper = false)
@Data
public class FactoryReportingManifestVo
{


    @ApiModelProperty(value = "企业名称")
    /** 企业名称 */
    private String factoryName;

    @ApiModelProperty(value = "统一社会信用代码")
    /** 统一社会信用代码 */
    private String uscCode;

    @ApiModelProperty(value = "所属行业")
    /** 所属行业 */
    private String industryCategory;

    @ApiModelProperty(value = "联系人")
    /** 联系人 */
    private String contact;

    @ApiModelProperty(value = "联系电话")
    /** 联系电话 */
    private String contactPhone;

    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String fmId;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String createTime;

    @ApiModelProperty(value = "factory_reporting_task表关联id")
    /** factory_reporting_task表关联id */
    private String frId;

}
