package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 企业信息上报任务对象 factory_reporting_task
 *
 * @author szhpt
 * @date 2023-05-09*/
@ApiModel(value = "企业信息上报任务")
@EqualsAndHashCode(callSuper = false)
@Data
public class FactoryReportingTaskVo
{


    @ApiModelProperty(value = "主键")
    /** 主键 */
    private String frId;

    @ApiModelProperty(value = "任务名称")
    /** 任务名称 */
    private String taskName;

    @ApiModelProperty(value = "任务来源")
    /** 任务来源 */
    private String taskSource;

    @ApiModelProperty(value = "所属区域")
    /** 所属区域 */
    private String regionName;

    @ApiModelProperty(value = "任务描述")
    /** 任务描述 */
    private String taskDescription;

    @ApiModelProperty(value = "创建任务时间")
    /** 创建任务时间 */
    private String taskTime;

}
