package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author szhpt
 */
@ApiModel(value = "重点排放行业分析-行业企业总览")
@EqualsAndHashCode(callSuper = false)
@Data
public class IndustryCompanyOverviewVo {

    @ApiModelProperty(value = "排污单位总数")
    private String overviewPollutingUnits;
    @ApiModelProperty(value = "重点排污单位数")
    private String overviewPollutingEmphasis;
    @ApiModelProperty(value = "超低排放单位数量")
    private String overviewUltraLowEmissionsUnit;

    @ApiModelProperty(value = "重点管理")
    private String overviewKeyManagement;
    @ApiModelProperty(value = "简化管理")
    private String overviewSimplifyManagement;
    @ApiModelProperty(value = "登记管理")
    private String overviewRegisterManagement;

    @ApiModelProperty(value = "废水排口")
    private String waterMainOutlet;
    @ApiModelProperty(value = "废水自动监测排口")
    private String waterAutoOutlet;

    @ApiModelProperty(value = "废气排口")
    private String airMainOutlet;
    @ApiModelProperty(value = "废气自动监测排口")
    private String airAutoOutlet;

}
