package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;



/**
 * 【请填写功能名称】对象 ods_online_ol_dgiinfo_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "【请填写功能名称】")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsOnlineOlDgiinfoAVo
{


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private String id;

    @ApiModelProperty(value = "企业主键ID")
    /** 企业主键ID */
    private String psId;

    @ApiModelProperty(value = "mn编码")
    /** mn编码 */
    private String dgiMn;

    @ApiModelProperty(value = "数采仪密码")
    /** 数采仪密码 */
    private String dgiPwd;

    @ApiModelProperty(value = "ip地址")
    /** ip地址 */
    private String ip;

    @ApiModelProperty(value = "端口")
    /** 端口 */
    private String port;

    @ApiModelProperty(value = "sim卡号")
    /** sim卡号 */
    private String simNo;

    @ApiModelProperty(value = "领用人")
    /** 领用人 */
    private String getter;

    @ApiModelProperty(value = "领用单位")
    /** 领用单位 */
    private String getUnit;

    @ApiModelProperty(value = "领用日期")
    /** 领用日期 */
    private String getDate;

    @ApiModelProperty(value = "启用日期")
    /** 启用日期 */
    private String useDate;

    @ApiModelProperty(value = "间隔时间")
    /** 间隔时间 */
    private String intervalTime;

    @ApiModelProperty(value = "生产厂家设备品牌")
    /** 生产厂家设备品牌 */
    private String manufactor;

    @ApiModelProperty(value = "设备出厂编号")
    /** 设备出厂编号 */
    private String equipmentFactoryNumber;

    @ApiModelProperty(value = "设备型号")
    /** 设备型号 */
    private String equipmentTypeCode;

    @ApiModelProperty(value = "联系人")
    /** 联系人 */
    private String contact;

    @ApiModelProperty(value = "联系人手机")
    /** 联系人手机 */
    private String contactPhone;

    @ApiModelProperty(value = "检查状态")
    /** 检查状态 */
    private String checkState;

    @ApiModelProperty(value = "更新时间")
    /** 更新时间 */
    private String updateTime;

    @ApiModelProperty(value = "入库时间")
    /** 入库时间 */
    private String createTime;

    @ApiModelProperty(value = "禁用时间")
    /** 禁用时间 */
    private String deleteTime;

    @ApiModelProperty(value = "禁用后再次启用时间")
    /** 禁用后再次启用时间 */
    private String enableTime;

    @ApiModelProperty(value = "是否启用，1-启用 0-禁用")
    /** 是否启用，1-启用 0-禁用 */
    private String enable;

    @ApiModelProperty(value = "是否具备防作假功能，1-是 0-否")
    /** 是否具备防作假功能，1-是 0-否 */
    private Long preventFaking;

}
