package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业与接入数据类型关联对象 pc_adsl_factory
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "企业与接入数据类型关联")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcAdslFactoryVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private Long id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "接入数据类型id")
    /** 接入数据类型id */
    private String adslId;

}
