package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@ApiModel(value = "企业许可证发放情况")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcFactoryLicensingStatusVo {

    @ApiModelProperty(value = "企业总数")
    private Integer factoryCount;

    @ApiModelProperty(value = "登记管理总数")
    private Integer registerCount;

    @ApiModelProperty(value = "简化管理总数")
    private Integer simplifyCount;

    @ApiModelProperty(value = "重点管理总数")
    private Integer focusCount;

    private List<PcCountryLicensingStatusVo> pcCountryLicensingStatusVo;
}
