package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 污染排放跟踪(实际排放/许可排放)对象 pc_factory_pollutant_emissions_rank
 *
 * @author szhpt
 * @date 2023-02-10*/
@ApiModel(value = "污染排放跟踪(实际排放/许可排放)")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcFactoryPollutantEmissionsRankVo
{


    @ApiModelProperty(value = "主键ID")
    /** 主键ID */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "污染物id")
    /** 污染物id */
    private String pollutantId;

    @ApiModelProperty(value = "排放量排名")
    /** 排放量排名 */
    private String emissionsRank;

    @ApiModelProperty(value = "实际排放量")
    /** 实际排放量 */
    private String emissionsActual;

    @ApiModelProperty(value = "许可排放量")
    /** 许可排放量 */
    private String emissionsPermit;

    @ApiModelProperty(value = "占比")
    /** 占比 */
    private String emissionsRatio;

}
