package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 行业对象 pc_industry
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "行业")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcIndustryVo
{


    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private String id;

    @ApiModelProperty(value = "行业编码")
    /** 行业编码*/
    private String indusCode;

    @ApiModelProperty(value = "行业名称")
    /** 行业名称 */
    private String indusName;

}
