package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 特征标签-参数值对象 pc_label_value
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "特征标签-参数值")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcLabelValueVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "特征标签id")
    /** 特征标签id */
    private String labelId;

    @ApiModelProperty(value = "参数编码")
    /** 参数编码 */
    private String argumentsCode;

    @ApiModelProperty(value = "参数名称")
    /** 参数名称 */
    private String argumentsName;

    @ApiModelProperty(value = "排序")
    /** 排序*/
    private int orderNum;
}
