package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 企业档案菜单与企业关联中间对象 pc_menu_factory
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "企业档案菜单与企业关联中间")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcMenuFactoryVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "菜单表id")
    /** 菜单表id */
    private String menuId;

    @ApiModelProperty(value = "是否启用(移除功能)")
    /** 是否启用(移除功能) */
    private String menuIfUse;

    @ApiModelProperty(value = "是否重点关注")
    /** 是否重点关注 */
    private String menuFocus;

    @ApiModelProperty(value = "是否重点排序")
    /** 是否重点排序 */
    private String menuFocusIndex;

}
