package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 噪声排放类型对象 pc_noise_type
 *
 * @author szhpt
 * @date 2023-01-11*/
@ApiModel(value = "噪声排放类型")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcNoiseTypeVo
{


    @ApiModelProperty(value = "噪声类别id")
    /** 噪声类别id*/
    private String id;

    @ApiModelProperty(value = "噪声类型名称")
    /** 噪声类型名称*/
    private String noiseTypeName;

    @ApiModelProperty(value = "噪声编码")
    /** 噪声编码*/
    private String noiseTypeCode;

}
