package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 固危废贮存信息--危险废物名录类型对象 pc_solid_hazardous_type
 *
 * @author szhpt
 * @date 2023-03-21*/
@ApiModel(value = "固危废贮存信息--危险废物名录类型")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcSolidHazardousTypeVo
{


    @ApiModelProperty(value = "ID")
    /** ID */
    private String id;

    @ApiModelProperty(value = "废物类别")
    /** 废物类别 */
    private String type;

    @ApiModelProperty(value = "类别名称")
    /** 类别名称 */
    private String name;

    @ApiModelProperty(value = "行业来源")
    /** 行业来源 */
    private String source;

    @ApiModelProperty(value = "废物代码")
    /** 废物代码 */
    private String code;

    @ApiModelProperty(value = "物描述")
    /** 物描述 */
    private String describe;

    @ApiModelProperty(value = "危险特性")
    /** 危险特性 */
    private String characteristics;

    @ApiModelProperty(value = "状态 N 停用 Y启用")
    /** 状态 N 停用 Y启用 */
    private String state;

    @ApiModelProperty(value = "创建时间")
    /** 创建时间 */
    private String entityCreatedate;

    @ApiModelProperty(value = "修改时间")
    /** 修改时间 */
    private String entityModifydate;

    @ApiModelProperty(value = "创建人")
    /** 创建人 */
    private String entityCreateuser;

    @ApiModelProperty(value = "修改人")
    /** 修改人 */
    private String entityModifyuser;

    @ApiModelProperty(value = "版本号")
    /** 版本号 */
    private String version;

    @ApiModelProperty(value = "$column.columnComment")
    /** $column.columnComment */
    private String valid;

}
