package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 站房运维签到信息对象 pc_station_building_ops
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "站房运维签到信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcStationBuildingOpsVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "站房id")
    /** 站房id*/
    private String stationBuildingId;

    @ApiModelProperty(value = "签到人员")
    /** 签到人员*/
    private String signInPersonnel;

    @ApiModelProperty(value = "签到时间")
    /** 签到时间*/
    private String signInTime;

    @ApiModelProperty(value = "签到图片")
    /** 签到图片*/
    private String signInImage;

    @ApiModelProperty(value = "运维活动")
    /** 运维活动*/
    private String signOutPersonnel;

    @ApiModelProperty(value = "签退时间")
    /** 签退时间*/
    private String signOutTime;

    @ApiModelProperty(value = "签退图片")
    /** 签退图片*/
    private String signOutImage;

}
