package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 无组织监控数据对象 s_env_gas_real
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "无组织监控数据")
@EqualsAndHashCode(callSuper = false)
@Data
public class SEnvGasRealVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    private String id;

    @ApiModelProperty(value = "排口id")
    /** 排口id*/
    private String outletId;

    @ApiModelProperty(value = "监测点位名称")
    /** 监测点位名称*/
    private String stationName;

    @ApiModelProperty(value = "数据类型")
    /** 数据类型*/
    private String dataType;

    @ApiModelProperty(value = "对应许可证无组织监测点位名称")
    /** 对应许可证无组织监测点位名称*/
    private String licenceStationName;

    @ApiModelProperty(value = "日期")
    /** 日期*/
    private String monitoringTime;

    @ApiModelProperty(value = "PM10")
    /** PM10*/
    private String pm10;

    @ApiModelProperty(value = "PM2.5")
    /** PM2.5*/
    private String pm25;

    @ApiModelProperty(value = "TSP")
    /** TSP*/
    private String tsp;

    @ApiModelProperty(value = "NMHC")
    /** NMHC*/
    private String nmhc;

    @ApiModelProperty(value = "甲烷")
    /** 甲烷*/
    private String ch4;

    @ApiModelProperty(value = "总烃")
    /** 总烃*/
    private String hydrocarbon;

    @ApiModelProperty(value = "苯")
    /** 苯*/
    private String benzene;

    @ApiModelProperty(value = "甲苯")
    /** 甲苯*/
    private String methylbenzene;

    @ApiModelProperty(value = "温度")
    /** 温度*/
    private String temperature;

    @ApiModelProperty(value = "湿度")
    /** 湿度*/
    private String humidity;

    @ApiModelProperty(value = "风向")
    /** 风向*/
    private String windDirection;

    @ApiModelProperty(value = "风速")
    /** 风速*/
    private String windSpeed;

    @ApiModelProperty(value = "大气压")
    /** 大气压*/
    private String barometricPressure;

    @ApiModelProperty(value = "企业id")
    private String factoryId;

}
