package cn.cecep.talroad.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 基本信息-废气、废水排口档案-动态管控信息对象 s_main_dynamic_control
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "基本信息-废气、废水排口档案-动态管控信息")
@EqualsAndHashCode(callSuper = false)
@Data
public class SMainDynamicControlVo
{


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    private String id;

    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "排口id")
    /** 排口id */
    private String outletId;

    @ApiModelProperty(value = "CEMS设备品牌")
    /** CEMS设备品牌 */
    private String equipmentBrandCems;

    @ApiModelProperty(value = "仪器状态")
    /** 仪器状态 */
    private String equipmentState;

    @ApiModelProperty(value = "管控类型编码")
    /** 管控类型编码 */
    private String controlTypeCode;

    @ApiModelProperty(value = "管控类型名称")
    /** 管控类型名称 */
    private String controlTypeName;


}
