package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Auther: cjh
 * @Date: 2023-07-14 11:52
 * @Class: FactoryOutletStaticsVo
 * @Deseription:
 * @Version V1.0
 */
@Data
public class FactoryOutletStaticsVo {

    private String factoryId;
    private String outletId;
    private String outletName;
    private String paramName;
    private Integer actualCount;


    @Data
    public static class EmissionAvgAndMax {
        private String factoryId;
        private String outletId;
        private BigDecimal sewageEmissionAvg;
        private BigDecimal sewageEmissionMax;
        private BigDecimal codEmissionAvg;
        private BigDecimal codEmissionMax;
        private BigDecimal ammoniaNitrogenEmissionAvg;
        private BigDecimal ammoniaNitrogenEmissionMax;
        private BigDecimal nitrogenConcentrationEmissionAvg;
        private BigDecimal nitrogenConcentrationEmissionMax;
        private BigDecimal phosphorusConcentrationEmissionAvg;
        private BigDecimal phosphorusConcentrationEmissionMax;
    }

}
