package cn.cecep.talroad.vo.analysis;
import cn.cecep.talroad.domain.PcOutlet;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;


/**
 * 排口信息 排口排污许可信息复合实体
 *
 * @date 2023-01-11*/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PcOutletPermitPollutantVO
{

    /**
     * 排污许可编号
     */
   private String outletCode;

    /**
     * 企业id
     */
   private String factoryId;

    /**
     * 排口实体
     */
   private PcOutlet pcOutlet;

    /**
     * 排口排污许可监测类型复合实体,k:污染编码，v:排污许可限值
     */
   private Map<String,OutletPermitPollutantVO> outletPermitPollutantVOMap;
}
