package cn.cecep.talroad.vo.analysis;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


@ApiModel(value = "超标率分析-气污染要素")
@EqualsAndHashCode(callSuper = false)
@Data
public class SRaOverRateGasVo
{
    @Excel(name = "统计时间")
    @ApiModelProperty(value = "统计时间")
    private String statisticsTime;

    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String factoryName;

    @Excel(name = "行业名称")
    @ApiModelProperty(value = "行业名称")
    private String argumentsName;

    @Excel(name = "区县名称")
    @ApiModelProperty(value = "区县名称")
    private String countryName;

    @Excel(name = "监测点位名称")
    @ApiModelProperty(value = "监测点位名称")
    private String pointName;

    @Excel(name = "排口编号")
    @ApiModelProperty(value = "排口编号")
    private String outletCode;

    @Excel(name = "有效监测数据（小时值）数量")
    @ApiModelProperty(value = "有效监测数据（小时值）数量")
    private String validDataCount;

    @Excel(name = "so2超标次数")
    @ApiModelProperty(value = "so2超标次数")
    private String so2OverCount;

    @Excel(name = "so2超标率")
    @ApiModelProperty(value = "so2超标率")
    private String so2OverRate;

    @Excel(name = "NOx超标次数")
    @ApiModelProperty(value = "NOx超标次数")
    private String noxOverCount;

    @Excel(name = "NOx超标率")
    @ApiModelProperty(value = "NOx超标率")
    private String noxOverRate;

    @Excel(name = "颗粒物超标次数")
    @ApiModelProperty(value = "颗粒物超标次数")
    private String pmOverCount;

    @Excel(name = "颗粒物超标率")
    @ApiModelProperty(value = "颗粒物超标率")
    private String pmOverRate;

    @Excel(name = "VOCs超标次数")
    @ApiModelProperty(value = "VOCs超标次数")
    private String vocsOverCount;

    @Excel(name = "VOCs超标率")
    @ApiModelProperty(value = "VOCs超标率")
    private String vocsOverRate;

}
