package cn.cecep.talroad.vo.analysis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WaterPollutionTraceabilityVo {

    private String id;
    @ApiModelProperty("点位名称")
    private String pointName;
    @ApiModelProperty("编号")
    private String code ;
    @ApiModelProperty("名称")
    private String name;
    @ApiModelProperty("点位类型：1，直排，2：间排，3:污水处理厂，4：入河口")
    private String type;

    private String longitude;

    private String  latitude;

    private String nowConcentration;
}
