package cn.cecep.talroad.vo.effective;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


@Data
public class PcNationalCityRanking {
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Integer id;

    /**
     * 省编码
     */
    @ApiModelProperty(value = "省编码")
    private String pcode;

    /**
     * 省名称
     */
    @ApiModelProperty(value = "省名称")
    private String pname;

    /**
     * 城市名称
     */
    @ApiModelProperty(value = "城市名称")
    private String cityName;

    /**
     * 城市行政区划代码
     */
    @ApiModelProperty(value = "城市行政区划代码")
    private Integer cityId;

    /**
     * AQI
     */
    @ApiModelProperty(value = "AQI")
    private String aqi;

    /**
     * 最大污染物
     */
    @ApiModelProperty(value = "最大污染物")
    private String maxPollution;

    /**
     * pm25
     */
    @ApiModelProperty(value = "pm25")
    private String pm25;

    /**
     * pm10
     */
    @ApiModelProperty(value = "pm10")
    private String pm10;

    /**
     * o3
     */
    @ApiModelProperty(value = "o3")
    private String o3;

    /**
     * so2
     */
    @ApiModelProperty(value = "so2")
    private String so2;

    /**
     * no2
     */
    @ApiModelProperty(value = "no2")
    private String no2;

    /**
     * co
     */
    @ApiModelProperty(value = "co")
    private String co;

    /**
     * 数据时间 小时
     */
    @ApiModelProperty(value = "数据时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date dateTime;

    /**
     * 排名
     */
    @ApiModelProperty(value = "337排名")
    private String index337;

    /**
     *
     */
    @ApiModelProperty(value = "")
    private String is337;

    /**
     *
     */
    @ApiModelProperty(value = "")
    private String is168;

    /**
     *
     */
    @ApiModelProperty(value = "168排名")
    private String index168;

    private String dateType;
    @ApiModelProperty(value = "省内城市排名")
    private String indexProvinceCity;

    private String dateStr;


    private String index;

    private String aqiType;
}

