package cn.cecep.talroad.vo.effective;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author: wyg
 * @Description:
 * @Date: 2023/6/16 17:58
 * @Version: 1.0
 */
@Data
public class PcNationalCountyRanking {
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 市级编码
     */
    @ApiModelProperty(value = "市级编码")
    private String citycode;

    /**
     * 市级名称
     */
    @ApiModelProperty(value = "市级名称")
    private String cityname;
    /**
     * AQI
     */
    @ApiModelProperty(value = "AQI")
    private String aqi;

    /**
     * 县编码
     */
    @ApiModelProperty(value = "县编码")
    private String countrycode;

    /**
     * 县名称
     */
    @ApiModelProperty(value = "县名称")
    private String countryname;

    /**
     * 爬取的城市名称
     */
    @ApiModelProperty(value = "爬取的城市名称")
    private Integer allname;

    /**
     * 最大污染物
     */
    @ApiModelProperty(value = "最大污染物")
    private String maxpollution;


    /**
     * pm25
     */
    @ApiModelProperty(value = "pm25")
    private String pm25;
    /**
     * pm10
     */
    @ApiModelProperty(value = "pm10")
    private String pm10;
    /**
     * o3
     */
    @ApiModelProperty(value = "o3")
    private String o3;


    /**
     * so2
     */
    @ApiModelProperty(value = "so2")
    private String so2;


    /**
     * no2
     */
    @ApiModelProperty(value = "no2")
    private String no2;
    /**
     * co
     */
    @ApiModelProperty(value = "co")
    private String co;
    /**
     * 数据时间 小时
     */
    @ApiModelProperty(value = "数据时间 小时")
    private Date dateTime;
    /**
     * 排名
     */
    @ApiModelProperty(value = "排名")
    private String index;

    /**
     * 日：D，月：M，年：Y
     */
    @ApiModelProperty(value="日：D，月：M，年：Y")
    private String dateType;
}
