package cn.cecep.talroad.vo.export;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author: wyg
 * @Description:
 * @Date: 2023/6/15 14:46
 * @Version: 1.0
 */
@Data
public class PcNationalCityRankingExport {

//    @Excel(name = "序号")
    private String id;

    private String type;
    private String dateType;
    private String date;
    /**
     * 省名称
     */
//    @ApiModelProperty(value = "省名称")
//    @Excel(name = "省名称")
    private String pname;

    /**
     * 城市名称
     */
    @ApiModelProperty(value = "城市名称")
    @Excel(name = "城市名称")
    private String cityname;


    /**
     * 排名
     */
    @ApiModelProperty(value = "排名")
    @Excel(name = "排名")
    private String index;


    /**
     * 168排名
     */
    @ApiModelProperty(value = "168排名")
    private String index168;


    /*
     *省内城市排名
     */
    @ApiModelProperty(value = "省内城市排名")
    private String indexprovincecity;

    /**
     * AQI
     */
    @ApiModelProperty(value = "AQI")
    @Excel(name = "AQI")
    private String aqi;
    /**
     * pm10
     */
    @ApiModelProperty(value = "pm10")
    @Excel(name = "PM₁₀(μg/m3)")
    private String pm10;
    /**
     * pm25
     */
    @ApiModelProperty(value = "pm25")
    @Excel(name = "PM₂.₅(μg/m3)")
    private String pm25;
    /**
     * so2
     */
    @ApiModelProperty(value = "so2")
    @Excel(name = "SO₂(μg/m3)")
    private String so2;
    /**
     * no2
     */
    @ApiModelProperty(value = "no2")
    @Excel(name = "NO₂(μg/m3)")
    private String no2;
    /**
     * co
     */
    @ApiModelProperty(value = "co")
    @Excel(name = "CO(μg/m3)")
    private String co;
    /**
     * o3
     */
    @ApiModelProperty(value = "o3")
    @Excel(name = "O₃(μg/m3)")
    private String o3;
    /**
     * 最大污染物
     */
    @ApiModelProperty(value = "最大污染物")
    @Excel(name = "首要污染物")
    private String maxpollution;



    /**
     * 数据时间 小时
     */
    @ApiModelProperty(value = "数据时间")
//    @Excel(name = "数据时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateTime;



    /*
    * 省内城市排名
    */
    @ApiModelProperty(value = "省内区县排名")
//    @Excel(name = "省内区县排名")
    private String indexprovincecounty;

}
