package cn.cecep.talroad.vo.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 分表计电设备信息对象 bas_elec_device
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "首页-企业总揽")
@EqualsAndHashCode(callSuper = false)
@Data
public class HpmEmissionRatioOverviewVo
{

    @ApiModelProperty(value = "SO2自动监测")
    private String actualDischargeSo2;
    @ApiModelProperty(value = "SO2手工监测")
    private String permissibleDischargeSo2;
    @ApiModelProperty(value = "NOx自动监测")
    private String actualDischargeNox;
    @ApiModelProperty(value = "NOx手工监测")
    private String permissibleDischargeNox;
    @ApiModelProperty(value = "颗粒物自动监测")
    private String actualDischargePm;
    @ApiModelProperty(value = "颗粒物手工监测")
    private String permissibleDischargePm;
    @ApiModelProperty(value = "VOCs自动监测")
    private String actualDischargeVocs;
    @ApiModelProperty(value = "VOCs手工监测")
    private String permissibleDischargeVocs;
    @ApiModelProperty(value = "COD自动监测")
    private String actualDischargeCod;
    @ApiModelProperty(value = "COD手工监测")
    private String permissibleDischargeCod;
    @ApiModelProperty(value = "氨氮自动监测")
    private String actualDischargeNhn;
    @ApiModelProperty(value = "氨氮手工监测")
    private String permissibleDischargeNhn;
    @ApiModelProperty(value = "总氮自动监测")
    private String actualDischargeTn;
    @ApiModelProperty(value = "总氮手工监测")
    private String permissibleDischargeTn;
    @ApiModelProperty(value = "总磷自动监测")
    private String actualDischargeTp;
    @ApiModelProperty(value = "总磷手工监测")
    private String permissibleDischargeTp;

    
}
