package cn.cecep.talroad.vo.homepage;

import cn.cecep.talroad.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@ApiModel(value = "大屏-在线监控分析--监测点位预警报警情况详情")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonitoringPointWarningDetailsVo implements Serializable
{

    @ApiModelProperty(value = "污染物")
    @Excel(name = "污染物",sort = 3)
    private String paramName;

    @ApiModelProperty(value = "浓度")
    @Excel(name = "浓度",sort = 6)
    private String concentration;

    @ApiModelProperty(value = "详情")
    @Excel(name = "详情",sort = 7)
    private String problemDetails;
    @ApiModelProperty(value = "企业名称")
    @Excel(name = "企业名称",sort = 1)
    private String factoryName;

    @ApiModelProperty(value = "问题分类")
    @Excel(name = "问题分类",sort = 5)
    private String name;

    @ApiModelProperty(value = "报警类型")
    @Excel(name = "报警类型",sort = 4)
    private String problemType;
    @ApiModelProperty(value = "污染种类")
    @Excel(name = "污染种类",sort = 2)
    private String pollutantOutletType;

}
