package cn.cecep.talroad.vo.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@ApiModel(value = "大屏-在线监控分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonitoringPointWarningVo implements Serializable
{

    @ApiModelProperty(value = "废气监测预警")
    private String gasMonitoringWarning;

    @ApiModelProperty(value = "废气监测超标")
    private String gasMonitoringExceeding;

    @ApiModelProperty(value = "废气监测异常")
    private String gasMonitoringAbnormal;
    @ApiModelProperty(value = "废水监测预警")
    private String waterMonitoringWarning;

    @ApiModelProperty(value = "废水监测超标")
    private String waterMonitoringExceeding;

    @ApiModelProperty(value = "废水监测异常")
    private String waterMonitoringAbnormal;

    public MonitoringPointWarningVo() {
    }

    public MonitoringPointWarningVo(String gasMonitoringWarning, String gasMonitoringExceeding, String gasMonitoringAbnormal, String waterMonitoringWarning, String waterMonitoringExceeding, String waterMonitoringAbnormal) {
        this.gasMonitoringWarning = gasMonitoringWarning;
        this.gasMonitoringExceeding = gasMonitoringExceeding;
        this.gasMonitoringAbnormal = gasMonitoringAbnormal;
        this.waterMonitoringWarning = waterMonitoringWarning;
        this.waterMonitoringExceeding = waterMonitoringExceeding;
        this.waterMonitoringAbnormal = waterMonitoringAbnormal;
    }
}
