package cn.cecep.talroad.vo.homepage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;


@ApiModel(value = "大屏-在线监控分析")
@EqualsAndHashCode(callSuper = false)
@Data
public class OverviewOnlineMonitorsVo implements Serializable
{

    @ApiModelProperty(value = "在线监测企业")
    private String onlineEnterprise;

    @ApiModelProperty(value = "涉水企业")
    private String waterEnterprise;

    @ApiModelProperty(value = "涉气企业")
    private String airEnterprise;

    @ApiModelProperty(value = "在线监测点位")
    private String onlinePoint;

    @ApiModelProperty(value = "废气监测点位")
    private String airOnlinePoint;

    @ApiModelProperty(value = "废水监测点位")
    private String waterOnlinePoint;

    @ApiModelProperty(value = "匹配排污许可废气排口")
    private String airMainOutlet;

    @ApiModelProperty(value = "匹配排污许可废水排口")
    private String waterMainOutlet;
}
