package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

@Data
public class BStatTableZxbgQuery  extends PageQuery {

    @ApiModelProperty(value = "企业名称")
    private String factoryName;
    @ApiModelProperty(value = "标签")
    private Map<String, Object> labelMap;

    @ApiModelProperty(value = "是否展示企业重点标签")
    private Boolean showMainLable;
}
