package cn.cecep.talroad.vo.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * CO大气环境时间分布特征
 *
 * @author szhpt
 * @date 2023-07-14*/
@ApiModel(value = "CO大气环境时间分布特征")
@EqualsAndHashCode(callSuper = false)
@Data
public class FindSequenceDataQuery {

    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "结束时间")
    private String endTime;
    @ApiModelProperty(value = "站点id")
    private String stationId;
}
