package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.OdsOnlineOlPsWhitelistA;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 【请填写功能名称】对象 ods_online_ol_ps_whitelist_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "【请填写功能名称】")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsOnlineOlPsWhitelistAQuery extends PageQuery
{

    @ApiModelProperty(value = "$column.columnComment")
    private String id;
    @ApiModelProperty(value = "$column.columnComment")
    private String regionId;
    @ApiModelProperty(value = "$column.columnComment")
    private String factoryId;
    @ApiModelProperty(value = "$column.columnComment")
    private String portNum;
    @ApiModelProperty(value = "$column.columnComment")
    private String portName;
    @ApiModelProperty(value = "$column.columnComment")
    private String pollutantCode;
    @ApiModelProperty(value = "$column.columnComment")
    private String startTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String endTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String operator;
    @ApiModelProperty(value = "$column.columnComment")
    private String userId;
    @ApiModelProperty(value = "$column.columnComment")
    private String reason;
    @ApiModelProperty(value = "$column.columnComment")
    private String createTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String updateTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String deleteTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String enable;
    @ApiModelProperty(value = "$column.columnComment")
    private String remarks;
    @ApiModelProperty(value = "$column.columnComment")
    private String verifyStatusId;
    @ApiModelProperty(value = "$column.columnComment")
    private String verifyRemarks;
    @ApiModelProperty(value = "$column.columnComment")
    private String verifierId;
    @ApiModelProperty(value = "$column.columnComment")
    private String verifierName;
    @ApiModelProperty(value = "$column.columnComment")
    private String verifyTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String verifierMobile;
    @ApiModelProperty(value = "$column.columnComment")
    private String startTime2;
    @ApiModelProperty(value = "$column.columnComment")
    private String endTime2;
    @ApiModelProperty(value = "$column.columnComment")
    private String createTime2;
    @ApiModelProperty(value = "$column.columnComment")
    private String receiveTime;
    @ApiModelProperty(value = "$column.columnComment")
    private String infoType;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<OdsOnlineOlPsWhitelistA> createLambdaQueryWrapper(OdsOnlineOlPsWhitelistAQuery query) {
        QueryWrapper<OdsOnlineOlPsWhitelistA> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getRegionId()), "region_id", query.getRegionId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFactoryId()), "factory_id", query.getFactoryId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortNum()), "port_num", query.getPortNum());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortName()), "port_name", query.getPortName());
        wrapper.eq(ObjectUtil.isNotNull(query.getPollutantCode()), "pollutant_code", query.getPollutantCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getStartTime()), "start_time", query.getStartTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getEndTime()), "end_time", query.getEndTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getOperator()), "operator", query.getOperator());
        wrapper.eq(ObjectUtil.isNotNull(query.getUserId()), "user_id", query.getUserId());
        wrapper.eq(ObjectUtil.isNotNull(query.getReason()), "reason", query.getReason());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeleteTime()), "delete_time", query.getDeleteTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getEnable()), "enable", query.getEnable());
        wrapper.eq(ObjectUtil.isNotNull(query.getRemarks()), "remarks", query.getRemarks());
        wrapper.eq(ObjectUtil.isNotNull(query.getVerifyStatusId()), "verify_status_id", query.getVerifyStatusId());
        wrapper.eq(ObjectUtil.isNotNull(query.getVerifyRemarks()), "verify_remarks", query.getVerifyRemarks());
        wrapper.eq(ObjectUtil.isNotNull(query.getVerifierId()), "verifier_id", query.getVerifierId());
        wrapper.eq(ObjectUtil.isNotNull(query.getVerifierName()), "verifier_name", query.getVerifierName());
        wrapper.eq(ObjectUtil.isNotNull(query.getVerifyTime()), "verify_time", query.getVerifyTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getVerifierMobile()), "verifier_mobile", query.getVerifierMobile());
        wrapper.eq(ObjectUtil.isNotNull(query.getStartTime2()), "start_time2", query.getStartTime2());
        wrapper.eq(ObjectUtil.isNotNull(query.getEndTime2()), "end_time2", query.getEndTime2());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime2()), "create_time2", query.getCreateTime2());
        wrapper.eq(ObjectUtil.isNotNull(query.getReceiveTime()), "receive_time", query.getReceiveTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getInfoType()), "info_type", query.getInfoType());
        return wrapper;
        }
}
