package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.PcLabelFactory;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 特征标签-与企业关系中间对象 pc_label_factory
 *
 * @author szhpt
 * @date 2023-02-02*/
@ApiModel(value = "特征标签-与企业关系中间")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcLabelFactoryQuery extends PageQuery
{

    @ApiModelProperty(value = "主键id")
    private String id;
    @ApiModelProperty(value = "企业id")
    private String factoryId;
    @ApiModelProperty(value = "特征标签id")
    private String labelId;
    @ApiModelProperty(value = "是否是企业重点展示标签")
    private String lableUseing;

}
