package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.PcManagementFacilities;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 治理设施对象 pc_management_facilities
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "治理设施")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcManagementFacilitiesQuery extends PageQuery
{

    @ApiModelProperty(value = "$column.columnComment")
    private String id;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<PcManagementFacilities> createLambdaQueryWrapper(PcManagementFacilitiesQuery query) {
        QueryWrapper<PcManagementFacilities> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        return wrapper;
        }
}
