package cn.cecep.talroad.vo.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



@ApiModel(value = "废气有组织在线监测点编辑参数")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcOutletGasUpdateQuery {

        @ApiModelProperty(value = "监测点主键标识")
        private String monitoringPointId;

        @ApiModelProperty(value = "父级排口Id")
        private String parentOutletId;

        @ApiModelProperty(value = "对应许可证排口唯一标识")
        private String pcOutletGasId;

        @ApiModelProperty(value = "1-废气有组织/2-废水")
        private String monitoringPointType;

}
