package cn.cecep.talroad.vo.query;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.domain.PcProductionFacility;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 生产设施对象 pc_production_facility
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "生产设施")
@EqualsAndHashCode(callSuper = false)
@Data
public class PcProductionFacilityQuery extends PageQuery
{

    @ApiModelProperty(value = "中间表id")
    private String id;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<PcProductionFacility> createLambdaQueryWrapper(PcProductionFacilityQuery query) {
        QueryWrapper<PcProductionFacility> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        return wrapper;
        }
}
