package cn.cecep.talroad.vo.query.analysis;

import cn.cecep.talroad.common.core.domain.query.PageQuery;
import cn.cecep.talroad.common.core.utils.DateUtils;
import cn.cecep.talroad.common.core.utils.StringUtils;
import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisCo;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * co放散分析对象 s_ra_real_time_analysis_co
 *
 * @author szhpt
 * @date 2023-03-24*/
@ApiModel(value = "监测点位预警报警情况详情")
@EqualsAndHashCode(callSuper = false)
@Data
public class MonitoringPointWarningDetailsQuery extends PageQuery
{

    @ApiModelProperty(value = "企业名称")
    private String factoryName;
}
